import { EventEmitter, OnInit, Injector } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { PictureparkUIConfiguration, ConfigActions } from '../../configuration';
import { BaseComponent } from '../../shared-module/components/base.component';
import { BasketService } from '../../shared-module/services/basket/basket.service';
import { ContentDownloadDialogService } from '../content-download-dialog/services/content-download-dialog.service';
import { Content } from '@picturepark/sdk-v1-angular';
export declare class BasketComponent extends BaseComponent implements OnInit {
    private pictureParkUIConfig;
    private basketService;
    private contentDownloadDialogService;
    protected injector: Injector;
    dialog: MatDialog;
    basketItems: Content[];
    configActions: ConfigActions;
    previewItemChange: EventEmitter<Content>;
    constructor(pictureParkUIConfig: PictureparkUIConfiguration, basketService: BasketService, contentDownloadDialogService: ContentDownloadDialogService, injector: Injector, dialog: MatDialog);
    previewItem(item: Content): void;
    downloadItems(): void;
    openShareContentDialog(): void;
    trackByBasket(index: number, item: Content): string;
    clearBasket(): void;
    ngOnInit(): void;
}
