import { OnChanges, Injector, OnInit, EventEmitter } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { Content, ThumbnailSize } from '@picturepark/sdk-v1-angular';
import { BaseBrowserItemComponent } from '../../../../shared-module/components/browser-item-base/browser-item-base.component';
import { BasketService } from '../../../../shared-module/services/basket/basket.service';
import { ContentDownloadDialogService } from '../../../content-download-dialog/services/content-download-dialog.service';
import { Observable } from 'rxjs';
import { ItemBasketSelection } from './interfaces/content-browser-item.interface';
export declare class ContentBrowserItemComponent extends BaseBrowserItemComponent<Content> implements OnChanges, OnInit {
    protected injector: Injector;
    private basketService;
    private sanitizer;
    private contentDownloadDialogService;
    changeInBasket: EventEmitter<ItemBasketSelection>;
    listItemHtml: SafeHtml | null;
    thumbnailSizes: typeof ThumbnailSize;
    isSelected$: Observable<boolean> | undefined;
    isInBasket$: Observable<boolean> | undefined;
    private isSelected;
    constructor(injector: Injector, basketService: BasketService, sanitizer: DomSanitizer, contentDownloadDialogService: ContentDownloadDialogService);
    ngOnInit(): void;
    ngOnChanges(): void;
    downloadItem(): void;
    handleChangeInBasket(addItem: boolean): void;
}
