import { OnChanges, SimpleChanges, EventEmitter, ChangeDetectorRef, Injector, OnInit } from '@angular/core';
import { DomSanitizer, SafeUrl } from '@angular/platform-browser';
import { Subject } from 'rxjs';
import { ContentService, ContentDetail, ShareContentDetail, ShareDetail, DownloadFacade } from '@picturepark/sdk-v1-angular';
import { FullscreenService, IShareItem } from '../../../content-details-dialog/fullscreen.service';
import { BaseComponent } from '../../../../shared-module/components/base.component';
import { FullScreenDisplayItems } from './interfaces/content-image-preview.interfaces';
export declare class ContentImagePreviewComponent extends BaseComponent implements OnInit, OnChanges {
    private uiScriptPath;
    private contentService;
    private sanitizer;
    private fullscreenService;
    private cdr;
    protected injector: Injector;
    private downloadFacade;
    thumbnailUrl: string;
    thumbnailUrlSafe: SafeUrl;
    pdfUrl: SafeUrl;
    content: ContentDetail | ShareContentDetail;
    outputId: string;
    width?: number;
    height?: number;
    shareDetail?: ShareDetail;
    playChange: EventEmitter<boolean>;
    displayFullscreen: Subject<FullScreenDisplayItems>;
    isIcon: boolean;
    isLoading: boolean;
    playing: boolean;
    constructor(uiScriptPath: string, contentService: ContentService, sanitizer: DomSanitizer, fullscreenService: FullscreenService, cdr: ChangeDetectorRef, injector: Injector, downloadFacade: DownloadFacade);
    /** Gets the script path from either configured PICTUREPARK_UI_SCRIPTPATH or fallback to the configured base href */
    protected get scriptsPath(): string;
    get isVideo(): boolean;
    get isAudio(): boolean;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    updateUrl(event: any): void;
    private setPreviewUrl;
    showFullscreen(): Promise<void>;
    showPdf(item: IShareItem): void;
    playMedia(playing: boolean, item: IShareItem): void;
}
