import { OnChanges, SimpleChanges, Injector } from '@angular/core';
import { Channel, Content, ContentSearchFacade } from '@picturepark/sdk-v1-angular';
import { BaseBrowserComponent } from '../../shared-module/components/browser-base/browser-base.component';
import { BasketService } from '../../shared-module/services/basket/basket.service';
import { ContentDownloadDialogService } from '../content-download-dialog/services/content-download-dialog.service';
import { ItemBasketSelection } from './components/content-browser-item/interfaces/content-browser-item.interface';
export declare class ContentBrowserComponent extends BaseBrowserComponent<Content> implements OnChanges {
    private basketService;
    facade: ContentSearchFacade;
    private contentDownloadDialogService;
    channel: Channel | null;
    constructor(basketService: BasketService, facade: ContentSearchFacade, contentDownloadDialogService: ContentDownloadDialogService, injector: Injector);
    init(): Promise<void>;
    initSort(): void;
    private setSortFields;
    onScroll(): void;
    ngOnChanges(changes: SimpleChanges): void;
    previewSelectedItem(): void;
    trackByThumbnailSize(index: number, thumbnailSize: string): string;
    openShareContentDialog(): void;
    openDownloadContentDialog(): void;
    handleBasketChanges(basketSelection: ItemBasketSelection): void;
    checkContains(elementClassName: string): boolean;
    cancel(): void;
}
