import { Injector, OnDestroy, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { MatTabChangeEvent } from '@angular/material/tabs';
import { ContentDetail, ContentFacade, ContentService, SchemaDetail, SchemaService, ShareContentDetail } from '@picturepark/sdk-v1-angular';
import { DialogBaseComponent } from '../../shared-module/components/dialog-base/dialog-base.component';
import { ContentDetailsDialogOptions } from './content-details-dialog-options';
import { ContentDownloadDialogService } from '../content-download-dialog/services/content-download-dialog.service';
import { Observable } from 'rxjs';
import { SafeHtml } from '@angular/platform-browser';
export declare class ContentDetailsDialogComponent extends DialogBaseComponent implements OnInit, OnDestroy {
    private contentService;
    data: ContentDetailsDialogOptions;
    protected dialogRef: MatDialogRef<ContentDetailsDialogComponent>;
    protected injector: Injector;
    private schemaService;
    private contentDownloadDialogService;
    private contentFacade;
    content: ContentDetail | ShareContentDetail;
    virtualItemHtml: SafeHtml | null;
    contentId: string;
    schemas: SchemaDetail[];
    playing: boolean;
    constructor(contentService: ContentService, data: ContentDetailsDialogOptions, dialogRef: MatDialogRef<ContentDetailsDialogComponent>, injector: Injector, schemaService: SchemaService, contentDownloadDialogService: ContentDownloadDialogService, contentFacade: ContentFacade);
    loadSchemas(): void;
    tabChange(event: MatTabChangeEvent): void;
    downloadItem(): void;
    next(): void;
    previous(): void;
    setContentId(id: string): void;
    setContent(detail: Observable<ShareContentDetail | ContentDetail | string>): void;
    loadContent(id: string): void;
    initContent(content: ShareContentDetail | ContentDetail): void;
}
