import { ShareOutputBase } from '@picturepark/sdk-v1-angular';
export declare class FullscreenService {
    loading: boolean;
    scriptsPath: string;
    showDetailById(shareItemId: string, shareItems: IShareItem[]): void;
    renderVideoPlayer(element: Element, item: any, width: any, height: any): Promise<any>;
    loadVideoPlayerLibraries(): Promise<any>;
    showPdfJsItem(item: any): void;
    showPhotoSwipeItem(shareItem: IShareItem, shareItems: IShareItem[]): Promise<unknown>;
    loadPhotoSwipe(): Promise<{
        element: Element;
        photoSwipe: any;
        photoSwipeDefault: any;
    }>;
    getPhotoSwipeElement(): Element;
    loadScript(url: string, globalName: string): Promise<any>;
    loadCss(url: any): Promise<void>;
}
export interface IShareItem {
    id: string;
    isImage: boolean;
    isPdf: boolean;
    isMovie: boolean;
    isAudio: boolean;
    isBinary: boolean;
    isIcon: boolean;
    displayValues: any;
    previewUrl: string;
    originalUrl: string;
    videoUrl: string;
    audioUrl: string;
    pdfUrl: string;
    detail?: {
        width: number;
        height: number;
    };
    outputs: ShareOutputBase[];
}
