import { OutputFormatInfo } from '@picturepark/sdk-v1-angular';
import { IContentDownload, IContentDownloadOutput } from '../interfaces/content-download-dialog.interfaces';
import { TranslationService, IOutputFormatTranslations } from '../../../shared-module/services/translations/translation.service';
export interface IOutputPerOutputFormatSelection {
    id: string;
    name: string;
    selected: boolean;
    hidden: boolean;
    values: [{
        content: IContentDownload;
        output: IContentDownloadOutput;
    }];
}
export interface IOutputPerSchemaSelection {
    id: string;
    name: string;
    contents: IContentDownload[];
    outputs: {
        [outputFormatId: string]: IOutputPerOutputFormatSelection;
    };
}
export declare class OutputSelection {
    private outputFormatInfos;
    hasThumbnails: boolean;
    private selection;
    get hasHiddenOutputFormats(): boolean;
    constructor(outputs: IContentDownloadOutput[], contents: IContentDownload[], outputTranslations: IOutputFormatTranslations, translationService: TranslationService, outputFormatInfos: OutputFormatInfo[]);
    getFileFormats(): IOutputPerSchemaSelection[];
    hasOutputs(fileFormat: IOutputPerSchemaSelection): boolean;
    getOutputs(fileFormat: IOutputPerSchemaSelection): IOutputPerOutputFormatSelection[];
    getSelectedOutputs(): IContentDownloadOutput[];
    toggleShowMore(): void;
    private getAllOutputs;
    private getShowMoreOutputs;
}
