import { OnInit, OnDestroy, Injector, ElementRef } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { Subscription } from 'rxjs';
import { ContentService, Content, DownloadFacade, ShareAccessFacade, InfoFacade } from '@picturepark/sdk-v1-angular';
import { DialogBaseComponent } from '../../shared-module/components/dialog-base/dialog-base.component';
import { OutputSelection, IOutputPerOutputFormatSelection, IOutputPerSchemaSelection } from './components/output-selection';
import { MatSnackBar } from '@angular/material/snack-bar';
import { TranslationService } from '../../shared-module/services/translations/translation.service';
import { ContentDownloadDialogOptions, IContentDownload, IContentDownloadOutput } from './interfaces/content-download-dialog.interfaces';
import { DialogService } from '../../shared-module/services/dialog/dialog.service';
export declare class ContentDownloadDialogComponent extends DialogBaseComponent implements OnInit, OnDestroy {
    data: ContentDownloadDialogOptions;
    private contentService;
    private shareAccessFacade;
    protected dialogRef: MatDialogRef<ContentDownloadDialogComponent>;
    protected injector: Injector;
    private translationService;
    private snackBar;
    private dialogService;
    private downloadFacade;
    private infoFacade;
    contentContainer: ElementRef;
    loaderContainer: ElementRef;
    downloadContentSubscriber: Subscription;
    selection: OutputSelection;
    fileSize: number;
    enableAdvanced: boolean;
    advancedMode: boolean;
    filteredData: Content[];
    noOutputs: boolean;
    hasDynamicOutputs: boolean;
    waitingDownload: boolean;
    tooManyContents: boolean;
    outputFormatFallback: {
        fileSchemaId: string;
        outputFormatId: string;
    }[];
    constructor(data: ContentDownloadDialogOptions, contentService: ContentService, shareAccessFacade: ShareAccessFacade, dialogRef: MatDialogRef<ContentDownloadDialogComponent>, injector: Injector, translationService: TranslationService, snackBar: MatSnackBar, dialogService: DialogService, downloadFacade: DownloadFacade, infoFacade: InfoFacade);
    getSelection(outputs: IContentDownloadOutput[], contents: IContentDownload[]): Promise<void>;
    download(): void;
    toggleAdvanced(): void;
    radioChange(output: IOutputPerOutputFormatSelection, fileType: IOutputPerSchemaSelection): void;
    update(): void;
    getOutput(content: IContentDownload, outputs: IContentDownloadOutput[]): IContentDownloadOutput;
    ngOnInit(): Promise<void>;
    private setSelection;
    private fetchOutputs;
}
