import { OnInit, EventEmitter } from '@angular/core';
import { ContentDetail, SchemaDetail, SchemaService, LocalStorageService, ShareContentDetail } from '@picturepark/sdk-v1-angular';
import { Layer } from './models/layer';
import { LayerFieldService } from './services/layer-field.service';
import { RelationFieldInfo } from './models/relation-field-info';
export declare class LayerPanelsComponent implements OnInit {
    private schemaService;
    private layerFieldService;
    private localStorageService;
    schemas: SchemaDetail[];
    content: ContentDetail | ShareContentDetail;
    showContentSchema: boolean;
    excludedLayerSchemaIds: string[] | undefined;
    showReferenced?: boolean;
    relationClick: EventEmitter<RelationFieldInfo>;
    layers: Layer[];
    expandedSchemas: Set<string>;
    private allSchemas;
    constructor(schemaService: SchemaService, layerFieldService: LayerFieldService, localStorageService: LocalStorageService);
    ngOnInit(): void;
    relationClickHandler(relationInfo: RelationFieldInfo): void;
    layerExpansionHandler(layerId: string, opened: boolean): void;
    toLowerCamel(value: string): string;
    private setLayers;
}
