import { ChangeDetectorRef, OnInit, Injector } from '@angular/core';
import { Sort, SortDirection as MatSortDirection } from '@angular/material/sort';
import { MatTableDataSource } from '@angular/material/table';
import { SchemaDetail, SortInfo, ListItem, CustomerInfo, ListItemSearchFacade, InfoFacade } from '@picturepark/sdk-v1-angular';
import { MetaDataPreviewService } from '../../shared-module/services/metadata-preview/metadata-preview.service';
import { BaseBrowserComponent } from '../../shared-module/components/browser-base/browser-base.component';
import { MatCheckboxChange } from '@angular/material/checkbox';
export declare class ListBrowserComponent extends BaseBrowserComponent<ListItem> implements OnInit {
    private metaDataPreviewService;
    private infoFacade;
    private cdr;
    facade: ListItemSearchFacade;
    schema: SchemaDetail;
    selectedItemIds: string[];
    enableSelection: boolean;
    sortInfo: SortInfo[];
    tableItems: any[];
    dataSource: MatTableDataSource<any>;
    displayedColumns: string[];
    displayedColumnNames: any[];
    activeSortColumn: string;
    activeSortDirection: MatSortDirection;
    customerInfo: CustomerInfo;
    isShiftPressed: boolean;
    constructor(metaDataPreviewService: MetaDataPreviewService, infoFacade: InfoFacade, cdr: ChangeDetectorRef, facade: ListItemSearchFacade, injector: Injector);
    init(): Promise<void>;
    initSort(): void;
    onScroll(): void;
    checkContains(elementClassName: string): boolean;
    prepareData(items: ListItem[]): void;
    update(): void;
    deselectAll(): void;
    sortData(sort: Sort): void;
    /** Whether the number of selected elements matches the total number of rows. */
    isAllSelected(): boolean;
    /** Selects all rows if they are not all selected; otherwise clear selection. */
    masterToggle(): void;
    isRowSelected(row: any, test?: any): boolean;
    toggle(event: MatCheckboxChange | MouseEvent, row: any, presist?: boolean): void;
    onPress(event: MouseEvent, row: any, presist?: boolean): void;
    /** The label for the checkbox on the passed row */
    checkboxLabel(row?: any): string;
}
