import { ChangeDetectorRef, OnDestroy, OnInit, EventEmitter } from '@angular/core';
import { BehaviorSubject, Observable, Subject } from 'rxjs';
import { ActivatedRoute, Params } from '@angular/router';
import { MediaMatcher } from '@angular/cdk/layout';
import { AggregationFilter, FilterBase, SchemaDetail, SchemaService, ListItem, ListItemSearchFacade } from '@picturepark/sdk-v1-angular';
import { ListBrowserComponent } from '../../list-browser/list-browser.component';
export declare class ListComponent implements OnInit, OnDestroy {
    private media;
    private schemaService;
    private route;
    private cdr;
    facade: ListItemSearchFacade;
    listBrowserComponent: ListBrowserComponent;
    activeSchema: Subject<SchemaDetail | null>;
    queryChange: EventEmitter<Params>;
    mobileQuery: MediaQueryList;
    aggregationFilters: AggregationFilter[];
    searchQuery: Observable<string>;
    filter: BehaviorSubject<FilterBase | null>;
    schemaDetail: SchemaDetail | undefined;
    schema: Observable<SchemaDetail>;
    selectedItems: ListItem[];
    selectedItemsIds: string[];
    private subscription;
    constructor(media: MediaMatcher, schemaService: SchemaService, route: ActivatedRoute, cdr: ChangeDetectorRef, facade: ListItemSearchFacade);
    ngOnInit(): void;
    ngOnDestroy(): void;
    selectedItemsChange(selectedItems: ListItem[]): void;
    get queryParams(): Params;
    changeAggregationFilters(aggregationFilters: AggregationFilter[]): void;
    private createFilter;
    private deselectSelectedItems;
}
