import { OnInit, Injector } from '@angular/core';
import { AggregatorBase, AggregationResultItem, SearchFacade, SearchInputState, IEntityBase } from '@picturepark/sdk-v1-angular';
import { MatAutocompleteSelectedEvent } from '@angular/material/autocomplete';
import { FormBuilder } from '@angular/forms';
import { Observable } from 'rxjs';
import { BaseComponent } from '../../shared-module/components/base.component';
import { MatRadioChange } from '@angular/material/radio';
export declare class SearchSuggestBoxComponent extends BaseComponent implements OnInit {
    private formBuilder;
    locale: string;
    constructor(injector: Injector, formBuilder: FormBuilder, locale: string);
    isLoading: boolean;
    hasFocus: boolean;
    typed: boolean;
    form: import("@angular/forms").FormGroup;
    showSearchBehaviorPicker: boolean;
    minCharacters: number;
    facade: SearchFacade<IEntityBase, SearchInputState>;
    suggestions$: Observable<{
        name: string;
        results: AggregationResultItem[];
    }[]>;
    get suggestBox(): import("@angular/forms").AbstractControl;
    focus(): void;
    blur(): void;
    ngOnInit(): void;
    optionSelected(event: MatAutocompleteSelectedEvent): void;
    search(): void;
    setSearchString(searchString: string | undefined): AggregatorBase[];
    searchModeChange($event: MatRadioChange): void;
    clear(): void;
    private expandAggregator;
}
