import { OnInit, OnDestroy, ElementRef, EventEmitter, Renderer2, AfterViewInit, Injector } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { FormGroup, FormBuilder, FormControl } from '@angular/forms';
import { ShareService, ContentService, Content, BusinessProcessService, LanguageService, ShareFacade } from '@picturepark/sdk-v1-angular';
import { DialogBaseComponent } from '../../shared-module/components/dialog-base/dialog-base.component';
import { ConfirmRecipients } from './interfaces/confirm-recipients.interface';
import { TranslatePipe } from '../../shared-module/pipes/translate.pipe';
import { BehaviorSubject } from 'rxjs';
export declare class ShareContentDialogComponent extends DialogBaseComponent implements AfterViewInit, OnInit, OnDestroy {
    data: any;
    private contentService;
    protected dialogRef: MatDialogRef<ShareContentDialogComponent>;
    protected injector: Injector;
    private formBuilder;
    private shareService;
    private translatePipe;
    private renderer;
    private businessProcessService;
    languageService: LanguageService;
    private shareFacade;
    contentContainer: ElementRef;
    loaderContainer: ElementRef;
    previewItemChange: EventEmitter<string>;
    selectedContent: Content[];
    sharedContentForm$: BehaviorSubject<FormGroup | undefined>;
    loader: boolean;
    spinnerLoader: boolean;
    recipients: ConfirmRecipients[];
    languageFormControl: FormControl;
    constructor(data: any, contentService: ContentService, dialogRef: MatDialogRef<ShareContentDialogComponent>, injector: Injector, formBuilder: FormBuilder, shareService: ShareService, translatePipe: TranslatePipe, renderer: Renderer2, businessProcessService: BusinessProcessService, languageService: LanguageService, shareFacade: ShareFacade);
    removeContent(event: Content): void;
    previewItem(itemId: string): void;
    copyToClipboard(recipienturl: string): void;
    private newSharedContent;
    onFormSubmit(): void;
    private setPrefillSubject;
    ngAfterViewInit(): void;
    private hasAccessOriginalRights;
}
