import { OnChanges, SimpleChanges, Injector, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { Observable } from 'rxjs';
import { AggregationResult, AggregatorBase, AggregationResultItem, TermsAggregator, SearchFacade, SearchInputState, IEntityBase } from '@picturepark/sdk-v1-angular';
import { BaseComponent } from '../base.component';
export declare class AggregationComponent extends BaseComponent implements OnInit, OnChanges {
    locale: string;
    protected injector: Injector;
    aggregator: AggregatorBase;
    aggregationResult: AggregationResult | null;
    shouldExpand: boolean;
    facade: SearchFacade<IEntityBase, SearchInputState>;
    pagingSize: number;
    aggregationsFiltersCount: number;
    aggregationQuery: FormControl;
    expandedAggregator: TermsAggregator;
    expandedAggregationResult: AggregationResult | null;
    autoCompleteOptions: Observable<AggregationResultItem[]>;
    expanded: boolean;
    active: boolean;
    isLoading: boolean;
    constructor(locale: string, injector: Injector);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    loadMore(): void;
    loadLess(): void;
    searchAggregator(searchString: string): Observable<AggregationResultItem[]>;
    queryDisplay(aggregationResultItem: AggregationResultItem): string;
    autoCompleteOptionSelected(value: AggregationResultItem): void;
    selectionChanged(changedItem: AggregationResultItem): void;
    get showLess(): boolean;
    trackByName(_index: any, aggregationResultItem: AggregationResultItem): string;
    clear(): void;
    private updateAggregationResult;
    private checkExpandedAggregationResult;
    private expandAggregator;
    handleUserClick(): void;
    handleUserEnter(event: KeyboardEvent): void;
    hideLoader(): void;
}
