import { OnChanges, SimpleChanges, Injector } from '@angular/core';
import { SafeUrl, DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { BaseBrowserItemComponent } from '../browser-item-base/browser-item-base.component';
import { Content, ShareDetail, ShareContentDetail, ContentFacade } from '@picturepark/sdk-v1-angular';
import { ContentService } from '@picturepark/sdk-v1-angular';
import { Observable } from 'rxjs';
export declare class ContentItemThumbnailComponent extends BaseBrowserItemComponent<Content> implements OnChanges {
    private contentService;
    private contentFacade;
    private sanitizer;
    protected injector: Injector;
    /**
     * The item from wich to show the thumbnail
     */
    item: Content | ShareContentDetail;
    /**
     *  * If passed into the component, the thumbnail will be retrieved from the shareItem instead of being requested.
     *  * Mainly used for the share viewer as the lack of authentication makes it impossible to request the thumbnail of the content
     */
    shareItem?: ShareDetail;
    /**
     * If true the image will have a shadow box around
     */
    shadow: boolean;
    isLoading: boolean;
    thumbnailUrl$: Observable<SafeUrl> | null;
    virtualItemHtml: SafeHtml | null;
    constructor(contentService: ContentService, contentFacade: ContentFacade, sanitizer: DomSanitizer, injector: Injector);
    ngOnChanges(changes: SimpleChanges): Promise<void>;
    handleVirtualItem(): void;
    private trust;
    updateUrl(event: any): void;
}
