import { Observable } from 'rxjs';
import { Content, ContentService, LocalStorageService } from '@picturepark/sdk-v1-angular';
export declare class BasketService {
    private contentService;
    private localStorageService;
    private basketItemsIdsSubject;
    private basketItemsSubject;
    private basketChanges;
    private basketItemsIds;
    private basketItems;
    constructor(contentService: ContentService, localStorageService: LocalStorageService);
    get basketChange(): Observable<string[]>;
    get basketItemsChanges(): Observable<Content[]>;
    getBasketItems(): string[];
    addItem(itemId: string): void;
    addItems(itemsIds: string[]): void;
    removeItem(itemId: string): void;
    removeItems(itemsIds: string[]): void;
    clearBasket(): void;
    contains(itemId: string): boolean;
    toggle(itemId: string): void;
    private basketUpdated;
}
