import { __decorate, __metadata, __awaiter, __param } from 'tslib';
import * as i0 from '@angular/core';
import { EventEmitter, Input, Output, Component, ChangeDetectionStrategy, Directive, Injector, InjectionToken, Injectable, Inject, LOCALE_ID, NgZone, HostListener, Pipe, ChangeDetectorRef, ViewChild, SecurityContext, ElementRef, Renderer2, ApplicationRef, Optional, NgModule } from '@angular/core';
import * as i1 from '@picturepark/sdk-v1-angular';
import { Schema, InfoFacade, ThumbnailSize, SortInfo, SortDirection, SchemaSearchFacade, SearchFacade, FieldString, FieldLong, FieldDecimal, FieldBoolean, FieldDate, FieldDateTime, FieldTranslatedString, FieldGeoPoint, FieldDictionary, FieldDictionaryArray, FieldDateTimeArray, FieldLongArray, FieldStringArray, FieldSingleFieldset, FieldTrigger, FieldMultiFieldset, FieldSingleTagbox, FieldMultiTagbox, FieldSingleRelation, FieldMultiRelation, TranslatedStringDictionary, SchemaDetail, ListItemSearchFacade, AggregationFilter, OrFilter, AndFilter, SchemaService, ContentType, DownloadDialogBehavior, OutputResolveManyRequest, ContentService, ShareAccessFacade, DownloadFacade, ShareDetail, ShareBasicCreateRequest, OutputAccess, ShareContent, ContentSearchRequest, LifeCycleFilter, BrokenDependenciesFilter, ContentSearchType, TermsFilter, ContentRight, ShareService, BusinessProcessService, LanguageService, ShareFacade, ShareSearchFacade, SearchMode, StringRenderingType, ContentResolveBehavior, StorageKey, SchemaType, LocalStorageService, ChannelService, ShareContentDetail, OutputRenderingState, ContentDetail, ContentDownloadRequestItem, fetchContents, Content, ShareUser, UserService, ContentFacade, AggregatorBase, ContentSearchFacade, ShareAggregationRequest, NestedAggregator, TermsAggregator } from '@picturepark/sdk-v1-angular';
export { LiquidRenderingService } from '@picturepark/sdk-v1-angular';
import { Subscription, BehaviorSubject, combineLatest, Subject, of, forkJoin, timer, from } from 'rxjs';
import { LazyGetter } from 'lazy-get-decorator';
import { BreakpointObserver, Breakpoints, MediaMatcher, LayoutModule } from '@angular/cdk/layout';
import * as i1$1 from '@angular/material/dialog';
import { MatDialog, MatDialogRef, MAT_DIALOG_DATA, MatDialogModule } from '@angular/material/dialog';
import { ScrollDispatcher, ScrollingModule } from '@angular/cdk/scrolling';
import { debounceTime, tap, map, mergeMap, distinctUntilChanged, take, filter, switchMap, catchError, share, throttleTime, finalize, debounce } from 'rxjs/operators';
import { ActivatedRoute, Router } from '@angular/router';
import { MatTableDataSource, MatTableModule } from '@angular/material/table';
import * as moment_ from 'moment';
import { MatCheckboxChange, MatCheckboxModule } from '@angular/material/checkbox';
import * as i1$2 from '@angular/platform-browser';
import { DomSanitizer, HammerGestureConfig, HAMMER_GESTURE_CONFIG, HammerModule } from '@angular/platform-browser';
import { FormControl, FormBuilder, Validators, FormArray, FormGroup, ReactiveFormsModule, FormsModule } from '@angular/forms';
import { MAT_SNACK_BAR_DATA, MatSnackBarRef, MatSnackBar, MatSnackBarModule } from '@angular/material/snack-bar';
import { Md5 } from 'ts-md5';
import { CommonModule } from '@angular/common';
import { CdkTableModule } from '@angular/cdk/table';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { MatBadgeModule } from '@angular/material/badge';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatChipsModule } from '@angular/material/chips';
import { MatNativeDateModule } from '@angular/material/core';
import { MatDatepickerModule } from '@angular/material/datepicker';
import { MatDividerModule } from '@angular/material/divider';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatGridListModule } from '@angular/material/grid-list';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatListModule } from '@angular/material/list';
import { MatMenuModule } from '@angular/material/menu';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatRadioModule } from '@angular/material/radio';
import { MatSelectModule } from '@angular/material/select';
import { MatSidenavModule } from '@angular/material/sidenav';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatSortModule } from '@angular/material/sort';
import { MatTabsModule } from '@angular/material/tabs';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatTooltipModule, MAT_TOOLTIP_DEFAULT_OPTIONS } from '@angular/material/tooltip';
import * as markdown from 'markdown-it';
import { ENTER, COMMA } from '@angular/cdk/keycodes';

let SchemaBrowserItemComponent = class SchemaBrowserItemComponent {
    constructor() {
        this.activeSchemaChange = new EventEmitter();
        this.itemSelected = new EventEmitter();
    }
    setUpActiveSchema() {
        this.activeSchemaChange.emit(this.schema);
    }
    emitItemSelected() {
        this.itemSelected.emit(this.schema.id);
    }
};
__decorate([
    Input(),
    __metadata("design:type", Schema)
], SchemaBrowserItemComponent.prototype, "schema", void 0);
__decorate([
    Input(),
    __metadata("design:type", Boolean)
], SchemaBrowserItemComponent.prototype, "selected", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], SchemaBrowserItemComponent.prototype, "activeSchemaChange", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], SchemaBrowserItemComponent.prototype, "itemSelected", void 0);
SchemaBrowserItemComponent = __decorate([
    Component({
        selector: 'pp-schema-browser-item',
        template: "<mat-card (click)=\"emitItemSelected()\" (dblclick)=\"setUpActiveSchema()\" class=\"schema-browser-item-container\">\n  <mat-card-content class=\"schema-content\" [class.schema-content--selected]=\"selected\">\n    <div class=\"schema-icon\" [ngClass]=\"{ parent: schema.childCount, child: schema.parentSchemaId }\">\n      <mat-icon>reorder</mat-icon>\n    </div>\n    <div class=\"schema-info\">\n      <div class=\"title\">\n        <span *ngIf=\"schema && schema.names\">{{ schema.names | pptranslate }}</span>\n      </div>\n      <div class=\"sub-title\">\n        <span>{{ schema.fieldCount }} {{ 'SchemaBrowser.FieldsLowercase' | pptranslate }}</span>\n      </div>\n    </div>\n    <div class=\"schema-menu\">\n      <button mat-button (click)=\"setUpActiveSchema()\" matTooltip=\"{{ 'SchemaBrowser.ShowItemList' | pptranslate }}\">\n        <mat-icon>open_in_new</mat-icon>\n      </button>\n    </div>\n  </mat-card-content>\n</mat-card>\n",
        changeDetection: ChangeDetectionStrategy.OnPush,
        styles: [".mat-card{padding:0;margin:0 10px 20px}.schema-content{display:flex;align-items:center}.schema-content:hover{box-shadow:0 5px 5px -3px rgba(0,0,0,.2),0 8px 10px 1px rgba(0,0,0,.14),0 3px 14px 2px rgba(0,0,0,.12)}.schema-content:hover .schema-menu{visibility:visible}.schema-icon{display:flex;align-items:center;justify-content:center;flex-direction:column;z-index:1;width:64px;height:64px;background-color:#f8f8f8}.schema-icon mat-icon{color:#aaa}.schema-content{border-style:solid;border-width:2px;border-radius:3px}.schema-info{display:flex;padding-left:16px;padding-right:16px;font-weight:300;flex-direction:column}.schema-info .title{font-size:13px;line-height:16px}.schema-info .sub-title{font-size:11px;line-height:13px;color:#aaa}.schema-menu{display:flex;position:absolute;width:100%;height:100%;top:0;left:0;border-radius:2px;background-color:#fff;visibility:hidden;align-items:center;justify-content:flex-end;opacity:.6}.schema-menu .mat-button{width:24px;height:24px;min-width:0;line-height:24px;padding:0;position:relative;right:19px}.schema-menu .mat-button mat-icon{color:#727272}.schema-icon.child:before{content:\"\";border-right:2px solid #aaa;border-top:2px solid #aaa;top:16px;width:15%;height:5px;right:48.5%}.schema-icon.parent:after{content:\"\";border-left:2px solid #aaa;border-bottom:2px solid #aaa;top:43px;width:15%;height:5px;left:48.5%}"]
    })
], SchemaBrowserItemComponent);

let BaseComponent = 
// tslint:disable-next-line: directive-class-suffix
class BaseComponent {
    constructor(injector) {
        this.injector = injector;
        this.subscription = new Subscription();
    }
    get breakpointObserver() {
        return this.injector.get(BreakpointObserver);
    }
    get deviceBreakpoint() {
        return this.breakpointObserver.isMatched([Breakpoints.Handset, Breakpoints.Tablet]);
    }
    get isTouchDevice() {
        return 'ontouchstart' in window || navigator.maxTouchPoints > 0 || navigator.msMaxTouchPoints > 0;
    }
    set sub(value) {
        this.subscription.add(value);
    }
    ngOnDestroy() {
        if (this.subscription) {
            this.subscription.unsubscribe();
        }
    }
};
__decorate([
    LazyGetter(),
    __metadata("design:type", BreakpointObserver),
    __metadata("design:paramtypes", [])
], BaseComponent.prototype, "breakpointObserver", null);
__decorate([
    LazyGetter(),
    __metadata("design:type", Boolean),
    __metadata("design:paramtypes", [])
], BaseComponent.prototype, "isTouchDevice", null);
BaseComponent = __decorate([
    Directive()
    // tslint:disable-next-line: directive-class-suffix
    ,
    __metadata("design:paramtypes", [Injector])
], BaseComponent);

const PICTUREPARK_UI_CONFIGURATION = new InjectionToken('PICTUREPARK_UI_CONFIGURATION');
const PICTUREPARK_UI_SCRIPTPATH = new InjectionToken('PICTUREPARK_UI_SCRIPTPATH');
function PictureparkUIConfigurationFactory() {
    return {
        ContentBrowserComponent: {
            download: true,
            select: true,
            share: true,
            preview: true,
            basket: true,
        },
        BasketComponent: {
            download: true,
            select: false,
            share: true,
        },
        BrowserToolbarComponent: {
            select: true,
        },
        ListBrowserComponent: {
            download: true,
            select: true,
            share: true,
        },
    };
}

let SelectionService = class SelectionService {
    constructor() {
        this.selectedItemsSubject = new BehaviorSubject([]);
        this.items = new Set();
    }
    get selectedItems() {
        return this.selectedItemsSubject.asObservable();
    }
    addItem(itemId) {
        this.items.add(itemId);
        this.updateSubject();
    }
    addItems(items) {
        items.forEach((item) => this.items.add(item));
        this.updateSubject();
    }
    removeItem(value) {
        if (typeof value === 'string') {
            const item = this.getById(value);
            this.items.delete(item);
        }
        else {
            this.items.delete(value);
        }
        this.updateSubject();
    }
    removeItems(values) {
        values.forEach((value) => {
            if (typeof value === 'string') {
                const item = this.getById(value);
                this.items.delete(item);
            }
            else {
                this.items.delete(value);
            }
        });
        this.updateSubject();
    }
    toggle(item) {
        if (this.items.has(item)) {
            this.removeItem(item);
        }
        else {
            this.addItem(item);
        }
    }
    getById(value) {
        return Array.from(this.items.values()).find((i) => i.id === value);
    }
    clear() {
        this.items.clear();
        this.updateSubject();
    }
    isEmpty() {
        return Array.from(this.items.values()).length === 0;
    }
    updateSubject() {
        const itemsArray = Array.from(this.items);
        this.selectedItemsSubject.next(itemsArray);
    }
};
SelectionService.ɵprov = i0.ɵɵdefineInjectable({ factory: function SelectionService_Factory() { return new SelectionService(); }, token: SelectionService, providedIn: "root" });
SelectionService = __decorate([
    Injectable({
        providedIn: 'root',
    })
], SelectionService);

let TRANSLATIONS = {
    ApplicationTitle: {
        demoApp: {
            en: 'Picturepark Demo App',
            de: 'Picturepark Demo App',
            fr: 'Picturepark Demo App',
            es: 'Picturepark Demo App',
            pt: 'Picturepark Demo App',
        },
        contentPicker: {
            en: 'Picturepark Content Picker',
            de: 'Picturepark Content Picker',
            fr: 'Picturepark Content Picker',
            es: 'Picturepark Content Picker',
            pt: 'Picturepark Content Picker',
        },
        listBrowser: {
            en: 'Picturepark List Browser',
            de: 'Picturepark List Browser',
            fr: 'Picturepark List Browser',
            es: 'Picturepark List Browser',
            pt: 'Picturepark List Browser',
        },
        shareManager: {
            en: 'Picturepark Share Manager',
            de: 'Picturepark Share Manager',
            fr: 'Picturepark Share Manager',
            es: 'Picturepark Share Manager',
            pt: 'Picturepark Share Manager',
        },
    },
    Basket: {
        NoImageForItem: {
            en: 'No image available',
            de: 'Kein Bild verfügbar',
            fr: "Pas d'image disponible",
            es: 'No hay imagen disponible',
            pt: 'Nenhuma imagem disponível',
        },
        RemoveItem: {
            en: 'Remove',
            de: 'Entfernen',
            fr: 'Retirer',
            es: 'Retirar',
            pt: 'Remover',
        },
        Download: {
            en: 'Download',
            de: 'Herunterladen',
            fr: 'Télécharger',
            es: 'Descargar',
            pt: 'Descarregar',
        },
        ClearBasket: {
            en: 'Clear',
            de: 'Entfernen',
            fr: 'Retirer',
            es: 'Eliminar',
            pt: 'Limpar',
        },
        EmptyBasket: {
            en: 'Basket is empty.',
            de: 'Warenkorb ist leer.',
            fr: 'Panier est vide',
            es: 'Canasta está vacía',
            pt: 'Cesta está vazia',
        },
        Share: {
            en: 'Share',
            de: 'Teilen',
            fr: 'Partager',
            es: 'Compartir',
            pt: 'Partilhar',
        },
        BasketLabel: {
            en: 'Basket',
            de: 'Warenkorb',
            fr: 'Panier',
            es: 'Cesta',
            pt: 'Cesto',
        },
    },
    ChannelPicker: {
        SelectChannel: {
            en: 'Select channel',
            de: 'Channel selektieren',
            fr: "Sélectionnez l'espace",
            es: 'Seleccionar espacio',
            pt: 'Selecione o espaço',
        },
    },
    ContentAggregationList: {
        FiltersLabel: {
            en: 'Filters',
            de: 'Filter',
            fr: 'Filtres',
            es: 'Filtros',
            pt: 'Filtros',
        },
        ClearFilters: {
            en: 'Clear filters',
            de: 'Filter zurücksetzen',
            fr: 'Réinitialiser filtres',
            es: 'Reiniciar filtros',
            pt: 'Restabelecer filtros',
        },
        Search: {
            en: 'Search',
            de: 'Suche',
            fr: 'Rechercher',
            es: 'Buscar',
            pt: 'Pesquisa',
        },
        ShowMoreFilters: {
            en: 'Show more',
            de: 'Mehr zeigen',
            fr: 'Montre plus',
            es: 'Mostrar más',
            pt: 'Mostrar mais',
        },
        ShowLessFilters: {
            en: 'Show less',
            de: 'Weniger zeigen',
            fr: 'Montrer moins',
            es: 'Mostrar menos',
            pt: 'Mostrar menos',
        },
        NoActiveFilters: {
            en: 'No active filters',
            de: 'Keine aktiven Filter',
            fr: 'Aucun filtre actif',
            es: 'Sin filtros activos',
            pt: 'Sem filtros ativos',
        },
        SingleActiveFilter: {
            en: '1 active filter',
            de: '1 aktiver Filter',
            fr: '1 filtre actif',
            es: '1 filtro activo',
            pt: '1 filtro ativo',
        },
        MultipleActiveFilters: {
            en: '{0} active filters',
            de: '{0} aktive Filter',
            fr: '{0} filtres actifs',
            es: '{0} filtros activos',
            pt: '{0} filtros ativos',
        },
        ClearAllFilters: {
            en: 'Clear all filters',
            de: 'Alle Filter zurücksetzen',
            fr: 'Réinitialiser tous les filtres',
            es: 'Reiniciar todos los filtros',
            pt: 'Restabelecer todos os filtros',
        },
        NoFiltersApplied: {
            en: 'No filters configured',
            de: 'Keine Filter konfiguriert',
            fr: 'Aucun filtre configuré',
            es: 'No hay filtros configurados',
            pt: 'Nenhum filtro configurado',
        },
    },
    AggregationItemTranslatePipe: {
        noValue: {
            en: 'No value',
            de: 'Kein Wert',
            fr: 'Aucune valeur',
            es: 'Sin valor',
            pt: 'Sem valor',
        },
        false: {
            en: 'False',
            de: 'Falsch',
            fr: 'Faux',
            es: 'Falso',
            pt: 'Falso',
        },
        true: {
            en: 'True',
            de: 'Wahr',
            fr: 'Vrai',
            es: 'Verdadero',
            pt: 'Verdadeiro',
        },
    },
    ContentBrowser: {
        NoImageForItem: {
            en: 'No image available',
            de: 'Kein Bild vorhanden',
            fr: "Pas d'image",
            es: 'Sin imágen',
            pt: 'Sem imagem',
        },
        PreviewItem: {
            en: 'Preview',
            de: 'Vorschau',
            fr: 'Aperçu',
            es: 'Vista previa',
            pt: 'Pré-visualização',
        },
        DownloadItem: {
            en: 'Download',
            de: 'Herunterladen',
            fr: 'Télécharger',
            es: 'Descargar',
            pt: 'Descarregar',
        },
        AddToBasket: {
            en: 'Add to basket',
            de: 'In Warenkorb legen',
            fr: 'Mettre en panier',
            es: 'Poner en la cesta',
            pt: 'Colocar no cesto',
        },
        RemoveFromBasket: {
            en: 'Remove from basket',
            de: 'Aus dem Warenkorb entfernen',
            fr: 'Retirer du panier',
            es: 'Retirar de la cesta',
            pt: 'Remover do cesto',
        },
        SelectMenu: {
            en: 'Select',
            de: 'Selektieren',
            fr: 'Sélectionner',
            es: 'Seleccionar',
            pt: 'Selecionar',
        },
        Selected: {
            en: '{0} selected',
            de: '{0} selektiert',
            fr: '{0} sélectionnés',
            es: '{0} seleccionados',
            pt: '{0} seleccionados',
        },
        ShareImages: {
            en: 'Share',
            de: 'Share',
            fr: 'Partager',
            es: 'Compartir',
            pt: 'Partilhar',
        },
        SelectFirstItems: {
            en: 'Select first {0}',
            de: 'Erste {0} selektieren',
            fr: 'Sélectionnez les premiers {0}',
            es: 'Seleccione los primeros {0}',
            pt: 'Seleccione os primeiros {0}',
        },
        DeselectAll: {
            en: 'Deselect all',
            de: 'Alle abwählen',
            fr: 'Désélectionner tout',
            es: 'Deseleccionar todo',
            pt: 'Desmarcar todos',
        },
        Preview: {
            en: 'Preview',
            de: 'Vorschau',
            fr: 'Aperçu',
            es: 'Vista previa',
            pt: 'Pré-visualização',
        },
        More: {
            en: 'More',
            de: 'Mehr',
            fr: 'Plus',
            es: 'Más',
            pt: 'Mais',
        },
        Download: {
            en: 'Download',
            de: 'Herunterladen',
            fr: 'Télécharger',
            es: 'Descargar',
            pt: 'Descarregar',
        },
        Details: {
            en: 'Details',
            de: 'Details',
            fr: 'Détails',
            es: 'Detalles',
            pt: 'Detalhes',
        },
        ItemsLength: {
            en: '{0} contents',
            de: '{0} Contents',
            fr: '{0} contenus',
            es: '{0} contenidos',
            pt: '{0} conteúdos',
        },
        SortingMenu: {
            en: 'Sort',
            de: 'Sortieren',
            fr: 'Trier',
            es: 'Ordenar',
            pt: 'Ordenar',
        },
        ViewTypeMenu: {
            en: 'Views',
            de: 'Ansichten',
            fr: 'Vues',
            es: 'Vistas',
            pt: 'Vistas',
        },
        ViewTypeThumbnail: {
            en: 'Thumbnails',
            de: 'Miniaturen',
            fr: 'Vignettes',
            es: 'Miniaturas',
            pt: 'Miniaturas',
        },
        ViewTypeList: {
            en: 'List',
            de: 'Liste',
            fr: 'Liste',
            es: 'Listado',
            pt: 'Lista',
        },
        NoItems: {
            en: 'No content found using your search.',
            de: 'Kein Inhalt für Ihre Suche gefunden.',
            fr: 'Aucun contenu trouvé lors de votre recherche.',
            es: 'No se encontró contenido usando su búsqueda.',
            pt: 'Nenhum conteúdo encontrado usando sua pesquisa.',
        },
        NoItemsHist: {
            en: 'You may do the following:',
            de: 'Sie können Folgendes tun:',
            fr: 'Vous pouvez faire ce qui suit:',
            es: 'Puede hacer lo siguiente:',
            pt: 'Você pode fazer o seguinte:',
        },
        NoItemsActionChannel: {
            en: 'Switch to another channel',
            de: 'Channel wechseln',
            fr: 'Passer à un autre espace',
            es: 'Cambiar a otro espacio',
            pt: 'Mudar para outro espaço',
        },
        NoItemsActionSearchString: {
            en: 'Change your search string',
            de: 'Ändern Sie Ihren Suchbegriff',
            fr: 'Changer votre terme de recherche',
            es: 'Cambia tu término de búsqueda',
            pt: 'Altere o seu termo de pesquisa',
        },
        ThumbnailSmall: {
            en: 'Small',
            de: 'Klein',
            fr: 'Petit',
            es: 'Pequeño',
            pt: 'Pequeno',
        },
        ThumbnailMedium: {
            en: 'Medium',
            de: 'Mittel',
            fr: 'Moyen',
            es: 'Medio',
            pt: 'Médio',
        },
        ThumbnailLarge: {
            en: 'Large',
            de: 'Gross',
            fr: 'Grand',
            es: 'Grande',
            pt: 'Grande',
        },
        ContentsLowercase: {
            en: 'content items',
            de: 'Content Items',
            fr: 'éléments de contenu',
            es: 'elementos de contenido',
            pt: 'itens de conteúdo',
        },
    },
    SortMenu: {
        Ascending: {
            en: 'Ascending',
            de: 'Aufsteigend',
            fr: 'Ascendant',
            es: 'Ascendente',
            pt: 'Ascendente',
        },
        Descending: {
            en: 'Descending',
            de: 'Absteigend',
            fr: 'Descendant',
            es: 'Descendiendo',
            pt: 'Descendente',
        },
        Relevance: {
            en: 'Relevance',
            de: 'Relevanz',
            fr: 'Pertinence',
            es: 'Relevancia',
            pt: 'Relevância',
        },
        FileName: {
            en: 'File name',
            de: 'Dateiname',
            fr: 'Nom de fichier',
            es: 'Nombre de archivo',
            pt: 'Nome do ficheiro',
        },
        CreationDate: {
            en: 'Creation date',
            de: 'Erstellungsdatum',
            fr: 'Date de création',
            es: 'Fecha de creación',
            pt: 'Data de criação',
        },
        ModificationDate: {
            en: 'Modification Date',
            de: 'Änderungsdatum',
            fr: 'Date de modification',
            es: 'Fecha de modificación',
            pt: 'Data de modificação',
        },
    },
    ContentPicker: {
        ButtonChoose: {
            en: 'Apply selection',
            de: 'Auswahl übernehmen',
            fr: 'Appliquer la sélection',
            es: 'Aplicar selección',
            pt: 'Aplicar seleção',
        },
        ButtonLoading: {
            en: 'Loading...',
            de: 'Wird geladen...',
            fr: 'Chargement...',
            es: 'Cargando...',
            pt: 'Carregando...',
        },
        ButtonCancel: {
            en: 'Cancel',
            de: 'Abbrechen',
            fr: 'Annuler',
            es: 'Cancelar',
            pt: 'Cancelar',
        },
        TextSelectedSingle: {
            en: 'You have selected 1 item.',
            de: 'Sie haben 1 Item ausgewählt.',
            fr: 'Vous avez sélectionné 1 élément.',
            es: 'Has seleccionado 1 elemento.',
            pt: 'Você selecionou 1 item.',
        },
        TextSelectedMultiple: {
            en: 'You have selected {0} items.',
            de: 'Sie haben {0} Items ausgewählt.',
            fr: 'Vous avez sélectionné {0} éléments.',
            es: 'Ha seleccionado {0} elementos.',
            pt: 'Você selecionou {0} itens.',
        },
        SelectedItem: {
            en: '1 item',
            de: '1 Item',
            fr: '1 élément',
            es: '1 elemento',
            pt: '1 item',
        },
        SelectedItems: {
            en: '{0} items',
            de: '{0} Items',
            fr: '{0} éléments',
            es: '{0} elementos',
            pt: '{0} itens',
        },
    },
    ContentPickerDetails: {
        ButtonBack: {
            en: 'Go back',
            de: 'Zurück',
            fr: 'Retourner',
            es: 'Regresar',
            pt: 'Voltar',
        },
        ButtonChoose: {
            en: 'Choose item',
            de: 'Item auswählen',
            fr: 'Choisissez un élément',
            es: 'Elige elemento',
            pt: 'Escolha o item',
        },
        LabelFileExtension: {
            en: 'File extension',
            de: 'Dateiendung',
            fr: 'Extension de fichier',
            es: 'Extensión de archivo',
            pt: 'Extensão do ficheiro',
        },
        LabelFileSize: {
            en: 'File size',
            de: 'Dateigrösse',
            fr: 'Taille du fichier',
            es: 'Tamaño del archivo',
            pt: 'Tamanho do ficheiro',
        },
        LabelSize: {
            en: 'Size',
            de: 'Grösse',
            fr: 'Taille',
            es: 'Tamaño',
            pt: 'Tamanho',
        },
    },
    ListBrowser: {
        ListItemsLowercase: {
            en: 'list items',
            de: 'Listen-Items',
            fr: 'éléments de liste',
            es: 'elementos de lista',
            pt: 'itens de lista',
        },
        ItemsWereNotFound: {
            en: 'Items were not found',
            de: 'Items wurden nicht gefunden',
            fr: "Éléments n'ont pas été trouvés",
            es: 'Elementos no se encontraron',
            pt: 'Não foram encontrados items',
        },
        LastTriggered: {
            en: 'Last triggered on {{datetime}} by {{firstName}} {{lastName}}',
            de: 'Zuletzt ausgelöst am {{datetime}} durch {{firstName}} {{lastName}}',
            fr: 'Dernier déclenchement {{datetime}} par {{firstName}} {{lastName}}',
            es: 'Última desencadenó en {{datetime}} por {{firstName}} {{lastName}}',
            pt: 'Última desencadeada em {{datetime}} por {{firstName}} {{lastName}}',
        },
        NeverTriggered: {
            en: 'Never triggered',
            de: 'Nie getriggert',
            fr: 'Jamais déclenché',
            es: 'Nunca disparado',
            pt: 'Nunca desencadeada',
        },
    },
    Login: {
        LabelUsername: {
            en: 'Username',
            de: 'Benutzername',
            fr: "Nom d'utilisateur",
            es: 'Nombre de usuario',
            pt: 'Nome do usuário',
        },
        LabelPassword: {
            en: 'Password',
            de: 'Passwort',
            fr: 'Mot de passe',
            es: 'Contraseña',
            pt: 'Senha',
        },
        LabelRememberPassword: {
            en: 'Remember Password',
            de: 'Passwort speichern',
            fr: 'Souvenir le mot de passe',
            es: 'Recuerda la contraseña',
            pt: 'Lembrar senha',
        },
        ButtonLogin: {
            en: 'Login',
            de: 'Anmelden',
            fr: "S'inscrire",
            es: 'Iniciar sesión',
            pt: 'Iniciar sessão',
        },
        TextWrongUsernameOrPassword: {
            en: 'The entered username or password is wrong.',
            de: 'Der eingegebene Benutzername oder das Passwort ist falsch.',
            fr: "Le nom d'utilisateur ou le mot de passe saisi est incorrect.",
            es: 'El nombre de usuario o la contraseña ingresados son incorrectos.',
            pt: 'O nome de usuário ou senha inseridos estão incorretos.',
        },
    },
    Logout: {
        ButtonLogout: {
            en: 'Logout',
            de: 'Abmelden',
            fr: 'Se déconnecter',
            es: 'Cerrar sesión',
            pt: 'Terminar sessão',
        },
        TextLoggedInAs: {
            en: 'Logged in as',
            de: 'Angemeldet als',
            fr: 'Connecté en tant que',
            es: 'Conectado como',
            pt: 'Conectado como',
        },
        TextLogoutFailed: {
            en: 'Could not log out - please try again.',
            de: 'Abmeldung ist fehlgeschlagen - bitte erneut versuchen.',
            fr: 'Échec de la désinscription - veuillez réessayer s.v.p.',
            es: 'No se pudo cerrar la sesión. Vuelva a intentarlo.',
            pt: 'Não foi possível terminar a sessão - tente novamente.',
        },
    },
    SearchBox: {
        Search: {
            en: 'Search',
            de: 'Suche',
            fr: 'Recherche',
            es: 'Búsqueda',
            pt: 'Pesquisa',
        },
        SimpleOrSearch: {
            en: 'OR',
            de: 'ODER (OR)',
            fr: 'OU (OR)',
            es: 'O (OR)',
            pt: 'OU (OR)',
        },
        SimpleAndSearch: {
            en: 'AND',
            de: 'UND (AND)',
            fr: 'ET (AND)',
            es: 'Y (AND)',
            pt: 'E (AND)',
        },
        AdvancedSearch: {
            en: 'Advanced',
            de: 'Erweitert',
            fr: 'Avancé',
            es: 'Avanzado',
            pt: 'Avançado',
        },
    },
    SearchSuggestBox: {
        Search: {
            en: 'Search',
            de: 'Suche',
            fr: 'Recherche',
            es: 'Búsqueda',
            pt: 'Pesquisa',
        },
        SimpleOrSearchTooltip: {
            en: 'Results will contain matches for any term. Separate terms via a blank space, semicolon, or comma.',
            de: 'Die Ergebnisse enthalten Übereinstimmungen für jeden Begriff. Trennen Sie Begriffe durch ein Leerzeichen, ein Semikolon oder ein Komma.',
            fr: "Les résultats contiendront des correspondances pour n'importe quel terme. Séparez les termes par un espace, un point-virgule ou une virgule.",
            es: 'Los resultados contendrán coincidencias para cualquier término. Separe los términos mediante un espacio en blanco, un punto y coma o una coma.',
            pt: 'Os resultados conterão correspondências para qualquer termo. Separe os termos com um espaço em branco, ponto e vírgula ou vírgula.',
        },
        SimpleOrSearch: {
            en: 'OR',
            de: 'ODER (OR)',
            fr: 'OU (OR)',
            es: 'O (OR)',
            pt: 'OU (OR)',
        },
        SimpleAndSearchTooltip: {
            en: 'Results will contain matches for all terms. Separate terms via a blank space, semicolon, or comma.',
            de: 'Die Ergebnisse enthalten Übereinstimmungen für alle Begriffe. Trennen Sie Begriffe durch ein Leerzeichen, ein Semikolon oder ein Komma.',
            fr: 'Les résultats contiendront des correspondances pour tous les termes. Séparez les termes par un espace, un point-virgule ou une virgule.',
            es: 'Los resultados contendrán coincidencias para todos los términos. Separe los términos mediante un espacio en blanco, un punto y coma o una coma.',
            pt: 'Os resultados conterão correspondências para todos os termos. Separe os termos com um espaço em branco, ponto e vírgula ou vírgula.',
        },
        SimpleAndSearch: {
            en: 'AND',
            de: 'UND (AND)',
            fr: 'ET (AND)',
            es: 'Y (AND)',
            pt: 'E (AND)',
        },
        AdvancedSearchTooltip: {
            en: 'Advanced syntax can be used like operands AND, OR, NOT, ~ for fuzziness or brackets for grouping of criteria. More examples in the Advanced Search Cheat Sheet in the manual.',
            de: 'Erweiterte Syntax kann verwendet werden, wie die Operanden AND, OR, NOT, ~ für Fuzziness oder Klammern für die Gruppierung von Kriterien. Mehr Beispiele im Advanced Search Cheat Sheet im Manual',
            fr: "La syntaxe avancée peut être utilisée comme les opérandes AND, OR, NOT, ~ pour termes 'diffus',   ou les crochets pour le regroupement de critères. Plus d'exemples dans la feuille de triche de recherche avancée dans le manuel.",
            es: 'La sintaxis avanzada se puede utilizar como operandos AND, OR, NOT, ~ para falta de claridad o corchetes para agrupar criterios. Más ejemplos en la hoja de referencia de búsqueda avanzada en el manual.',
            pt: 'A sintaxe avançada pode ser usada como operandos AND, OR, NOT, ~ para imprecisão ou colchetes para agrupamento de critérios. Mais exemplos na Folha de Dicas de Pesquisa Avançada no manual.',
        },
        AdvancedSearch: {
            en: 'Advanced',
            de: 'Erweitert',
            fr: 'Avancé',
            es: 'Avanzado',
            pt: 'Avançado',
        },
        SearchSettings: {
            en: 'Search settings',
            de: 'Sucheinstellungen',
            fr: 'Options de recherche',
            es: 'Opciones de búsqueda',
            pt: 'Opções de pesquisa',
        },
        TypeToSearch: {
            en: 'Type to search',
            de: 'Tippen für Vorschläge',
            fr: 'Tapez pour rechercher',
            es: 'Escribe para buscar',
            pt: 'Escreva para pesquisar',
        },
        NoMatchingSuggestions: {
            en: 'No matches',
            de: 'Keine Vorschläge',
            fr: 'Aucune correspondance',
            es: 'Sin coincidencias',
            pt: 'Sem combinações',
        },
        Loading: {
            en: 'Loading...',
            de: 'Wird geladen...',
            fr: 'Chargement...',
            es: 'Cargando...',
            pt: 'A carregar...',
        },
    },
    ContentDownloadDialog: {
        AudioMetadata: {
            en: 'Audio',
            de: 'Audio',
            fr: 'Audio',
            es: 'Audio',
            pt: 'Audio',
        },
        ImageMetadata: {
            en: 'Images',
            de: 'Bilder',
            fr: 'Images',
            es: 'Imagenes',
            pt: 'Imagens',
        },
        VectorMetadata: {
            en: 'Vector images',
            de: 'Vektor Bilder',
            fr: 'Images vectorielles',
            es: 'Imágenes vectoriales',
            pt: 'Imagens vetoriais',
        },
        FileMetadata: {
            en: 'Others',
            de: 'Andere',
            fr: 'Autres',
            es: 'Otras',
            pt: 'Outros',
        },
        VideoMetadata: {
            en: 'Videos',
            de: 'Videos',
            fr: 'Vidéos',
            es: 'Videos',
            pt: 'Vídeos',
        },
        DocumentMetadata: {
            en: 'Documents',
            de: 'Dokumente',
            fr: 'Documents',
            es: 'Documentos',
            pt: 'Documentos',
        },
        Virtual: {
            en: 'Virtual content',
            de: 'Virtueller content',
            fr: 'Contenu virtuel',
            es: 'Contenido virtual',
            pt: 'Conteúdo virtual',
        },
        FileSize: {
            en: 'Download size: ~',
            de: 'Downloadgrösse: ~',
            fr: 'Taille du téléchargement: ~',
            es: 'Tamaño de descarga: ~',
            pt: 'Tamanho do download: ~',
        },
        FileSizeDynamicOutputs: {
            en: 'Download size (without dynamic formats): ~',
            de: 'Downloadgrösse (ohne dynamische Formate): ~',
            fr: 'Taille du téléchargement (sans formats dynamiques): ~',
            es: 'Tamaño de descarga (sin formatos dinámicos): ~',
            pt: 'Tamanho do download (sem formatos dinâmicos): ~',
        },
        Title: {
            en: 'Download',
            de: 'Download',
            fr: 'Téléchargement',
            es: 'Descarga',
            pt: 'Descarga',
        },
        Advanced: {
            en: 'Show more formats',
            de: 'Mehr Formate anzeigen',
            fr: 'Afficher plus de formats',
            es: 'Mostrar más formatos',
            pt: 'Mostrar mais formatos',
        },
        Simple: {
            en: 'Show less formats',
            de: 'Weniger Formate anzeigen',
            fr: 'Afficher moins de formats',
            es: 'Mostrar menos formatos',
            pt: 'Mostrar menos formatos',
        },
        Download: {
            en: 'Download',
            de: 'Herunterladen',
            fr: 'Télécharger',
            es: 'Descargar',
            pt: 'Descarregar',
        },
        Cancel: {
            en: 'Cancel',
            de: 'Abbrechen',
            fr: 'Annuler',
            es: 'Cancelar',
            pt: 'Cancelar',
        },
        NoAccess: {
            en: 'No access to any format!',
            de: 'Kein Zugriff zu Formaten!',
            fr: 'Aucun accès à aucun format!',
            es: 'Sin acceso a ningún formato!',
            pt: 'Sem acesso a qualquer formato!',
        },
        ConfirmDownloadTitle: {
            en: 'Download ready',
            de: 'Download bereit',
            fr: 'Téléchargement prêt',
            es: 'Descarga lista',
            pt: 'Descarga pronta',
        },
        ConfirmDownloadMessage: {
            en: 'A download is ready. Would you like to continue downloading?',
            de: 'Ein Download ist bereit. Möchten Sie mit dem Herunterladen fortfahren?',
            fr: 'Un téléchargement est prêt. Voulez-vous continuer le téléchargement?',
            es: 'Una descarga está lista. ¿Quieres continuar con la descarga?',
            pt: 'Uma descarga está pronta. Quer continuar a descarregar?',
        },
        DownloadPending: {
            en: 'Preparing download. You will be notified once it is ready.',
            de: 'Der Download wird vorbereitet. Sie werden benachrichtigt, sobald er verfügbar ist.',
            fr: "Préparation du téléchargement. Vous serez averti une fois qu'il sera prêt.",
            es: 'Preparando la descarga. Se le notificará una vez que esté listo.',
            pt: 'Preparando a descarga. Será notificado assim que estiver pronta.',
        },
        DownloadError: {
            en: 'There was a problem with the download!',
            de: 'Beim Herunterladen ist ein Fehler aufgetreten!',
            fr: 'Un problème est survenu lors du téléchargement!',
            es: 'Hubo un problema con la descarga!',
            pt: 'Ocorreu um problema com a descarga!',
        },
        TooManyContentsError: {
            en: 'Download cannot contain more than 1000 content items!',
            de: 'Download kann nicht mehr als 1000 Content Items enthalten!',
            fr: 'Le téléchargement ne peut pas contenir plus de 1 000 éléments de contenu!',
            es: 'La descarga no puede contener más de 1000 elementos de contenido!',
            pt: 'A descarga não pode conter mais de 1000 itens de conteúdo!',
        },
    },
    SchemaBrowser: {
        Ascending: {
            en: 'Ascending',
            de: 'Aufsteigend',
            fr: 'Ascendant',
            es: 'Ascendente',
            pt: 'Ascendente',
        },
        Descending: {
            en: 'Descending',
            de: 'Absteigend',
            fr: 'Descendant',
            es: 'Descendiendo',
            pt: 'Descendente',
        },
        Relevance: {
            en: 'Relevance',
            de: 'Relevanz',
            fr: 'Pertinence',
            es: 'Relevancia',
            pt: 'Relevância',
        },
        Title: {
            en: 'Title',
            de: 'Titel',
            fr: 'Titre',
            es: 'Título ',
            pt: 'Título',
        },
        DateCreated: {
            en: 'Creation Date',
            de: 'Erstelldatum',
            fr: 'Date de création',
            es: 'Fecha de creación',
            pt: 'Data de criação',
        },
        DateModified: {
            en: 'Modification Date',
            de: 'Änderungsdatum',
            fr: 'Date de modification',
            es: 'Fecha de modificación',
            pt: 'Data de modificação',
        },
        SchemasLowercase: {
            en: 'schemas',
            de: 'Schemen',
            fr: 'schémas',
            es: 'esquemas',
            pt: 'esquemas',
        },
        ItemsWereNotFound: {
            en: 'Items were not found!',
            de: 'List Items nicht gefunden!',
            fr: "Les éléments n'ont pas été trouvés!",
            es: 'No se encontraron elementos!',
            pt: 'Itens não encontrados!',
        },
        FieldsLowercase: {
            en: 'fields',
            de: 'Felder',
            fr: 'champs',
            es: 'campos',
            pt: 'campos',
        },
        ShowItemList: {
            en: 'Show list of items',
            de: 'Liste der Items anzeigen',
            fr: 'Afficher liste des éléments',
            es: 'Mostrar lista de elementos',
            pt: 'Mostrar lista de itens',
        },
    },
    ShareContentDialog: {
        Clear: {
            en: 'Clear',
            de: 'Entfernen',
            fr: 'Retirer',
            es: 'Eliminar',
            pt: 'Retirar',
        },
        CreateShare: {
            en: 'Share Content',
            de: 'Inhalte teilen',
            fr: 'Partager du contenu',
            es: 'Compartir contenido',
            pt: 'Partilhar conteúdo',
        },
        General: {
            en: 'General',
            de: 'Allgemein',
            fr: 'Général',
            es: 'General',
            pt: 'Geral',
        },
        Items: {
            en: 'Items',
            de: 'Items',
            fr: 'Éléments',
            es: 'Elementos',
            pt: 'Itens',
        },
        ItemsMore: {
            en: '{0} and {1} more items',
            de: '{0} und {1} weitere Items',
            fr: '{0} et {1} éléments de plus',
            es: '{0} (et {1} éléments de plus',
            pt: '{0} e mais {1} itens',
        },
        ShareName: {
            en: 'Share name',
            de: 'Name des Shares',
            fr: 'Nom de partage',
            es: 'Nombre para compartir',
            pt: 'Nome de partilha',
        },
        RemoveItem: {
            en: 'Remove item',
            de: 'Remove item (DE)',
            fr: "Supprimer l'élément",
            es: 'Remover el elemento',
            pt: 'Remover item',
        },
        ShareContent: {
            en: 'Share',
            de: 'Teilen',
            fr: 'Partager',
            es: 'Compartir',
            pt: 'Partilhar',
        },
        CloseDialog: {
            en: 'Close',
            de: 'Schliessen',
            fr: 'Fermer',
            es: 'Cerrar',
            pt: 'Fechar',
        },
        CancelShare: {
            en: 'Cancel',
            de: 'Abbrechen',
            fr: 'Annuler',
            es: 'Cancelar',
            pt: 'Cancelar',
        },
        Recipients: {
            en: 'Recipients',
            de: 'Empfänger',
            fr: 'Destinataires',
            es: 'Destinatarios',
            pt: 'Destinatários',
        },
        ExpireDate: {
            en: 'Expiration Date',
            de: 'Ablaufdatum',
            fr: "Date d'expiration",
            es: 'Fecha de vencimiento',
            pt: 'Data de validade',
        },
        AddShareNameError: {
            en: 'Please, add a share name!',
            de: 'Bitte fügen Sie einen Share Namen hinzu!',
            fr: 'Veuillez ajouter un nom de partage!',
            es: 'Por favor, agregue un nombre para compartir!',
            pt: 'Por favor adicione um nome de partilha!',
        },
        ShareNameTooLongError: {
            en: 'Sorry, your share name is too long!',
            de: 'Entschuldigen Sie, aber Ihr Share Name ist zu lange!',
            fr: 'Désolé, le nom de votre partage est trop long!',
            es: 'Lo siento, tu nombre para compartir es demasiado largo!',
            pt: 'Desculpe, o nome de partilha é demasiado longo!',
        },
        ShareNameTooShortError: {
            en: 'Sorry, your share name is too short!',
            de: 'Entschuldigen Sie, aber Ihr Share Name ist zu kurz!',
            fr: 'Désolé, le nom de votre partage est trop court!',
            es: 'Lo siento, tu nombre para compartir es demasiado corto!',
            pt: 'Desculpe, o nome de partilha é demasiado curto!',
        },
        SuccessNotification: {
            en: 'Your content was shared successfully!',
            de: 'Ihre Inhalte wurden korrekt geteilt!',
            fr: 'Votre contenu a été partagé avec succès!',
            es: '¡Tu contenido se compartió con éxito!',
            pt: 'O seu conteúdo foi partilhado com sucesso!',
        },
        ErrorNotification: {
            en: 'There was an error sharing your content, please try again!',
            de: 'Beim Teilen Ihres Inhalts ist ein Fehler aufgetreten. Bitte versuchen Sie es erneut!',
            fr: "Une erreur s'est produite lors du partage de votre contenu, veuillez réessayer!",
            es: 'Hubo un error al compartir su contenido, intente nuevamente!',
            pt: 'Ocorreu um erro ao partilhar o seu conteúdo, tente novamente!',
        },
        Language: {
            en: 'Language',
            de: 'Sprache',
            fr: 'Langue',
            es: 'Idioma',
            pt: 'Idioma',
        },
        AccessOriginal: {
            en: 'Access Original',
            de: 'Original Zugang',
            fr: "Accès à l'original",
            es: 'Acceso al original',
            pt: 'Acesso ao original',
        },
    },
    ContentDetailsDialog: {
        Download: {
            en: 'Download',
            de: 'Herunterladen',
            fr: 'Télécharger',
            es: 'Descargar',
            pt: 'Descarregar',
        },
        Overview: {
            en: 'Overview',
            de: 'Übersicht',
            fr: 'Aperçu',
            es: 'Información general',
            pt: 'Visão geral',
        },
        Metadata: {
            en: 'Metadata',
            de: 'Metadaten',
            fr: 'Métadonnées',
            es: 'Metadatos',
            pt: 'Metadados',
        },
    },
    ShareMailRecipientsPanel: {
        CopyToClipboard: {
            en: 'Copy to clipboard',
            de: 'In Zwischenablage kopieren',
            fr: 'Copier dans le presse-papier',
            es: 'Copiar al portapapeles',
            pt: 'Copiar para a área de transferência',
        },
        Recipients: {
            en: 'Recipients',
            de: 'Empfänger',
            fr: 'Destinataires',
            es: 'Destinatarios',
            pt: 'Destinatários',
        },
        RecipientsRequired: {
            en: 'Please, add a recipient for sharing the images!',
            de: 'Bitte fügen Sie einen Empfänger für die Freigabe der Bilder hinzu!',
            fr: 'Veuillez ajouter un destinataire pour partager les images!',
            es: 'Por favor, agregue un destinatario para compartir las imágenes!',
            pt: 'Por favor adicione um destinatário para partilhar as imagens!',
        },
        RecipientsInvalid: {
            en: 'The Email field does not have a valid e  mail address!',
            de: 'Im E-Mail Feld ist keine gültige E-Mail-Adresse eingetragen!',
            fr: "Le champ e-mail n'a pas d'adresse e-mail valide!",
            es: '¡El campo de correo electrónico no tiene una dirección de correo electrónico válida!',
            pt: 'O campo de e-mail não tem um endereço de e-mail válido!',
        },
    },
    ShareOwnerPanel: {
        Owner: {
            en: 'Owner',
            de: 'Inhaber',
            fr: 'Propriétaire',
            es: 'Propietario',
            pt: 'Proprietário',
        },
    },
    ShareSettingsPanel: {
        Settings: {
            en: 'Settings',
            de: 'Einstellungen',
            fr: 'Options',
            es: 'Opciones',
            pt: 'Opções',
        },
        Subject: {
            en: 'Subject',
            de: 'Betreff',
            fr: 'Sujet',
            es: 'Sujeto',
            pt: 'Sujeito',
        },
        AccessOriginal: {
            en: 'Access original',
            de: 'Zugriff zum Original',
            fr: "Accès à l'original",
            es: 'Acceso al original',
            pt: 'Acesso ao original',
        },
        CreationDate: {
            en: 'Creation date',
            de: 'Erstellungsdatum',
            fr: 'Date de création',
            es: 'Fecha de creación',
            pt: 'Data de criação',
        },
        ModificationDate: {
            en: 'Modification Date',
            de: 'Änderungsdatum',
            fr: 'Date de modification',
            es: 'Fecha de modificación',
            pt: 'Data de modificação',
        },
    },
    ShareItemsPanel: {
        Items: {
            en: 'Items',
            de: 'Items',
            fr: 'Éléments',
            es: 'Elementos',
            pt: 'Itens',
        },
        Details: {
            en: 'Details',
            de: 'Details',
            fr: 'Détails',
            es: 'Detalles',
            pt: 'Detalhes',
        },
        Download: {
            en: 'Download',
            de: 'Herunterladen',
            fr: 'Télécharger',
            es: 'Descargar',
            pt: 'Descarregar',
        },
    },
    LayerFieldService: {
        NoRelations: {
            en: 'Relations cannot be displayed.',
            de: 'Relationen können nicht angezeigt werden.',
            fr: 'Les relations ne peuvent pas être affichées.',
            es: 'No se pueden mostrar las relaciones.',
            pt: 'As relações não podem ser exibidas.',
        },
        Yes: {
            en: 'Yes',
            de: 'Ja',
            fr: 'Oui',
            es: 'Si',
            pt: 'Sim',
        },
        No: {
            en: 'No',
            de: 'Nein',
            fr: 'Non',
            es: 'No',
            pt: 'Não',
        },
    },
    ReadMore: {
        More: { en: 'Show more', de: 'Mehr anzeigen', fr: 'Montrer plus', es: 'Mostrar más', pt: 'Mostrar mais' },
        Less: { en: 'Show less', de: 'Weniger anzeigen', fr: 'Montrer moins', es: 'Muestra menos', pt: 'Mostrar menos' },
    },
    ShareBrowser: {
        SharesLowercase: {
            en: 'shares',
            de: 'Shares',
            fr: 'partages',
            es: 'compartes',
            pt: 'partilhas',
        },
    },
};
const fallbackLanguage = 'en';
function translate(key, locale) {
    const language = locale ? locale.split('-')[0].toLowerCase() : '';
    let translations = TRANSLATIONS;
    if (typeof key === 'string') {
        const path = key.split('.');
        if (path.length > 0) {
            for (const segment of path) {
                if (translations[segment]) {
                    translations = translations[segment];
                }
                else {
                    translations = null;
                    break;
                }
            }
        }
        else {
            translations = null;
        }
    }
    else {
        translations = key;
    }
    return translations && translations[language]
        ? translations[language]
        : language !== fallbackLanguage
            ? translate(key, fallbackLanguage + '-')
            : `[!${key}]`;
}

let TranslationService = class TranslationService {
    constructor(locale, infoFacade) {
        this.locale = locale;
        this.infoFacade = infoFacade;
    }
    getOutputFormatTranslations() {
        return __awaiter(this, void 0, void 0, function* () {
            if (!this.customerInfo) {
                this.customerInfo = yield this.infoFacade.getInfo().toPromise();
            }
            const outputTranslations = {};
            this.customerInfo.outputFormats.forEach((i) => {
                outputTranslations[i.id] = i.names.translate(this.locale);
            });
            return outputTranslations;
        });
    }
    translate(key) {
        return translate(key, this.locale);
    }
};
TranslationService.ɵprov = i0.ɵɵdefineInjectable({ factory: function TranslationService_Factory() { return new TranslationService(i0.ɵɵinject(i0.LOCALE_ID), i0.ɵɵinject(i1.InfoFacade)); }, token: TranslationService, providedIn: "root" });
TranslationService = __decorate([
    Injectable({
        providedIn: 'root',
    }),
    __param(0, Inject(LOCALE_ID)),
    __metadata("design:paramtypes", [String, InfoFacade])
], TranslationService);

class BaseBrowserComponent extends BaseComponent {
    constructor(componentName, injector, facade) {
        var _a;
        super(injector);
        this.componentName = componentName;
        this.injector = injector;
        this.facade = facade;
        this.isLoading = false;
        this.items = [];
        this.isAscending = null;
        this.activeThumbnailSize = ThumbnailSize.Medium;
        this.scrollDebounceTime = 0;
        this.selectedItemsChange = new EventEmitter();
        this.previewItemChange = new EventEmitter();
        this._selectedItems = [];
        this.lastSelectedIndex = 0;
        this.totalResults$ = this.facade.totalResults$;
        this.items$ = this.facade.items$;
        this.aggregationResults$ = this.facade.aggregationResults$;
        this.self = this;
        // Init default sort
        this.initSort();
        if (!this.sortingTypes) {
            this.sortingTypes = [
                {
                    field: '_score',
                    name: this.translationService.translate('SortMenu.Relevance'),
                },
            ];
            this.activeSortingType = this.sortingTypes[0];
        }
        this.setSort(this.activeSortingType, (_a = this.isAscending, (_a !== null && _a !== void 0 ? _a : true)), false);
        this.pictureParkUIConfig = injector.get(PICTUREPARK_UI_CONFIGURATION);
    }
    // Services
    get scrollDispatcher() {
        return this.injector.get(ScrollDispatcher);
    }
    get ngZone() {
        return this.injector.get(NgZone);
    }
    get translationService() {
        return this.injector.get(TranslationService);
    }
    get selectionService() {
        return new SelectionService();
    }
    get dialog() {
        return this.injector.get(MatDialog);
    }
    ngOnInit() {
        return __awaiter(this, void 0, void 0, function* () {
            this.configActions = this.pictureParkUIConfig[this.componentName];
            // Scroll loader
            this.sub = this.scrollDispatcher
                .scrolled()
                .pipe(debounceTime(this.scrollDebounceTime))
                .subscribe((scrollable) => {
                if (!scrollable) {
                    return;
                }
                const nativeElement = scrollable.getElementRef().nativeElement;
                const scrollCriteria = nativeElement.scrollTop > nativeElement.scrollHeight - 2 * nativeElement.clientHeight;
                if (scrollCriteria && !this.isLoading && this.items.length !== this.facade.searchResultState.totalResults) {
                    this.ngZone.run(() => this.onScroll());
                }
            });
            // Item selection
            this.sub = this.selectionService.selectedItems.subscribe((items) => {
                this.selectedItems = items;
            });
            // Call abstract init class
            yield this.init();
            // Subscribe to searchInput changes and trigger reload
            this.sub = this.facade.searchRequest$.subscribe(() => this.update());
            // Subscribe to loading
            this.sub = this.facade.getLoadingInfos('all').subscribe((i) => (this.isLoading = i));
        });
    }
    get selectedItems() {
        return this._selectedItems;
    }
    set selectedItems(items) {
        this._selectedItems = items;
        this.selectedItemsChange.emit(items);
    }
    trackByItem(index, item) {
        return item.id;
    }
    update() {
        var _a;
        this.facade.searchResultState.nextPageToken = undefined;
        this.facade.searchResultState.results = [];
        this.items = [];
        this.selectedItems = [];
        (_a = this.loadData()) === null || _a === void 0 ? void 0 : _a.subscribe();
    }
    loadData() {
        if (this.isLoading) {
            return;
        }
        const request = this.facade.search();
        if (!request) {
            return;
        }
        return request.pipe(tap((searchResult) => {
            if (searchResult.results) {
                const items = searchResult.results.map((i) => i);
                this.items.push(...items);
                this.prepareData(items);
            }
            this.facade.setResultState({
                totalResults: searchResult.totalResults,
                results: [...this.facade.searchResultState.results, ...searchResult.results],
                nextPageToken: searchResult.pageToken,
                aggregationResults: searchResult.aggregationResults,
            });
        }));
    }
    prepareData(items) { }
    /**
     * Click event to trigger selection (ctrl + shift click)
     */
    itemClicked(event, index, presist = false) {
        const itemModel = this.items[index];
        if (this.isTouchDevice) {
            this.lastSelectedIndex = index;
            this.selectionService.toggle(itemModel);
            return;
        }
        if (event.ctrlKey || event.metaKey) {
            this.lastRangeSelection = null;
            this.lastSelectedIndex = index;
            this.selectionService.toggle(itemModel);
            return;
        }
        if (!presist) {
            this.selectionService.clear();
        }
        if (event.shiftKey) {
            const firstIndex = this.lastSelectedIndex < index ? this.lastSelectedIndex : index;
            const lastIndex = this.lastSelectedIndex < index ? index : this.lastSelectedIndex;
            if (this.lastRangeSelection && presist) {
                let itemsToRemove = [];
                if (firstIndex === this.lastRangeSelection.lastIndex) {
                    itemsToRemove = this.items.slice(this.lastRangeSelection.firstIndex, firstIndex + 1).map((i) => i);
                }
                else if (firstIndex < this.lastRangeSelection.firstIndex) {
                    itemsToRemove = this.items.slice(lastIndex, this.lastRangeSelection.lastIndex + 1).map((i) => i);
                }
                else if (lastIndex < this.lastRangeSelection.lastIndex) {
                    itemsToRemove = this.items.slice(lastIndex, this.lastRangeSelection.lastIndex + 1).map((i) => i);
                }
                if (itemsToRemove.length) {
                    this.selectionService.removeItems(itemsToRemove);
                }
            }
            const itemsToAdd = this.items.slice(firstIndex, lastIndex + 1).map((i) => i);
            this.selectionService.addItems(itemsToAdd);
            this.lastRangeSelection = { firstIndex, lastIndex };
            return;
        }
        this.lastRangeSelection = null;
        this.lastSelectedIndex = index;
        this.selectionService.toggle(itemModel);
    }
    itemPressed(event, index) {
        const itemModel = this.items[index];
        this.lastSelectedIndex = index;
        this.selectionService.clear();
        this.selectionService.addItem(itemModel);
    }
    toggleItems(isSelected) {
        if (isSelected === true) {
            this.selectionService.addItems(this.items.map((model) => model));
        }
        else {
            this.selectionService.clear();
        }
    }
    previewItem(item) {
        this.previewItemChange.emit(item);
    }
    setSort(newValue, isAscending, reload = true) {
        if (newValue.field === '_score') {
            this.isAscending = null;
        }
        else {
            this.isAscending = isAscending;
        }
        this.activeSortingType = newValue;
        const sort = [
            new SortInfo({
                field: this.activeSortingType.field,
                direction: this.isAscending ? SortDirection.Asc : SortDirection.Desc,
            }),
        ];
        if (reload) {
            this.facade.patchRequestState({ sort });
        }
        else {
            this.facade.searchRequestState.sort = sort;
        }
    }
    changeView(view) {
        this.activeView = view;
        if (view.thumbnailSize) {
            this.activeThumbnailSize = view.thumbnailSize;
        }
    }
    // HANDLE COMPONENENT CLICK EVENT
    handleClick(event) {
        if (this.dialog.openDialogs.length > 0) {
            return;
        }
        if (this.checkContains(event.srcElement.className)) {
            this.selectionService.clear();
        }
    }
}
__decorate([
    LazyGetter(),
    __metadata("design:type", ScrollDispatcher),
    __metadata("design:paramtypes", [])
], BaseBrowserComponent.prototype, "scrollDispatcher", null);
__decorate([
    LazyGetter(),
    __metadata("design:type", NgZone),
    __metadata("design:paramtypes", [])
], BaseBrowserComponent.prototype, "ngZone", null);
__decorate([
    LazyGetter(),
    __metadata("design:type", TranslationService),
    __metadata("design:paramtypes", [])
], BaseBrowserComponent.prototype, "translationService", null);
__decorate([
    LazyGetter(),
    __metadata("design:type", SelectionService),
    __metadata("design:paramtypes", [])
], BaseBrowserComponent.prototype, "selectionService", null);
__decorate([
    LazyGetter(),
    __metadata("design:type", MatDialog),
    __metadata("design:paramtypes", [])
], BaseBrowserComponent.prototype, "dialog", null);
__decorate([
    Output(),
    __metadata("design:type", Object)
], BaseBrowserComponent.prototype, "selectedItemsChange", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], BaseBrowserComponent.prototype, "previewItemChange", void 0);
__decorate([
    HostListener('document:click', ['$event']),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], BaseBrowserComponent.prototype, "handleClick", null);

let SchemaBrowserComponent = class SchemaBrowserComponent extends BaseBrowserComponent {
    constructor(facade, injector) {
        super('SchemaBrowserComponent', injector, facade);
        this.facade = facade;
        this.activeSchemaChange = new EventEmitter();
        this.parentSchemaChange = new EventEmitter();
    }
    init() {
        return __awaiter(this, void 0, void 0, function* () {
            // Trigger load
            this.facade.patchRequestState({});
        });
    }
    initSort() {
        this.sortingTypes = [
            {
                field: '_score',
                name: this.translationService.translate('SortMenu.Relevance'),
            },
            {
                field: 'names.en',
                name: this.translationService.translate('SortMenu.FileName'),
            },
            {
                field: 'audit.creationDate',
                name: this.translationService.translate('SortMenu.CreationDate'),
            },
            {
                field: 'audit.modificationDate',
                name: this.translationService.translate('SortMenu.ModificationDate'),
            },
        ];
        this.activeSortingType = this.sortingTypes[0];
        this.views = [
            {
                name: this.translationService.translate('ContentBrowser.ThumbnailSmall'),
                icon: 'collections',
                type: 'thumbnailSmall',
            },
        ];
        this.activeView = this.views[0];
    }
    onScroll() {
        var _a;
        (_a = this.loadData()) === null || _a === void 0 ? void 0 : _a.subscribe();
    }
    checkContains(elementClassName) {
        const containClasses = ['browser__items'];
        return containClasses.some((iClass) => elementClassName.includes(iClass));
    }
    setUpActiveSchema(schema) {
        var _a;
        if (schema.childCount > 0 && schema.id !== ((_a = this.facade.searchRequestState.parentSchema) === null || _a === void 0 ? void 0 : _a.id)) {
            this.parentSchemaChange.emit(schema);
        }
        else {
            this.activeSchemaChange.emit(schema);
        }
    }
    onItemSelected(schemaId) {
        this.selectedSchemaId = schemaId;
    }
};
__decorate([
    Output(),
    __metadata("design:type", Object)
], SchemaBrowserComponent.prototype, "activeSchemaChange", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], SchemaBrowserComponent.prototype, "parentSchemaChange", void 0);
SchemaBrowserComponent = __decorate([
    Component({
        selector: 'pp-schema-browser',
        template: "<div class=\"browser\">\n  <div class=\"browser__header\">\n    <pp-browser-toolbar\n      [browser]=\"self\"\n      entityName=\"{{ 'SchemaBrowser.SchemasLowercase' | pptranslate }}\"\n      [selectionEnabled]=\"false\"\n    ></pp-browser-toolbar>\n  </div>\n  <div *ngIf=\"(totalResults$ | async) !== 0\" class=\"browser__items cp-scrollbar\" cdkScrollable>\n    <div class=\"browser__item-container\" *ngFor=\"let schema of items; trackBy: trackByItem\">\n      <pp-schema-browser-item\n        [schema]=\"schema\"\n        [selected]=\"schema.id === selectedSchemaId\"\n        (activeSchemaChange)=\"setUpActiveSchema($event)\"\n        (itemSelected)=\"onItemSelected($event)\"\n      ></pp-schema-browser-item>\n    </div>\n  </div>\n\n  <div *ngIf=\"(totalResults$ | async) === 0\" class=\"browser__empty-result mat-typography\">\n    {{ 'SchemaBrowser.ItemsWereNotFound' | pptranslate }}\n  </div>\n</div>\n",
        styles: [".browser{height:100%;overflow:hidden;position:relative}.browser__header mat-toolbar{height:57px}.browser__header mat-progress-bar{position:absolute;top:57px;z-index:10}.browser__divider{margin:0 8px}.browser__spacer{flex-grow:1}.browser__items-count{align-self:center}.browser__items{overflow-y:scroll;overflow-x:hidden;height:calc(100% - 107px);padding:25px;display:grid;grid-template-columns:repeat(auto-fill,minmax(120px,1fr));grid-template-rows:repeat(auto-fill,minmax(120px,1fr));grid-gap:25px}.browser__items .browser__item-container{height:120px}.browser__items--list{display:flex;flex-direction:column}.browser__items--list .browser__item-container{width:70%;margin:0 auto;border-bottom-style:solid;border-bottom-width:1px}.browser__items--list .browser__item-container--mobile{width:unset;margin:unset}.browser__items--large{grid-template-columns:repeat(auto-fill,minmax(280px,1fr));grid-template-rows:repeat(auto-fill,minmax(280px,1fr));grid-gap:25px}.browser__items--large .browser__item-container{height:280px}.browser__items--medium{grid-template-columns:repeat(auto-fill,minmax(200px,1fr));grid-template-rows:repeat(auto-fill,minmax(180px,1fr));grid-gap:45px 25px}.browser__items--medium .browser__item-container{height:200px}.browser__items--mobile{padding:5px}.browser__item-container{position:relative}.browser__empty-result{margin:20px}", ".browser__items{display:grid;height:unset;grid-template-columns:repeat(auto-fill,minmax(300px,1fr));grid-template-rows:auto;grid-gap:5px}.browser__items .browser__item-container{height:unset}"]
    }),
    __metadata("design:paramtypes", [SchemaSearchFacade, Injector])
], SchemaBrowserComponent);

let AggregationListComponent = class AggregationListComponent extends BaseComponent {
    ngOnInit() {
        this.aggregators$ = this.facade.aggregators$.pipe(map((items) => this.filterDisabledAggregators(items)));
        // Show loading if it takes more than 100ms
        this.loading$ = this.facade.getLoadingInfos('initial').pipe(debounceTime(100));
        this.aggregationResults$ = this.facade.aggregationResults$.pipe(map((aggregationResults) => (!!aggregationResults ? this.processAggregationResults(aggregationResults) : [])));
    }
    clearFilters() {
        this.facade.patchRequestState({ aggregationFilters: [] });
    }
    trackByName(_index, aggregator) {
        return aggregator.name;
    }
    processAggregationResults(aggregationResults) {
        var _a;
        const aggregations = [];
        const aggregationResultItemsToRemove = [];
        const filteredAggregators = this.filterDisabledAggregators(this.facade.searchRequestState.aggregators);
        const disabledAggregators = this.facade.searchRequestState.aggregators.filter((item) => { var _a; return !((_a = item.uiBehavior) === null || _a === void 0 ? void 0 : _a.enableFilter); });
        aggregationResults.forEach((aggregationResult) => {
            const nested = this.facade.expandAggregationResult(aggregationResult);
            const aggregatorIndex = filteredAggregators.findIndex((aggregator) => { var _a, _b; return nested.name === aggregator.name || nested.name === ((_b = (_a = aggregator.aggregators) === null || _a === void 0 ? void 0 : _a[0]) === null || _b === void 0 ? void 0 : _b.name); });
            if (aggregatorIndex > -1) {
                aggregations[aggregatorIndex] = aggregationResult;
            }
            if (nested.aggregationResultItems) {
                const nestedToRemove = nested.aggregationResultItems.filter((item) => item.active && disabledAggregators.find((da) => { var _a; return ((_a = item.filter) === null || _a === void 0 ? void 0 : _a.aggregationName) === da.name; }));
                aggregationResultItemsToRemove.push(...nestedToRemove);
            }
        });
        if (((_a = aggregationResultItemsToRemove) === null || _a === void 0 ? void 0 : _a.length) > 0) {
            this.facade.removeAggregationFilters(aggregationResultItemsToRemove);
        }
        return aggregations;
    }
    filterDisabledAggregators(items) {
        return items.filter((item) => { var _a; return (_a = item.uiBehavior) === null || _a === void 0 ? void 0 : _a.enableFilter; });
    }
};
__decorate([
    Input(),
    __metadata("design:type", SearchFacade)
], AggregationListComponent.prototype, "facade", void 0);
AggregationListComponent = __decorate([
    Component({
        selector: 'pp-aggregation-list',
        template: "<div class=\"aggregation-filter\">\n  <div class=\"aggregation-filter__filters filters\">\n    <mat-toolbar class=\"filters__active-filters\" *ngIf=\"facade.aggregationFilters$ | async as aggregationFilters\">\n      <span *ngIf=\"aggregationFilters.length === 0\">{{ 'ContentAggregationList.NoActiveFilters' | pptranslate }}</span>\n      <span *ngIf=\"aggregationFilters.length === 1\">{{\n        'ContentAggregationList.SingleActiveFilter' | pptranslate\n      }}</span>\n      <span *ngIf=\"aggregationFilters.length > 1\">{{\n        'ContentAggregationList.MultipleActiveFilters' | pptranslate: aggregationFilters.length\n      }}</span>\n      <button\n        [style.visibility]=\"aggregationFilters.length > 0 ? 'visible' : 'hidden'\"\n        [matTooltip]=\"'ContentAggregationList.ClearAllFilters' | pptranslate\"\n        (click)=\"clearFilters()\"\n        mat-icon-button\n      >\n        <mat-icon aria-label=\"Clear filters\">clear</mat-icon>\n      </button>\n    </mat-toolbar>\n\n    <mat-accordion displayMode=\"flat\" multi=\"true\">\n      <ng-container *ngIf=\"aggregationResults$ | async as aggregationResults\">\n        <pp-aggregation-item\n          *ngFor=\"let aggregator of aggregators$ | async; let i = index; trackBy: trackByName\"\n          [shouldExpand]=\"i === 0\"\n          [aggregator]=\"aggregator\"\n          [aggregationResult]=\"aggregationResults[i]\"\n          [facade]=\"facade\"\n        >\n        </pp-aggregation-item>\n      </ng-container>\n    </mat-accordion>\n  </div>\n  <div *ngIf=\"loading$ && loading$ | async\" class=\"aggregation-filter__loading-spinner\">\n    <mat-spinner></mat-spinner>\n  </div>\n</div>\n",
        styles: [".aggregation-filter{box-shadow:0 2px 1px -1px rgba(0,0,0,.2),0 1px 1px 0 rgba(0,0,0,.14),0 1px 3px 0 rgba(0,0,0,.12);position:relative;height:100%;display:block}.aggregation-filter__loading-spinner{z-index:2;position:absolute;top:0;bottom:0;left:0;right:0;display:flex;align-items:center;justify-content:center}.aggregation-filter__filters{overflow:auto;height:100%}.aggregation-filter .filters__active-filters{position:sticky;top:0;z-index:1;display:flex;align-items:center;justify-content:space-between;font-size:14px;padding:0 20px;border-bottom-style:solid;border-bottom-width:1px}.aggregation-filter mat-toolbar button mat-icon{position:relative;left:9px}"]
    })
], AggregationListComponent);

function lowerFirst(value) {
    return value.charAt(0).toLowerCase() + value.slice(1);
}
function isNil(value) {
    return value == null;
}
function groupBy(list, getKey) {
    const map = new Map();
    list.forEach((item) => {
        const key = getKey(item);
        const collection = map.get(key);
        if (!collection) {
            map.set(key, [item]);
        }
        else {
            collection.push(item);
        }
    });
    return map;
}
function flatMap(array, mapFunc) {
    return array.reduce((cumulus, next) => [...mapFunc(next), ...cumulus], []);
}

let LocalizationService = class LocalizationService {
    constructor(locale) {
        this.locale = locale;
    }
    localize(langObj, customerInfo) {
        if (!langObj) {
            // language object not defined,
            // return empty string.
            return '';
        }
        let lang = this.locale;
        if (!langObj.hasOwnProperty(this.locale)) {
            const sl = customerInfo.languageConfiguration.systemLanguages;
            if (!sl || (sl && (sl.length === 0 || !langObj.hasOwnProperty(sl[0])))) {
                // language object doesn't have lang entry,
                // take default or first language property from language object.
                return langObj['x-default'] || langObj[Object.keys(langObj)[0]];
            }
            lang = sl[0];
        }
        return langObj[lang];
    }
};
LocalizationService.ɵprov = i0.ɵɵdefineInjectable({ factory: function LocalizationService_Factory() { return new LocalizationService(i0.ɵɵinject(i0.LOCALE_ID)); }, token: LocalizationService, providedIn: "root" });
LocalizationService = __decorate([
    Injectable({
        providedIn: 'root',
    }),
    __param(0, Inject(LOCALE_ID)),
    __metadata("design:paramtypes", [String])
], LocalizationService);

const moment$1 = moment_;
let MetaDataPreviewService = class MetaDataPreviewService {
    constructor(localizationService, translationService) {
        this.localizationService = localizationService;
        this.translationService = translationService;
    }
    prepareTableColumns(allColumnNames, tableData) {
        const existedColumnsSet = new Set();
        tableData.forEach((data) => {
            for (const property of data) {
                existedColumnsSet.add(property);
            }
        });
        const existedColumns = Array.from(existedColumnsSet);
        const intersections = allColumnNames.filter((x) => existedColumns.map((i) => i.includes(x)));
        return intersections;
    }
    getContentTableData(metadataItems, schemas, info, withId = true) {
        const allData = [];
        metadataItems.map((item) => {
            const preview = {};
            schemas.forEach((schema) => {
                const previewData = this.getPreviewData(schema, item[schema.id], info, withId);
                for (const prop of previewData) {
                    preview[`${schema.id}.${prop}`] = previewData[prop];
                }
            });
            if (Object.keys(preview).length) {
                allData.push(preview);
            }
        });
        return allData;
    }
    getListItemsTableData(metadataItems, schema, info, withId = true) {
        return metadataItems
            .map((data) => this.getPreviewData(schema, data, info, withId))
            .filter((x) => Object.keys(x).length > 0);
    }
    getPreviewData(schema, metadata, customerInfo, withId = true) {
        const fields = {};
        for (const fieldId of Object.keys(metadata)) {
            if (withId && (fieldId === '_refId' || fieldId === 'id')) {
                fields[fieldId] = metadata[fieldId];
                continue;
            }
            // find field
            const field = schema && schema.fields && schema.fields.filter((fieldData) => fieldData.id === fieldId)[0];
            if (isNil(field)) {
                continue;
            }
            let value;
            const fieldType = field.constructor;
            if (fieldId.lastIndexOf('.') === -1) {
                value = metadata[fieldId];
            }
            else {
                const propertyName = fieldId.split('.').pop();
                if (propertyName && typeof propertyName === 'string') {
                    value = metadata[lowerFirst(schema.id)]
                        ? metadata[lowerFirst(schema.id)][propertyName]
                        : metadata[propertyName];
                }
            }
            if (isNil(value)) {
                fields[fieldId] = `${value}`;
            }
            else if (fieldType === FieldString) {
                fields[fieldId] = value;
            }
            else if (fieldType === FieldLong || fieldType === FieldDecimal || fieldType === FieldBoolean) {
                fields[fieldId] = value.toString();
            }
            else if (fieldType === FieldDate || fieldType === FieldDateTime) {
                const format = field.format || (fieldType === FieldDate ? 'LL' : 'LLL');
                fields[fieldId] = value ? moment$1(value).format(format) : '';
            }
            else if (fieldType === FieldTranslatedString) {
                fields[fieldId] = this.localizationService.localize(value, customerInfo);
            }
            else if (fieldType === FieldGeoPoint || fieldType === FieldDictionary) {
                fields[fieldId] = value ? value.lat + ', ' + value.lon : '';
            }
            else if (fieldType === FieldDictionaryArray) {
                fields[fieldId] = value
                    .map((v) => {
                    return v.join(', ');
                })
                    .join(', ');
                console.log(fields[fieldId]);
            }
            else if (fieldType === FieldDateTimeArray) {
                fields[fieldId] = value
                    .map((v) => (v ? moment$1(v).format(field.format || 'LLL') : ''))
                    .join(', ');
            }
            else if (fieldType === FieldLongArray || fieldType === FieldStringArray) {
                fields[fieldId] = value.join(', ');
            }
            else if (fieldType === FieldSingleFieldset) {
                fields[fieldId] = value._displayValues ? value._displayValues.name : '';
            }
            else if (fieldType === FieldTrigger) {
                if (value.triggeredOn) {
                    fields[fieldId] = this.translationService.translate('ListBrowser.LastTriggered')
                        .replace('{{datetime}}', moment$1(value.triggeredOn).format('LLL'))
                        .replace('{{firstName}}', value.triggeredBy.firstName)
                        .replace('{{lastName}}', value.triggeredBy.lastName);
                }
                else {
                    fields[fieldId] = this.translationService.translate('ListBrowser.NeverTriggered');
                }
            }
            else if (fieldType === FieldMultiFieldset) {
                fields[fieldId] = value.map((q) => q._displayValues.name).join();
            }
            else if (fieldType === FieldSingleTagbox) {
                if (value._displayValues) {
                    fields[fieldId] = value._displayValues.name;
                }
            }
            else if (fieldType === FieldMultiTagbox) {
                if (value[0] && value[0]._displayValues) {
                    fields[fieldId] = value.map((f) => (f._displayValues ? f._displayValues.name : '')).join(', ');
                }
            }
            else if (fieldType === FieldSingleRelation) {
            }
            else if (fieldType === FieldMultiRelation) {
            }
            else {
                console.log('Unsupported field type [' + fieldType + '] encountered.');
            }
        }
        return fields;
    }
};
MetaDataPreviewService.ɵprov = i0.ɵɵdefineInjectable({ factory: function MetaDataPreviewService_Factory() { return new MetaDataPreviewService(i0.ɵɵinject(LocalizationService), i0.ɵɵinject(TranslationService)); }, token: MetaDataPreviewService, providedIn: "root" });
MetaDataPreviewService = __decorate([
    Injectable({
        providedIn: 'root',
    }),
    __metadata("design:paramtypes", [LocalizationService, TranslationService])
], MetaDataPreviewService);

let TranslatePipe = class TranslatePipe {
    constructor(locale) {
        this.locale = locale;
    }
    transform(value, replacement) {
        if (value) {
            if (value instanceof TranslatedStringDictionary) {
                return value.translate(this.locale);
            }
            else if (typeof value === 'string' && typeof replacement !== 'object') {
                return translate(value, this.locale).replace('{0}', replacement);
            }
            else if (replacement && replacement.length === 2) {
                return translate(value, this.locale).replace('{0}', replacement[0]).replace('{1}', replacement[1]);
            }
        }
        return '';
    }
};
TranslatePipe.ɵprov = i0.ɵɵdefineInjectable({ factory: function TranslatePipe_Factory() { return new TranslatePipe(i0.ɵɵinject(i0.LOCALE_ID)); }, token: TranslatePipe, providedIn: "root" });
TranslatePipe = __decorate([
    Injectable({ providedIn: 'root' }),
    Pipe({ name: 'pptranslate' }),
    __param(0, Inject(LOCALE_ID)),
    __metadata("design:paramtypes", [String])
], TranslatePipe);

let ListBrowserComponent = class ListBrowserComponent extends BaseBrowserComponent {
    constructor(metaDataPreviewService, infoFacade, cdr, facade, injector) {
        super('ListBrowserComponent', injector, facade);
        this.metaDataPreviewService = metaDataPreviewService;
        this.infoFacade = infoFacade;
        this.cdr = cdr;
        this.facade = facade;
        this.tableItems = [];
        this.dataSource = new MatTableDataSource([]);
        this.isShiftPressed = false;
    }
    init() {
        var _a;
        return __awaiter(this, void 0, void 0, function* () {
            this.scrollDebounceTime = 100;
            this.customerInfo = yield this.infoFacade.getInfo().toPromise();
            // need to show column names
            this.displayedColumnNames = this.schema.fields.map((field) => {
                const id = field.id.split('.').pop();
                const names = field.names;
                return { id, names, field };
            });
            this.displayedColumns = this.schema.fields.map((field) => {
                const id = field.id.split('.').pop();
                return id;
            });
            if (this.enableSelection) {
                this.displayedColumns.unshift('select');
            }
            // Init default schema sort
            if (!this.sortInfo) {
                if (this.schema.sort && this.schema.sort.length > 0) {
                    // get first as mat table does not support multiple sorting
                    const name = this.schema.sort[0].field;
                    this.activeSortDirection = this.schema.sort[0].direction.toLowerCase();
                    this.activeSortColumn = name;
                    this.sortInfo = this.schema.sort.map((s) => {
                        return new SortInfo({
                            field: lowerFirst(this.schema.id) + '.' + s.field,
                            direction: s.direction.toLowerCase() === 'asc' ? SortDirection.Asc : SortDirection.Desc,
                        });
                    });
                }
            }
            this.facade.patchRequestState({
                schemaIds: [this.schema.id],
                aggregators: (_a = this.schema.aggregations, (_a !== null && _a !== void 0 ? _a : [])),
                sort: this.sortInfo,
            });
            const shiftHandler = (event) => {
                this.isShiftPressed = event.shiftKey;
            };
            document.onkeydown = shiftHandler;
            document.onkeyup = shiftHandler;
        });
    }
    initSort() { }
    onScroll() {
        var _a;
        (_a = this.loadData()) === null || _a === void 0 ? void 0 : _a.subscribe();
    }
    checkContains(elementClassName) {
        return false;
    }
    prepareData(items) {
        const metadataItems = items.map((m) => m.content);
        const tableItems = this.metaDataPreviewService.getListItemsTableData(metadataItems, this.schema, this.customerInfo);
        this.tableItems.push(...tableItems);
        this.dataSource.data = this.tableItems;
        const selected = this.items.filter((listItem) => this.selectedItemIds && this.selectedItemIds.indexOf(listItem.id) !== -1);
        this.selectionService.addItems(selected.map((q) => q));
        this.cdr.detectChanges();
    }
    update() {
        this.tableItems = [];
        super.update();
    }
    deselectAll() {
        this.selectionService.clear();
        this.cdr.detectChanges();
    }
    sortData(sort) {
        const sortInfo = new SortInfo({
            field: lowerFirst(this.schema.id) + '.' + sort.active,
            direction: sort.direction === 'asc' ? SortDirection.Asc : SortDirection.Desc,
        });
        this.sortInfo = [sortInfo];
        this.facade.patchRequestState({ sort: this.sortInfo });
    }
    /** Whether the number of selected elements matches the total number of rows. */
    isAllSelected() {
        return this.selectedItems.length === this.items.length;
    }
    /** Selects all rows if they are not all selected; otherwise clear selection. */
    masterToggle() {
        this.isAllSelected() ? this.selectionService.clear() : this.selectionService.addItems(this.items.map((q) => q));
    }
    isRowSelected(row, test) {
        return this.selectionService.getById(row._refId) ? true : false;
    }
    toggle(event, row, presist = false) {
        if (this.enableSelection) {
            if (event instanceof MatCheckboxChange) {
                event = new MouseEvent('click', { shiftKey: this.isShiftPressed });
            }
            const index = this.items.findIndex((item) => item.id === row._refId);
            this.itemClicked(event, index, presist);
        }
    }
    onPress(event, row, presist = false) {
        if (this.enableSelection) {
            const index = this.items.findIndex((item) => item.id === row._refId);
            this.itemPressed(event, index);
        }
    }
    /** The label for the checkbox on the passed row */
    checkboxLabel(row) {
        if (!row) {
            return `${this.isAllSelected() ? 'select' : 'deselect'} all`;
        }
        return `${this.isRowSelected(row) ? 'deselect' : 'select'} row ${row.position + 1}`;
    }
};
__decorate([
    Input(),
    __metadata("design:type", SchemaDetail)
], ListBrowserComponent.prototype, "schema", void 0);
__decorate([
    Input(),
    __metadata("design:type", Array)
], ListBrowserComponent.prototype, "selectedItemIds", void 0);
__decorate([
    Input(),
    __metadata("design:type", Boolean)
], ListBrowserComponent.prototype, "enableSelection", void 0);
__decorate([
    Input(),
    __metadata("design:type", Array)
], ListBrowserComponent.prototype, "sortInfo", void 0);
ListBrowserComponent = __decorate([
    Component({
        selector: 'pp-list-browser',
        template: "<div class=\"browser\">\n  <div class=\"browser__header\">\n    <pp-browser-toolbar\n      [selectionEnabled]=\"false\"\n      [sortingEnabled]=\"false\"\n      [browser]=\"self\"\n      entityName=\"{{ 'ListBrowser.ListItemsLowercase' | pptranslate }}\"\n    >\n      <ng-container browser-buttons>\n        <ng-content select=\"[content-buttons]\"></ng-content>\n      </ng-container>\n    </pp-browser-toolbar>\n  </div>\n  <div class=\"table-container cp-scrollbar\" *ngIf=\"(totalResults$ | async) !== 0\" cdkScrollable>\n    <table\n      mat-table\n      class=\"list-table\"\n      matSort\n      (matSortChange)=\"sortData($event)\"\n      [matSortActive]=\"activeSortColumn\"\n      [matSortDirection]=\"activeSortDirection\"\n      [dataSource]=\"dataSource\"\n    >\n      <ng-container *ngIf=\"enableSelection\" matColumnDef=\"select\">\n        <th mat-header-cell *matHeaderCellDef>\n          <mat-checkbox\n            (change)=\"$event ? masterToggle() : null\"\n            [checked]=\"!selectionService.isEmpty() && isAllSelected()\"\n            [indeterminate]=\"!selectionService.isEmpty() && !isAllSelected()\"\n            [aria-label]=\"checkboxLabel()\"\n          >\n          </mat-checkbox>\n        </th>\n        <td mat-cell *matCellDef=\"let row\">\n          <mat-checkbox\n            (click)=\"$event.stopPropagation()\"\n            (change)=\"$event ? toggle($event, row, true) : null\"\n            [checked]=\"isRowSelected(row)\"\n            [aria-label]=\"checkboxLabel(row)\"\n          >\n          </mat-checkbox>\n        </td>\n      </ng-container>\n      <ng-container *ngFor=\"let column of displayedColumnNames; let i = index\" [cdkColumnDef]=\"column.id\">\n        <th mat-header-cell mat-sort-header [disabled]=\"!column.field.sortable\" disableClear=\"true\" *matHeaderCellDef>\n          {{ column.names | pptranslate }}\n        </th>\n        <td mat-cell *matCellDef=\"let element\" matTooltip=\"{{ element[column.id] }}\">{{ element[column.id] }}</td>\n      </ng-container>\n\n      <tr mat-header-row *matHeaderRowDef=\"displayedColumns; sticky: true\"></tr>\n      <tr\n        mat-row\n        *matRowDef=\"let row; columns: displayedColumns\"\n        ppUserInteraction\n        (ppPress)=\"onPress($event, row)\"\n        (ppTouch)=\"toggle($event, row)\"\n        (ppClick)=\"toggle($event, row)\"\n        [ngClass]=\"{ selected: isRowSelected(row) }\"\n      ></tr>\n    </table>\n  </div>\n  <div *ngIf=\"(totalResults$ | async) === 0\" class=\"browser__empty-result mat-typography\">\n    {{ 'ListBrowser.ItemsWereNotFound' | pptranslate }}\n  </div>\n</div>\n",
        providers: [TranslatePipe],
        changeDetection: ChangeDetectionStrategy.OnPush,
        styles: [".browser{height:100%;overflow:hidden;position:relative}.browser__header mat-toolbar{height:57px}.browser__header mat-progress-bar{position:absolute;top:57px;z-index:10}.browser__divider{margin:0 8px}.browser__spacer{flex-grow:1}.browser__items-count{align-self:center}.browser__items{overflow-y:scroll;overflow-x:hidden;height:calc(100% - 107px);padding:25px;display:grid;grid-template-columns:repeat(auto-fill,minmax(120px,1fr));grid-template-rows:repeat(auto-fill,minmax(120px,1fr));grid-gap:25px}.browser__items .browser__item-container{height:120px}.browser__items--list{display:flex;flex-direction:column}.browser__items--list .browser__item-container{width:70%;margin:0 auto;border-bottom-style:solid;border-bottom-width:1px}.browser__items--list .browser__item-container--mobile{width:unset;margin:unset}.browser__items--large{grid-template-columns:repeat(auto-fill,minmax(280px,1fr));grid-template-rows:repeat(auto-fill,minmax(280px,1fr));grid-gap:25px}.browser__items--large .browser__item-container{height:280px}.browser__items--medium{grid-template-columns:repeat(auto-fill,minmax(200px,1fr));grid-template-rows:repeat(auto-fill,minmax(180px,1fr));grid-gap:45px 25px}.browser__items--medium .browser__item-container{height:200px}.browser__items--mobile{padding:5px}.browser__item-container{position:relative}.browser__empty-result{margin:20px}", ".table-container{height:calc(100% - 54px);overflow-y:scroll;overflow-x:auto;position:relative;z-index:10}.table-container table{width:100%}.table-container table mat-checkbox{position:relative;left:7px}.table-container .mat-cell,.table-container .mat-header-cell{padding:10px;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;max-width:350px}.table-container .list-table{-webkit-user-select:none;-moz-user-select:none;user-select:none}", ""]
    }),
    __metadata("design:paramtypes", [MetaDataPreviewService,
        InfoFacade,
        ChangeDetectorRef,
        ListItemSearchFacade,
        Injector])
], ListBrowserComponent);

let ListComponent = class ListComponent {
    constructor(media, schemaService, route, cdr, facade) {
        this.media = media;
        this.schemaService = schemaService;
        this.route = route;
        this.cdr = cdr;
        this.facade = facade;
        this.queryChange = new EventEmitter();
        this.aggregationFilters = [];
        this.subscription = new Subscription();
        this.filter = new BehaviorSubject(null);
    }
    ngOnInit() {
        this.mobileQuery = this.media.matchMedia('(max-width: 600px)');
        this.schema = this.route.paramMap.pipe(mergeMap((paramMap) => {
            const schemaId = paramMap.get('id');
            return this.schemaService.get(schemaId);
        }));
        this.searchQuery = this.route.queryParamMap.pipe(map((q) => q.get('listsearch')), distinctUntilChanged(), tap(() => this.deselectSelectedItems()), map((query) => query || ''));
        const listSubscription = combineLatest([this.schema, this.route.paramMap, this.route.queryParamMap])
            .pipe(take(1))
            .subscribe(([schemaDetail, paramMap, queryParamMap]) => {
            this.activeSchema.next(schemaDetail);
            this.schemaDetail = schemaDetail;
            const filterQuery = queryParamMap.getAll('filter');
            if (filterQuery) {
                if (typeof filterQuery === 'string') {
                    this.aggregationFilters = [AggregationFilter.fromJS(JSON.parse(filterQuery))];
                }
                else {
                    this.aggregationFilters = filterQuery.map((fq) => AggregationFilter.fromJS(JSON.parse(fq)));
                }
                const createdFilter = this.createFilter(this.aggregationFilters);
                this.filter.next(createdFilter);
            }
            // Get selected from url
            const selectedQuery = queryParamMap.get('selected');
            if (selectedQuery) {
                const items = selectedQuery.split(',');
                this.selectedItemsIds = items;
            }
            this.cdr.detectChanges();
        });
        this.subscription.add(listSubscription);
    }
    ngOnDestroy() {
        if (this.subscription) {
            this.subscription.unsubscribe();
        }
    }
    selectedItemsChange(selectedItems) {
        this.selectedItems = selectedItems;
    }
    get queryParams() {
        return Object.assign({}, this.route.snapshot.queryParams);
    }
    changeAggregationFilters(aggregationFilters) {
        this.deselectSelectedItems();
        this.aggregationFilters = aggregationFilters;
        const filtersQuery = this.aggregationFilters.map((filter) => JSON.stringify(filter.toJSON()));
        const query = this.queryParams;
        if (filtersQuery.length > 0) {
            query['filter'] = filtersQuery;
        }
        else {
            delete query['filter'];
        }
        this.queryChange.emit(query);
    }
    createFilter(aggregationFilters) {
        const flatten = groupBy(aggregationFilters, (i) => i.aggregationName);
        const preparedFilters = Array.from(flatten)
            .map((array) => {
            const filtered = array[1]
                .filter((aggregationFilter) => aggregationFilter.filter)
                .map((aggregationFilter) => aggregationFilter.filter);
            switch (filtered.length) {
                case 0:
                    return null;
                case 1:
                    return filtered[0];
                default:
                    return new OrFilter({ filters: filtered });
            }
        })
            .filter((value) => value !== null);
        switch (preparedFilters.length) {
            case 0:
                return null;
            case 1:
                return preparedFilters[0];
            default:
                return new AndFilter({ filters: preparedFilters });
        }
    }
    deselectSelectedItems() {
        if (this.listBrowserComponent) {
            this.listBrowserComponent.deselectAll();
        }
    }
};
__decorate([
    ViewChild(ListBrowserComponent),
    __metadata("design:type", ListBrowserComponent)
], ListComponent.prototype, "listBrowserComponent", void 0);
__decorate([
    Input(),
    __metadata("design:type", Subject)
], ListComponent.prototype, "activeSchema", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], ListComponent.prototype, "queryChange", void 0);
ListComponent = __decorate([
    Component({
        selector: 'pp-list',
        template: "<div class=\"list-container\" *ngIf=\"schema | async as schemaDetail\">\n  <div class=\"list-content\">\n    <pp-list-browser\n      *ngIf=\"schemaDetail\"\n      [schema]=\"schemaDetail\"\n      [enableSelection]=\"true\"\n      [selectedItemIds]=\"selectedItemsIds\"\n      (selectedItemsChange)=\"selectedItemsChange($event)\"\n    >\n    </pp-list-browser>\n  </div>\n  <div class=\"list-filters\">\n    <mat-tab-group class=\"content-panel\">\n      <mat-tab label=\"{{ 'ContentAggregationList.FiltersLabel' | pptranslate }}\">\n        <pp-aggregation-list [facade]=\"facade\"> </pp-aggregation-list>\n      </mat-tab>\n    </mat-tab-group>\n  </div>\n</div>\n",
        changeDetection: ChangeDetectionStrategy.OnPush,
        styles: [".list-container{display:flex;height:calc(100vh - 64px);overflow:hidden}.list-container .list-content{width:80%;float:left}.list-container .list-filters{width:20%;float:left}.list-container .list-filters .mat-tab-group{height:100%;background-color:#eee;border-left:1px solid #d8d8d8}"]
    }),
    __metadata("design:paramtypes", [MediaMatcher,
        SchemaService,
        ActivatedRoute,
        ChangeDetectorRef,
        ListItemSearchFacade])
], ListComponent);

let FieldDetailInfoDialogComponent = class FieldDetailInfoDialogComponent {
    constructor(dialogRef, sanitizer) {
        this.dialogRef = dialogRef;
        this.sanitizer = sanitizer;
    }
    ngOnInit() {
        this.displayMessage = this.sanitizer.sanitize(SecurityContext.HTML, this.message);
    }
};
FieldDetailInfoDialogComponent = __decorate([
    Component({
        selector: 'pp-field-detail-info-dialog',
        template: "<div class=\"container\">\n  <div>\n    <div class=\"title\">{{ title }}</div>\n    <div [innerHtml]=\"displayMessage\"></div>\n  </div>\n</div>\n",
        styles: [".container{padding:18px}.title{font-size:1.2rem;font-weight:500;padding-bottom:12px}"]
    }),
    __metadata("design:paramtypes", [MatDialogRef, DomSanitizer])
], FieldDetailInfoDialogComponent);

let SearchSuggestBoxComponent = class SearchSuggestBoxComponent extends BaseComponent {
    constructor(injector, formBuilder, locale) {
        super(injector);
        this.formBuilder = formBuilder;
        this.locale = locale;
        this.isLoading = false;
        this.hasFocus = false;
        this.typed = false;
        this.form = this.formBuilder.group({
            suggestBox: new FormControl(''),
        });
        this.showSearchBehaviorPicker = false;
        this.minCharacters = 2;
    }
    get suggestBox() {
        return this.form.controls['suggestBox'];
    }
    focus() {
        this.hasFocus = true;
    }
    blur() {
        this.hasFocus = false;
    }
    ngOnInit() {
        this.sub = this.facade.searchString$
            .pipe(filter((searchString) => searchString !== this.suggestBox.value))
            .subscribe((searchString) => this.suggestBox.setValue(searchString));
        this.suggestions$ = this.suggestBox.valueChanges.pipe(debounceTime(300), distinctUntilChanged(), tap(() => {
            this.isLoading = true;
            this.typed = true;
        }), switchMap((searchString) => {
            // Don't call the backend if we have an empty search string or less than the requested minCharacters
            if (!searchString || searchString.length < this.minCharacters) {
                return of(null);
            }
            const aggs = this.setSearchString(searchString);
            return this.facade.searchAggregations(aggs).pipe(catchError((error) => of(null)));
        }), map((aggregationResult) => {
            if (!aggregationResult) {
                return [];
            }
            const results = aggregationResult.map((i) => {
                var _a, _b, _c, _d;
                const expanded = (_a = this.facade.expandAggregationResult(i).aggregationResultItems) === null || _a === void 0 ? void 0 : _a.filter((j) => !j.active);
                const name = this.facade.searchRequestState.aggregators.find((j) => j.name === i.name);
                return { name: (_d = (_c = (_b = name) === null || _b === void 0 ? void 0 : _b.names) === null || _c === void 0 ? void 0 : _c.translate(this.locale), (_d !== null && _d !== void 0 ? _d : i.name)), results: (expanded !== null && expanded !== void 0 ? expanded : []) };
            });
            return results.filter((i) => i.results.length > 0);
        }), tap(() => {
            this.isLoading = false;
            this.setSearchString(undefined);
        }));
    }
    optionSelected(event) {
        const element = event.option.value;
        this.suggestBox.setValue('');
        if (element.filter) {
            this.facade.toggleAggregationResult(element);
        }
    }
    search() {
        if (this.facade.searchRequestState.searchString !== this.suggestBox.value) {
            this.facade.patchRequestState({ searchString: this.suggestBox.value });
        }
    }
    setSearchString(searchString) {
        const aggs = [];
        this.facade.searchRequestState.aggregators.forEach((aggregation) => {
            var _a;
            if (!((_a = aggregation.uiBehavior) === null || _a === void 0 ? void 0 : _a.enableSuggestions)) {
                return;
            }
            const expanded = this.expandAggregator(aggregation);
            if (expanded.searchFields && expanded.searchFields.length) {
                expanded.searchString = searchString;
                aggs.push(aggregation);
            }
        });
        return aggs;
    }
    searchModeChange($event) {
        this.facade.patchRequestState({ searchMode: $event.value });
    }
    clear() {
        this.suggestBox.setValue('');
        this.facade.patchRequestState({ searchString: '' });
    }
    expandAggregator(aggregator) {
        if (aggregator.aggregators && aggregator.aggregators.length > 0) {
            return this.expandAggregator(aggregator.aggregators[0]);
        }
        return aggregator;
    }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], SearchSuggestBoxComponent.prototype, "showSearchBehaviorPicker", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], SearchSuggestBoxComponent.prototype, "minCharacters", void 0);
__decorate([
    Input(),
    __metadata("design:type", SearchFacade)
], SearchSuggestBoxComponent.prototype, "facade", void 0);
SearchSuggestBoxComponent = __decorate([
    Component({
        selector: 'pp-search-suggest-box',
        template: "<div id=\"search-container\">\n  <form\n    class=\"form\"\n    autocomplete=\"off\"\n    [formGroup]=\"form\"\n    autocomplete=\"false\"\n    matAutocompleteOrigin\n    #origin=\"matAutocompleteOrigin\"\n  >\n    <button mat-icon-button (click)=\"search()\">\n      <mat-icon aria-label=\"Search\">search</mat-icon>\n    </button>\n\n    <input\n      [placeholder]=\"'SearchBox.Search' | pptranslate\"\n      (keyup.enter)=\"search()\"\n      [matAutocomplete]=\"auto\"\n      [matAutocompleteConnectedTo]=\"origin\"\n      (focus)=\"focus()\"\n      formControlName=\"suggestBox\"\n    />\n\n    <mat-autocomplete #auto=\"matAutocomplete\" (optionSelected)=\"optionSelected($event)\">\n      <div class=\"autocomplete-wrap\">\n        <div class=\"autocomplete-options\">\n          <mat-option *ngIf=\"hasFocus && !typed\" [disabled]=\"true\">\n            {{ 'SearchSuggestBox.TypeToSearch' | pptranslate }}\n          </mat-option>\n          <mat-option *ngIf=\"isLoading\" [disabled]=\"true\"> Loading </mat-option>\n          <ng-container *ngIf=\"suggestions$ | async as suggestions\">\n            <ng-container *ngIf=\"suggestions.length > 0; else noResults\">\n              <mat-optgroup *ngFor=\"let group of suggestions\" [label]=\"group.name\">\n                <mat-option *ngFor=\"let suggest of group.results\" [value]=\"suggest\">\n                  <span [innerHTML]=\"suggest.name | highlight: this.suggestBox.value\"></span>\n                  <span> ({{ suggest.count }})</span>\n                </mat-option>\n              </mat-optgroup>\n            </ng-container>\n            <ng-template #noResults>\n              <mat-option [disabled]=\"true\">\n                {{ 'SearchSuggestBox.NoMatchingSuggestions' | pptranslate }}\n              </mat-option>\n            </ng-template>\n          </ng-container>\n        </div>\n\n        <div class=\"autocomplete-config\" *ngIf=\"showSearchBehaviorPicker\">\n          <mat-option *ngIf=\"hasFocus\" [disabled]=\"true\">\n            {{ 'SearchSuggestBox.SearchSettings' | pptranslate }}\n          </mat-option>\n          <mat-radio-group\n            class=\"radio-group\"\n            [ngModel]=\"(facade.searchRequest$ | async)?.searchMode\"\n            [ngModelOptions]=\"{ standalone: true }\"\n            (change)=\"searchModeChange($event)\"\n          >\n            <mat-radio-button\n              class=\"radio-button\"\n              value=\"and\"\n              [matTooltipPosition]=\"'left'\"\n              matTooltip=\"{{ 'SearchSuggestBox.SimpleAndSearchTooltip' | pptranslate }}\"\n            >\n              {{ 'SearchSuggestBox.SimpleAndSearch' | pptranslate }}\n            </mat-radio-button>\n            <mat-radio-button\n              class=\"radio-button\"\n              value=\"or\"\n              [matTooltipPosition]=\"'left'\"\n              matTooltip=\"{{ 'SearchSuggestBox.SimpleOrSearchTooltip' | pptranslate }}\"\n            >\n              {{ 'SearchSuggestBox.SimpleOrSearch' | pptranslate }}\n            </mat-radio-button>\n            <mat-radio-button\n              class=\"radio-button\"\n              value=\"advanced\"\n              [matTooltipPosition]=\"'left'\"\n              matTooltip=\"{{ 'SearchSuggestBox.AdvancedSearchTooltip' | pptranslate }}\"\n            >\n              {{ 'SearchSuggestBox.AdvancedSearch' | pptranslate }}\n            </mat-radio-button>\n          </mat-radio-group>\n        </div>\n      </div>\n    </mat-autocomplete>\n\n    <button mat-icon-button (click)=\"clear()\" *ngIf=\"(facade.searchRequest$ | async)?.searchString\">\n      <mat-icon aria-label=\"Clear\">clear</mat-icon>\n    </button>\n  </form>\n</div>\n",
        changeDetection: ChangeDetectionStrategy.OnPush,
        styles: ["#search-container{display:flex}#search-container .form{width:100%;display:flex;flex:1;border-radius:4px;transition:background .1s ease-in}#search-container .form input{width:100%;background:transparent;border:none;outline:none;box-sizing:border-box;flex-grow:1}.autocomplete-wrap{display:flex;flex-direction:row}.autocomplete-options{flex:1;border-right:1px solid #eee;overflow:hidden}.radio-group{display:flex;flex-direction:column;margin:10px 0;padding-left:12px}.radio-button{margin:5px}::ng-deep .mat-autocomplete-panel{max-height:800px!important}::ng-deep .mat-autocomplete-panel .mat-option-text{font-size:16px}"]
    }),
    __param(2, Inject(LOCALE_ID)),
    __metadata("design:paramtypes", [Injector, FormBuilder, String])
], SearchSuggestBoxComponent);

let NotificationService = class NotificationService {
    constructor() {
        // NOTIFICATION BEHAVIOR SUBJECT DEFINITION
        this.notificationStore = {
            message: '',
            displayTime: 0,
            status: false,
            type: 'success',
        };
        this.notification$ = new BehaviorSubject(this.notificationStore);
    }
    // SEND NOTIFICATION
    sendNotification(notification) {
        this.notification$.next(notification);
    }
    clearNotification() {
        this.notification$.next(this.notificationStore);
    }
};
NotificationService = __decorate([
    Injectable()
], NotificationService);

/* tslint:disable:directive-class-suffix */
let DialogBaseComponent = class DialogBaseComponent extends BaseComponent {
    constructor(dialogRef, injector) {
        super(injector);
        this.dialogRef = dialogRef;
        this.injector = injector;
        this.notificationService = injector.get(NotificationService);
    }
    // CLOSE DIALOG
    closeDialog() {
        this.dialogRef.close();
    }
    ngOnInit() {
        this.init();
    }
    init() {
        // NOTIFICATION SUBSCRIBER
        this.sub = this.notificationService.notification$.subscribe((notification) => {
            this.notification = notification;
        });
    }
    ngOnDestroy() {
        super.ngOnDestroy();
        this.notificationService.clearNotification();
    }
};
DialogBaseComponent = __decorate([
    Directive(),
    __metadata("design:paramtypes", [MatDialogRef, Injector])
], DialogBaseComponent);

// LIBRARIES
class OutputSelection {
    constructor(outputs, contents, outputTranslations, translationService, outputFormatInfos) {
        this.outputFormatInfos = outputFormatInfos;
        this.hasThumbnails = false;
        this.selection = {};
        contents.forEach((content) => {
            const isBinary = content.contentType !== ContentType.Virtual;
            const schemaId = isBinary ? content.contentSchemaId : ContentType.Virtual.toString();
            const schemaItems = (this.selection[schemaId] = this.selection[schemaId] || {
                id: schemaId,
                contents: isBinary
                    ? contents.filter((i) => i.contentSchemaId === schemaId)
                    : contents.filter((i) => i.contentType === ContentType.Virtual),
                outputs: {},
                name: translationService.translate(`ContentDownloadDialog.${schemaId}`),
            });
            let contentOutputs;
            if (isBinary) {
                contentOutputs = outputs.filter((i) => i.contentId === content.id);
            }
            else {
                let output = outputs.find((i) => i.contentId === content.id);
                if (!output) {
                    output = {
                        outputFormatId: 'Original',
                        contentId: content.id,
                        detail: { fileSizeInBytes: 100 },
                    };
                }
                else {
                    // In case there is a virtual content defined in the outputs (share), set only the filesize
                    output.detail = { fileSizeInBytes: 100 };
                }
                contentOutputs = [output];
            }
            contentOutputs.forEach((output) => {
                var _a, _b, _c, _d;
                const outputFormat = outputFormatInfos.find((i) => i.id === output.outputFormatId);
                if (((_b = (_a = outputFormat) === null || _a === void 0 ? void 0 : _a.behaviors) === null || _b === void 0 ? void 0 : _b.downloadDialogBehavior) === DownloadDialogBehavior.Hide) {
                    return;
                }
                const outputFormatItems = (schemaItems.outputs[output.outputFormatId] = schemaItems.outputs[output.outputFormatId] || {
                    id: output.outputFormatId,
                    hidden: ((_d = (_c = outputFormat) === null || _c === void 0 ? void 0 : _c.behaviors) === null || _d === void 0 ? void 0 : _d.downloadDialogBehavior) === DownloadDialogBehavior.ShowMoreFormats,
                    selected: false,
                    values: [],
                    name: outputTranslations[output.outputFormatId],
                });
                outputFormatItems.values.push({
                    content: content,
                    output: output,
                });
            });
        });
        this.hasThumbnails = this.getShowMoreOutputs().length > 0;
    }
    get hasHiddenOutputFormats() {
        return this.getShowMoreOutputs().some((i) => i.hidden);
    }
    getFileFormats() {
        return Object.keys(this.selection).map((fileFormat) => this.selection[fileFormat]);
    }
    hasOutputs(fileFormat) {
        return this.getOutputs(fileFormat).length > 0;
    }
    getOutputs(fileFormat) {
        const outputs = Object.keys(fileFormat.outputs).map((outputFormat) => fileFormat.outputs[outputFormat]);
        return [
            ...outputs.filter((o) => o.id === 'Original'),
            ...outputs.filter((o) => o.id !== 'Original').sort((x, y) => x.name.localeCompare(y.name)),
        ];
    }
    getSelectedOutputs() {
        const selectedOutputs = this.getAllOutputs();
        const outputs = flatMap(selectedOutputs.filter((i) => i.selected), (i) => i.values).map((i) => i.output);
        return outputs;
    }
    toggleShowMore() {
        const thumbnails = this.getShowMoreOutputs();
        const hasHidden = thumbnails.some((i) => i.hidden);
        thumbnails.forEach((i) => (i.hidden = !hasHidden));
    }
    getAllOutputs() {
        return flatMap(this.getFileFormats().map((fileFormat) => this.getOutputs(fileFormat)), (i) => i);
    }
    getShowMoreOutputs() {
        return this.getAllOutputs().filter((output) => {
            var _a, _b;
            return ((_b = (_a = this.outputFormatInfos.find((i) => i.id === output.id)) === null || _a === void 0 ? void 0 : _a.behaviors) === null || _b === void 0 ? void 0 : _b.downloadDialogBehavior) ===
                DownloadDialogBehavior.ShowMoreFormats;
        });
    }
}

let ConfirmDialogComponent = class ConfirmDialogComponent extends DialogBaseComponent {
    constructor(dialogRef, options, injector) {
        super(dialogRef, injector);
        this.dialogRef = dialogRef;
        this.options = options;
    }
};
ConfirmDialogComponent = __decorate([
    Component({
        selector: 'pp-confirmation-dialog',
        template: "<div class=\"dialog-container\" #contentContainer>\n  <h3 class=\"header\">\n    <span>{{ options.title }}</span>\n    <mat-icon (click)=\"closeDialog()\">close</mat-icon>\n  </h3>\n\n  <mat-dialog-content>\n    <div>\n      {{ options.message }}\n    </div>\n  </mat-dialog-content>\n\n  <mat-dialog-actions>\n    <button mat-button (click)=\"closeDialog()\">{{ options!.options!.cancelText }}</button>\n    <button mat-button class=\"active\" [mat-dialog-close]=\"true\" color=\"accent\" cdkFocusInitial>\n      {{ options!.options!.okText }}\n    </button>\n  </mat-dialog-actions>\n</div>\n",
        styles: [".dialog-container h3{display:flex;margin:0 -24px;padding:0 24px 24px;border-bottom-style:solid;border-bottom-width:1px}.dialog-container h3 span{flex:1;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.dialog-container h3 mat-icon{cursor:pointer;float:right}.dialog-container mat-dialog-content{height:100%;border-bottom-style:solid;border-bottom-width:1px}.dialog-container mat-dialog-content .mat-tab-group{height:100%}.dialog-container .loader-container{position:absolute;display:none;width:calc(100% + 48px);top:46px;left:-24px;height:100%;z-index:20}.dialog-container .loader-container.active{display:table}.dialog-container .loader-container .loader{display:table-cell;vertical-align:middle;text-align:center}.dialog-container .loader-container .loader mat-spinner{margin:0 auto}.dialog-container mat-dialog-actions{justify-content:flex-end;position:relative;z-index:25}", ".dialog-container{position:relative;min-width:500px}.dialog-container mat-dialog-content{padding:24px}.dialog-container button.option{margin:0 24px}"]
    }),
    __param(1, Inject(MAT_DIALOG_DATA)),
    __metadata("design:paramtypes", [MatDialogRef, Object, Injector])
], ConfirmDialogComponent);

let DialogService = class DialogService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    confirm(confirmOptions, dialogOptions) {
        const dialogRef = this.dialog.open(ConfirmDialogComponent, Object.assign({ data: confirmOptions, autoFocus: false, minWidth: '400px' }, dialogOptions));
        return dialogRef;
    }
};
DialogService.ɵprov = i0.ɵɵdefineInjectable({ factory: function DialogService_Factory() { return new DialogService(i0.ɵɵinject(i1$1.MatDialog)); }, token: DialogService, providedIn: "root" });
DialogService = __decorate([
    Injectable({
        providedIn: 'root',
    }),
    __metadata("design:paramtypes", [MatDialog])
], DialogService);

let SnackbarComponent = class SnackbarComponent {
    constructor(snackBarRef, data) {
        this.snackBarRef = snackBarRef;
        this.data = data;
    }
    ngOnInit() {
        this.displayText = this.data.displayText;
        this.showLoader = this.data.showLoader || false;
    }
};
SnackbarComponent = __decorate([
    Component({
        selector: 'pp-snackbar',
        template: "<div class=\"snackbar-wrapper\">\n  <span>{{ displayText }}</span>\n  <div *ngIf=\"showLoader\" class=\"loader\">\n    <mat-spinner [diameter]=\"30\"></mat-spinner>\n  </div>\n</div>\n",
        styles: [".snackbar-wrapper{display:flex;align-items:center;justify-content:center}.snackbar-wrapper .loader{padding-left:10px}"]
    }),
    __param(1, Inject(MAT_SNACK_BAR_DATA)),
    __metadata("design:paramtypes", [MatSnackBarRef, Object])
], SnackbarComponent);

let ContentDownloadDialogComponent = class ContentDownloadDialogComponent extends DialogBaseComponent {
    constructor(data, contentService, shareAccessFacade, dialogRef, injector, translationService, snackBar, dialogService, downloadFacade, infoFacade) {
        super(dialogRef, injector);
        this.data = data;
        this.contentService = contentService;
        this.shareAccessFacade = shareAccessFacade;
        this.dialogRef = dialogRef;
        this.injector = injector;
        this.translationService = translationService;
        this.snackBar = snackBar;
        this.dialogService = dialogService;
        this.downloadFacade = downloadFacade;
        this.infoFacade = infoFacade;
        this.fileSize = 0;
        this.enableAdvanced = false;
        this.advancedMode = false;
        this.noOutputs = false;
        this.hasDynamicOutputs = false;
        this.waitingDownload = false;
        this.tooManyContents = false;
        this.outputFormatFallback = [
            { fileSchemaId: 'ImageMetadata', outputFormatId: 'Preview' },
            { fileSchemaId: 'VectorMetadata', outputFormatId: 'Pdf' },
            { fileSchemaId: 'DocumentMetadata', outputFormatId: 'Pdf' },
            { fileSchemaId: 'AudioMetadata', outputFormatId: 'AudioSmall' },
            { fileSchemaId: 'VideoMetadata', outputFormatId: 'VideoLarge' },
        ];
    }
    getSelection(outputs, contents) {
        return __awaiter(this, void 0, void 0, function* () {
            const translations = yield this.translationService.getOutputFormatTranslations();
            const customerInfo = yield this.infoFacade.getInfo().toPromise();
            const selection = new OutputSelection(outputs, contents, translations, this.translationService, customerInfo.outputFormats);
            const fileFormats = selection.getFileFormats();
            fileFormats.forEach((fileFormat) => {
                const fileFormatOutputs = selection.getOutputs(fileFormat);
                const fileFormatContents = flatMap(fileFormatOutputs, (i) => i.values);
                if (fileFormat.contents.length === 0) {
                    return;
                }
                const fallbackOutputs = fileFormat.contents
                    .map((content) => this.getOutput(content, fileFormatContents.filter((j) => j.content.id === content.id).map((i) => i.output)))
                    .filter((i) => i);
                if (fallbackOutputs.length === 0) {
                    return;
                }
                const grouped = groupBy(fallbackOutputs, (i) => i.outputFormatId);
                fileFormatOutputs.forEach((output) => {
                    const fallback = grouped.get(output.id);
                    if (!fallback) {
                        return;
                    }
                    if (fallback && fallback.length === fileFormat.contents.length) {
                        output.selected = true;
                    }
                });
            });
            this.selection = selection;
            this.noOutputs = !fileFormats.some((i) => selection.getOutputs(i).length > 0);
        });
    }
    download() {
        const data = this.selection.getSelectedOutputs();
        // Single share download
        if (data.length === 1) {
            const shareOutput = data[0];
            if (shareOutput.downloadUrl) {
                window.location.replace(shareOutput.downloadUrl);
                this.dialogRef.close(true);
                return;
            }
        }
        this.waitingDownload = true;
        let snackBar;
        const downloadTimmer = setTimeout(() => {
            this.waitingDownload = false;
            this.dialogRef.close();
            snackBar = this.snackBar.openFromComponent(SnackbarComponent, {
                data: {
                    displayText: this.translationService.translate('ContentDownloadDialog.DownloadPending'),
                    showLoader: true,
                },
            });
        }, 8000);
        const contents = data.map((i) => ({ contentId: i.contentId, outputFormatId: i.outputFormatId }));
        (this.data.shareToken
            ? this.shareAccessFacade.createShareSelectionDownloadLink(this.data.shareToken, contents)
            : this.downloadFacade.getDownloadLink(contents)).subscribe((downloadLink) => {
            clearTimeout(downloadTimmer);
            if (this.waitingDownload) {
                window.location.replace(downloadLink.downloadUrl);
                this.dialogRef.close();
            }
            else {
                snackBar.dismiss();
                this.dialogService
                    .confirm({
                    title: this.translationService.translate('ContentDownloadDialog.ConfirmDownloadTitle'),
                    message: this.translationService.translate('ContentDownloadDialog.ConfirmDownloadMessage'),
                    options: {
                        okText: this.translationService.translate('ContentDownloadDialog.Download'),
                        cancelText: this.translationService.translate('ContentDownloadDialog.Cancel'),
                    },
                }, { disableClose: true })
                    .afterClosed()
                    .subscribe((confirmDialogResult) => {
                    if (confirmDialogResult) {
                        window.location.replace(downloadLink.downloadUrl);
                    }
                });
            }
        }, () => {
            clearTimeout(downloadTimmer);
            this.snackBar.open(this.translationService.translate('ContentDownloadDialog.DownloadError'), undefined, {
                duration: 5000,
            });
            this.dialogRef.close();
        });
    }
    toggleAdvanced() {
        this.selection.toggleShowMore();
        this.update();
    }
    radioChange(output, fileType) {
        this.selection.getOutputs(fileType).forEach((i) => (i.selected = false));
        output.selected = true;
        this.update();
    }
    update() {
        this.enableAdvanced = this.selection.hasThumbnails;
        this.advancedMode = !this.selection.hasHiddenOutputFormats;
        const outputs = this.selection.getSelectedOutputs();
        this.hasDynamicOutputs = outputs.some((i) => i.dynamicRendering);
        if (outputs.length > 0) {
            this.fileSize = outputs
                .map((i) => {
                var _a;
                return ((_a = i.detail) === null || _a === void 0 ? void 0 : _a.fileSizeInBytes) || i.fileSize || 0;
            })
                .reduce((total, value) => total + value);
        }
        else {
            this.fileSize = 0;
        }
    }
    // GET OUTPUT
    getOutput(content, outputs) {
        // Try to use Original
        let output = outputs.find((i) => i.outputFormatId === 'Original');
        if (output) {
            return output;
        }
        // Fallback to configured output formats
        this.outputFormatFallback
            .filter((i) => i.fileSchemaId === content.contentSchemaId)
            .forEach((fallback) => {
            output = outputs.find((i) => i.outputFormatId === fallback.outputFormatId);
        });
        // If still no output, fallback to Preview
        if (!output) {
            output = outputs.find((i) => i.outputFormatId === 'Preview');
        }
        return output;
    }
    ngOnInit() {
        const _super = Object.create(null, {
            init: { get: () => super.init }
        });
        var _a;
        return __awaiter(this, void 0, void 0, function* () {
            _super.init.call(this);
            if (this.data.contents.length > 1000) {
                this.tooManyContents = true;
            }
            else if (this.data.contents.length === 1) {
                const outputs = (_a = this.data.contents[0]) === null || _a === void 0 ? void 0 : _a.outputs;
                if (outputs) {
                    yield this.setSelection(outputs);
                    return;
                }
                this.sub = this.contentService
                    .getOutputs(this.data.contents[0].id)
                    .subscribe((output) => this.setSelection(output));
            }
            else {
                if (this.data.contents.every((content) => content.outputs)) {
                    const outputs = flatMap(this.data.contents, (content) => content.outputs);
                    yield this.setSelection(outputs);
                    return;
                }
                this.fetchOutputs();
            }
        });
    }
    setSelection(outputs) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.getSelection(outputs, this.data.contents);
            this.update();
        });
    }
    fetchOutputs() {
        this.sub = this.contentService
            .getOutputsMany(new OutputResolveManyRequest({ contentIds: this.data.contents.map((i) => i.id) }))
            .subscribe((o) => this.setSelection(o));
    }
};
__decorate([
    ViewChild('contentContainer', { static: true }),
    __metadata("design:type", ElementRef)
], ContentDownloadDialogComponent.prototype, "contentContainer", void 0);
__decorate([
    ViewChild('loaderContainer', { static: true }),
    __metadata("design:type", ElementRef)
], ContentDownloadDialogComponent.prototype, "loaderContainer", void 0);
ContentDownloadDialogComponent = __decorate([
    Component({
        selector: 'pp-content-download-dialog',
        template: "<div class=\"dialog-container\" #contentContainer>\n  <h3 class=\"header\">\n    <span>{{ title | pptranslate }}</span>\n    <mat-icon (click)=\"closeDialog()\">close</mat-icon>\n  </h3>\n  <pp-notification [notification]=\"notification\"></pp-notification>\n  <mat-dialog-content>\n    <div class=\"content-wrapper\">\n      <ng-container *ngIf=\"!tooManyContents; else tooManyContentsMessage\">\n        <div class=\"loader-wrapper\" *ngIf=\"waitingDownload\">\n          <mat-spinner></mat-spinner>\n        </div>\n        <form *ngIf=\"!noOutputs && selection\">\n          <div *ngFor=\"let filetype of selection.getFileFormats()\">\n            <fieldset *ngIf=\"selection.hasOutputs(filetype)\">\n              <legend>{{ filetype.name }} ({{ filetype.contents.length }})</legend>\n              <div *ngIf=\"data.mode === 'multi'\">\n                <div *ngFor=\"let output of selection.getOutputs(filetype)\">\n                  <mat-checkbox\n                    *ngIf=\"!output.hidden && output.values.length\"\n                    [name]=\"filetype.id + '-' + output.id\"\n                    [(ngModel)]=\"output.selected\"\n                    (change)=\"update()\"\n                  >\n                    {{ output.name }} ({{ output.values.length }})\n                  </mat-checkbox>\n                </div>\n              </div>\n              <div *ngIf=\"data.mode === 'single'\">\n                <mat-radio-group>\n                  <div *ngFor=\"let output of selection.getOutputs(filetype)\">\n                    <mat-radio-button\n                      *ngIf=\"!output.hidden && output.values.length\"\n                      [value]=\"filetype.id + '-' + output.id\"\n                      [checked]=\"output.selected\"\n                      (change)=\"radioChange(output, filetype)\"\n                    >\n                      {{ output.name }} ({{ output.values.length }})\n                    </mat-radio-button>\n                  </div>\n                </mat-radio-group>\n              </div>\n            </fieldset>\n          </div>\n        </form>\n        <div *ngIf=\"noOutputs\">{{ 'ContentDownloadDialog.NoAccess' | pptranslate }}</div>\n        <div class=\"filesize\" *ngIf=\"fileSize || hasDynamicOutputs\">\n          <span *ngIf=\"!hasDynamicOutputs\">{{ 'ContentDownloadDialog.FileSize' | pptranslate }}</span>\n          <span *ngIf=\"hasDynamicOutputs\">{{ 'ContentDownloadDialog.FileSizeDynamicOutputs' | pptranslate }}</span>\n          {{ fileSize | filesize }}\n        </div>\n      </ng-container>\n      <ng-template #tooManyContentsMessage>\n        <span>{{ 'ContentDownloadDialog.TooManyContentsError' | pptranslate }}</span>\n      </ng-template>\n    </div>\n  </mat-dialog-content>\n\n  <mat-dialog-actions align=\"end\">\n    <button mat-button class=\"option\" [disabled]=\"waitingDownload\" (click)=\"toggleAdvanced()\" *ngIf=\"enableAdvanced\">\n      <span *ngIf=\"!advancedMode\">{{ 'ContentDownloadDialog.Advanced' | pptranslate }}</span>\n      <span *ngIf=\"advancedMode\">{{ 'ContentDownloadDialog.Simple' | pptranslate }}</span>\n    </button>\n    <span class=\"spacer\"></span>\n    <button mat-button mat-dialog-close [disabled]=\"waitingDownload\">\n      {{ 'ContentDownloadDialog.Cancel' | pptranslate }}\n    </button>\n    <button\n      mat-flat-button\n      color=\"accent\"\n      *ngIf=\"!noOutputs\"\n      (click)=\"download()\"\n      [disabled]=\"(fileSize === 0 && !hasDynamicOutputs) || waitingDownload\"\n    >\n      {{ 'ContentDownloadDialog.Download' | pptranslate }}\n    </button>\n  </mat-dialog-actions>\n</div>\n",
        styles: [".dialog-container h3{display:flex;margin:0 -24px;padding:0 24px 24px;border-bottom-style:solid;border-bottom-width:1px}.dialog-container h3 span{flex:1;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.dialog-container h3 mat-icon{cursor:pointer;float:right}.dialog-container mat-dialog-content{height:100%;border-bottom-style:solid;border-bottom-width:1px}.dialog-container mat-dialog-content .mat-tab-group{height:100%}.dialog-container .loader-container{position:absolute;display:none;width:calc(100% + 48px);top:46px;left:-24px;height:100%;z-index:20}.dialog-container .loader-container.active{display:table}.dialog-container .loader-container .loader{display:table-cell;vertical-align:middle;text-align:center}.dialog-container .loader-container .loader mat-spinner{margin:0 auto}.dialog-container mat-dialog-actions{justify-content:flex-end;position:relative;z-index:25}", ".dialog-container{position:relative;min-width:500px}.dialog-container mat-dialog-content{padding:0}.dialog-container mat-dialog-content .content-wrapper{padding:24px;position:relative}.dialog-container mat-dialog-content .content-wrapper .loader-wrapper{position:absolute;top:0;left:0;right:0;bottom:0;z-index:1;height:100%;width:100%;display:flex;align-items:center;justify-content:center}fieldset{border-style:solid;border-width:1px;margin-bottom:10px}legend{padding-left:2px;padding-right:2px}.spacer{flex:1 1 auto}@media (max-width:600px){.dialog-container{min-width:unset}.dialog-container mat-dialog-content{padding:16px}.dialog-container .mat-dialog-actions button.option{width:100%;margin:0 16px 10px}.dialog-container button{margin:5px}}.filesize{text-align:right}.note-dynamic{padding-bottom:16px}"]
    }),
    __param(0, Inject(MAT_DIALOG_DATA)),
    __metadata("design:paramtypes", [Object, ContentService,
        ShareAccessFacade,
        MatDialogRef,
        Injector,
        TranslationService,
        MatSnackBar,
        DialogService,
        DownloadFacade,
        InfoFacade])
], ContentDownloadDialogComponent);

let ContentDownloadDialogService = class ContentDownloadDialogService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    showDialog(options) {
        const dialogRef = this.dialog.open(ContentDownloadDialogComponent, {
            data: options,
            autoFocus: false,
        });
        const instance = dialogRef.componentInstance;
        instance.title = 'ContentDownloadDialog.Title';
        return dialogRef;
    }
};
ContentDownloadDialogService.ɵprov = i0.ɵɵdefineInjectable({ factory: function ContentDownloadDialogService_Factory() { return new ContentDownloadDialogService(i0.ɵɵinject(i1$1.MatDialog)); }, token: ContentDownloadDialogService, providedIn: "root" });
ContentDownloadDialogService = __decorate([
    Injectable({
        providedIn: 'root',
    }),
    __metadata("design:paramtypes", [MatDialog])
], ContentDownloadDialogService);

let ShareItemsPanelComponent = class ShareItemsPanelComponent extends BaseComponent {
    constructor(injector, contentDownloadDialogService) {
        super(injector);
        this.contentDownloadDialogService = contentDownloadDialogService;
        this.view = 'grid';
        this.showDetail = new EventEmitter();
        this.thumbnailSize = ThumbnailSize;
    }
    openInNewWindow(item) {
        this.showDetail.emit(item);
    }
    downloadItem(item) {
        this.contentDownloadDialogService.showDialog({
            mode: 'single',
            contents: [item],
        });
    }
    ngOnInit() { }
};
__decorate([
    Input(),
    __metadata("design:type", String)
], ShareItemsPanelComponent.prototype, "view", void 0);
__decorate([
    Input(),
    __metadata("design:type", ShareDetail)
], ShareItemsPanelComponent.prototype, "shareDetail", void 0);
__decorate([
    Output(),
    __metadata("design:type", EventEmitter)
], ShareItemsPanelComponent.prototype, "showDetail", void 0);
ShareItemsPanelComponent = __decorate([
    Component({
        selector: 'pp-share-items-panel',
        template: "<pp-panel [title]=\"'ShareItemsPanel.Items' | pptranslate\">\n  <div pp-panel-buttons>\n    <button mat-icon-button aria-label=\"List\" *ngIf=\"view === 'list'\" (click)=\"view = 'grid'\">\n      <mat-icon>list</mat-icon>\n    </button>\n    <button mat-icon-button aria-label=\"Thumbnails\" *ngIf=\"view === 'grid'\" (click)=\"view = 'list'\">\n      <mat-icon>grid_on</mat-icon>\n    </button>\n  </div>\n  <div pp-panel-content [ngClass]=\"[view]\">\n    <div class=\"item\" *ngFor=\"let item of shareDetail.contentSelections\">\n      <div class=\"thumbnail\">\n        <pp-content-item-thumbnail\n          [item]=\"item\"\n          [shareItem]=\"shareDetail\"\n          [thumbnailSize]=\"thumbnailSize.Large\"\n          (click)=\"openInNewWindow(item)\"\n        ></pp-content-item-thumbnail>\n      </div>\n      <div class=\"item-info\" (click)=\"openInNewWindow(item)\">\n        <ul>\n          <li class=\"title\" [innerHTML]=\"item.displayValues['name']\"></li>\n          <li [innerHTML]=\"item.displayValues['list']\"></li>\n        </ul>\n      </div>\n      <div class=\"item-funcs\">\n        <ul>\n          <li>\n            <i\n              class=\"material-icons\"\n              [matTooltip]=\"'ShareItemsPanel.Details' | pptranslate\"\n              (click)=\"openInNewWindow(item)\"\n              >open_in_new</i\n            >\n          </li>\n          <li>\n            <i\n              class=\"material-icons\"\n              [matTooltip]=\"'ShareItemsPanel.Download' | pptranslate\"\n              (click)=\"downloadItem(item)\"\n              >get_app</i\n            >\n          </li>\n        </ul>\n      </div>\n    </div>\n  </div>\n</pp-panel>\n",
        styles: ["pp-item-panel-preview{cursor:pointer}.list{padding:20px 0}.list>.item{padding:5vh 0;border-bottom:1px solid rgba(0,0,0,.12);overflow:hidden;display:flex}.list>.item ul{list-style:none;padding-left:8px}.list>.item ul li{font-size:13px;line-height:21px;text-overflow:ellipsis;overflow:hidden}.list>.item ul .title{font-size:14px}.list>.item:hover .item-funcs ul{display:inherit}.list>.item .thumbnail{position:relative;padding:4px;float:left;width:200px;height:200px;min-width:20%}.list>.item .item-info{padding-left:1vw;float:left;flex:1;cursor:pointer;max-width:65%}.list>.item .item-funcs{width:100px;min-width:15%}.list>.item .item-funcs ul{display:none;position:relative;top:15px;float:right}.list>.item .item-funcs ul li{float:left;margin:0;width:40px}.list>.item .item-funcs ul li i{font-size:21px;cursor:pointer}.grid{padding:20px 0;display:grid;grid-template-columns:repeat(auto-fill,minmax(220px,1fr));grid-template-rows:repeat(auto-fill,minmax(120px,1fr));grid-gap:20px}.grid>.item{height:200px;padding:4px;border-radius:4px}.grid>.item .thumbnail{position:relative;height:100%}.grid>.item .item-funcs,.grid>.item .item-info{display:none}button{height:24px;line-height:24px}mat-icon{vertical-align:baseline!important}"]
    }),
    __metadata("design:paramtypes", [Injector, ContentDownloadDialogService])
], ShareItemsPanelComponent);

let ItemToolBarComponent = class ItemToolBarComponent {
    constructor(dialog) {
        this.dialog = dialog;
        this.toolBarIcon = 'code';
        this.toolBarOptions = [];
    }
    fireAction(button) {
        button.action();
    }
    ngOnInit() { }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], ItemToolBarComponent.prototype, "toolBarIcon", void 0);
__decorate([
    Input(),
    __metadata("design:type", Array)
], ItemToolBarComponent.prototype, "toolBarOptions", void 0);
ItemToolBarComponent = __decorate([
    Component({
        selector: 'pp-item-tool-bar',
        template: "<div class=\"tool-bar-container\">\n  <div class=\"to-top\">\n    <i class=\"material-icons\">{{ toolBarIcon }}</i>\n  </div>\n  <ul>\n    <li *ngFor=\"let tool of toolBarOptions\">\n      <button (click)=\"fireAction(tool)\">\n        <i class=\"material-icons\">{{ tool.icon }}</i>\n        <span>{{ tool.name }}</span>\n      </button>\n    </li>\n  </ul>\n</div>\n",
        styles: [".tool-bar-container{border-radius:12px 8px 8px 12px;height:68px;margin:20px 0}.tool-bar-container .to-top{width:68px;height:68px;float:left;border-radius:8px 0 0 8px;text-align:center}.tool-bar-container .to-top i{opacity:.7;position:relative;top:50%;transform:translateY(-50%)}.tool-bar-container ul{list-style:none;margin:0 0 0 40px}.tool-bar-container ul li{float:left;line-height:68px;width:50px;text-align:center}.tool-bar-container ul li .to-top{position:absolute;width:100%;height:100%;top:0;z-index:22;opacity:0;transition:opacity .4s cubic-bezier(.25,.8,.25,1);text-decoration:none;text-align:center}.tool-bar-container ul li button{opacity:.6;position:relative;top:4px;background-color:unset;border:0;cursor:pointer}.tool-bar-container ul li button:hover{opacity:1}.tool-bar-container ul li button:hover span{display:block}.tool-bar-container ul li button span{display:none;position:absolute;top:44px;white-space:nowrap;border-radius:2px;transform:translate(-30%);padding:5px 6px;opacity:.9}"]
    }),
    __metadata("design:paramtypes", [MatDialog])
], ItemToolBarComponent);

let ShareContentDialogComponent = class ShareContentDialogComponent extends DialogBaseComponent {
    constructor(data, contentService, dialogRef, injector, formBuilder, shareService, translatePipe, renderer, businessProcessService, languageService, shareFacade) {
        super(dialogRef, injector);
        this.data = data;
        this.contentService = contentService;
        this.dialogRef = dialogRef;
        this.injector = injector;
        this.formBuilder = formBuilder;
        this.shareService = shareService;
        this.translatePipe = translatePipe;
        this.renderer = renderer;
        this.businessProcessService = businessProcessService;
        this.languageService = languageService;
        this.shareFacade = shareFacade;
        this.previewItemChange = new EventEmitter();
        this.selectedContent = [];
        this.sharedContentForm$ = new BehaviorSubject(undefined);
        this.loader = false;
        this.spinnerLoader = true;
        this.recipients = [];
    }
    removeContent(event) {
        this.selectedContent.forEach((item, index) => {
            if (event.id === item.id) {
                this.selectedContent.splice(index, 1);
            }
        });
        // CLOSE DIALOG IF NOT SELECTED IMAGES
        if (this.selectedContent.length === 0) {
            this.closeDialog();
        }
        else {
            this.setPrefillSubject(this.selectedContent);
        }
    }
    previewItem(itemId) {
        this.previewItemChange.emit(itemId);
    }
    copyToClipboard(recipienturl) {
        const copyBox = document.createElement('textarea');
        copyBox.value = recipienturl;
        document.body.appendChild(copyBox);
        document.execCommand('copy');
        document.body.removeChild(copyBox);
    }
    // CREATE NEW SHARED CONTENT
    newSharedContent(contentItems, recipientsEmails) {
        var _a, _b, _c, _d;
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const form = this.sharedContentForm$.value;
                if (!form) {
                    return;
                }
                const expDate = new Date((_a = form.get('expire_date')) === null || _a === void 0 ? void 0 : _a.value);
                const response = yield this.shareService
                    .create(new ShareBasicCreateRequest({
                    name: form.get('share_name').value,
                    recipientEmails: recipientsEmails,
                    contents: contentItems,
                    outputAccess: !!((_b = form.get('accessOriginal')) === null || _b === void 0 ? void 0 : _b.value) ? OutputAccess.Full : OutputAccess.Preview,
                    languageCode: (_d = (_c = form.get('language')) === null || _c === void 0 ? void 0 : _c.value, (_d !== null && _d !== void 0 ? _d : this.languageService.currentLanguage.ietf)),
                    suppressNotifications: false,
                    expirationDate: isNaN(expDate.getTime()) ? undefined : expDate,
                }))
                    .toPromise();
                yield this.businessProcessService.waitForCompletion(response.id, '02:00:00', true).toPromise();
                const share = yield this.shareService.get(response.referenceId, null, 0).toPromise();
                share.data.internalRecipients.forEach((recipient) => {
                    var _a;
                    return this.recipients.push({
                        email: recipient.recipient.emailAddress,
                        url: (_a = recipient.url, (_a !== null && _a !== void 0 ? _a : '')),
                        img: `https://www.gravatar.com/avatar/${Md5.hashStr(recipient.recipient.emailAddress)}?d=mm&s=48`,
                    });
                });
                share.data.mailRecipients.forEach((recipient) => {
                    var _a;
                    return this.recipients.push({
                        email: recipient.userEmail.emailAddress,
                        url: (_a = recipient.url, (_a !== null && _a !== void 0 ? _a : '')),
                        img: `https://www.gravatar.com/avatar/${Md5.hashStr(recipient.userEmail.emailAddress)}?d=mm&s=48`,
                    });
                });
                // SET LOADER HEIGHT DYNAMIC
                const containerHeight = this.contentContainer.nativeElement.offsetHeight;
                this.renderer.setStyle(this.loaderContainer.nativeElement, 'height', `${containerHeight}px`);
                this.loader = false;
            }
            catch (err) {
                this.loader = false;
                const error = {
                    message: err.exceptionMessage || this.translatePipe.transform('ShareContentDialog.ErrorNotification'),
                    type: 'error',
                    status: true,
                    displayTime: -1,
                };
                this.notificationService.sendNotification(error);
            }
        });
    }
    // SHARE CONTENT SUBMIT BUTTON ACTION
    onFormSubmit() {
        this.notificationService.clearNotification();
        if (this.sharedContentForm$.value && this.sharedContentForm$.value.valid) {
            this.loader = true;
            // CONTENT ITEMS
            const contentItems = this.selectedContent.map((item) => new ShareContent({
                contentId: item.id,
                outputFormatIds: ['Original'],
            }));
            // RECIPIENTS EMAILS
            const recipientsEmails = this.sharedContentForm$.value.get('recipients').value.map((recipientEmail) => {
                return { emailAddress: recipientEmail };
            });
            // CREATE NEW SHARE
            this.newSharedContent(contentItems, recipientsEmails);
        }
    }
    // SET PREFILL SUBJECT
    setPrefillSubject(selectedContent) {
        // REMOVE SHARE NAME FROM FIELD VALUE
        const form = this.sharedContentForm$.value;
        if (!form) {
            return;
        }
        form.get('share_name').setValue('');
        this.sharedContentForm$.next(form);
        // SHOW SHARE NAME LOADER
        this.spinnerLoader = true;
        this.sub = this.contentService
            .search(new ContentSearchRequest({
            limit: 1,
            lifeCycleFilter: LifeCycleFilter.ActiveOnly,
            brokenDependenciesFilter: BrokenDependenciesFilter.All,
            searchType: ContentSearchType.MetadataAndFullText,
            debugMode: false,
            filter: new TermsFilter({
                field: 'id',
                terms: selectedContent.map((i) => i.id),
            }),
        }))
            .subscribe((data) => {
            // GENERATE SHARE NAME
            const shareName = data.totalResults - 1 > 0
                ? this.translatePipe.transform('ShareContentDialog.ItemsMore', [
                    data.results[0].displayValues.name,
                    data.totalResults - 1,
                ])
                : data.results[0].displayValues.name;
            setTimeout(() => {
                // HIDE SHARE NAME LOADER
                this.spinnerLoader = false;
                // SET SHARE NAME FORM FIELD VALUE
                form.get('share_name').setValue(shareName);
                this.sharedContentForm$.next(form);
            }, 200);
        });
    }
    ngAfterViewInit() {
        var _a, _b;
        this.notificationService.clearNotification();
        this.selectedContent = [...this.data];
        this.languageFormControl = new FormControl((_b = (_a = this.languageService.shareLanguages.find((lang) => lang.ietf === this.languageService.currentLanguage.ietf)) === null || _a === void 0 ? void 0 : _a.ietf, (_b !== null && _b !== void 0 ? _b : this.languageService.shareLanguages[0].ietf)), [Validators.required]);
        this.sub = this.hasAccessOriginalRights().subscribe((accessOriginal) => {
            this.sharedContentForm$.next(this.formBuilder.group({
                share_name: new FormControl('', [Validators.required]),
                recipientSearch: new FormControl(''),
                recipients: new FormArray([], [Validators.required]),
                expire_date: new FormControl(''),
                language: this.languageFormControl,
                accessOriginal: new FormControl({ value: accessOriginal, disabled: !accessOriginal }),
            }));
            this.setPrefillSubject(this.selectedContent);
        });
    }
    hasAccessOriginalRights() {
        return this.shareFacade
            .getContentRights(this.selectedContent.map((c) => c.id))
            .pipe(map((cr) => { var _a, _b; return _b = (_a = cr) === null || _a === void 0 ? void 0 : _a.some((i) => i === ContentRight.AccessOriginal), (_b !== null && _b !== void 0 ? _b : false); }));
    }
};
__decorate([
    ViewChild('contentContainer'),
    __metadata("design:type", ElementRef)
], ShareContentDialogComponent.prototype, "contentContainer", void 0);
__decorate([
    ViewChild('loaderContainer'),
    __metadata("design:type", ElementRef)
], ShareContentDialogComponent.prototype, "loaderContainer", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], ShareContentDialogComponent.prototype, "previewItemChange", void 0);
ShareContentDialogComponent = __decorate([
    Component({
        selector: 'pp-share-content-dialog',
        template: "<div *ngIf=\"sharedContentForm$ | async as sharedContentForm\" class=\"dialog-container\" #contentContainer>\n  <div class=\"header\">\n    <span class=\"header-title\">{{ title | pptranslate }}</span>\n    <mat-icon class=\"header-close\" (click)=\"closeDialog()\">close</mat-icon>\n  </div>\n  <mat-divider></mat-divider>\n  <pp-notification [notification]=\"notification\"></pp-notification>\n\n  <mat-dialog-content class=\"dialog-content\" [formGroup]=\"sharedContentForm\">\n    <div class=\"content cp-scrollbar\" [ngClass]=\"{ 'content-share': recipients.length > 0 }\">\n      <div class=\"inputs-content\" *ngIf=\"recipients.length === 0\">\n        <ul>\n          <li class=\"label-content\">\n            <label for=\"share-name\">{{ 'ShareContentDialog.ShareName' | pptranslate }}:</label>\n          </li>\n          <li class=\"input-content\" [ngClass]=\"{ active: spinnerLoader }\">\n            <mat-spinner></mat-spinner>\n\n            <input\n              id=\"share-name\"\n              type=\"text\"\n              formControlName=\"share_name\"\n              [ngClass]=\"{\n                'error-active':\n                  sharedContentForm.controls['share_name'].touched &&\n                  (sharedContentForm.controls['share_name'].hasError('required') ||\n                    sharedContentForm.controls['share_name'].errors?.maxlength ||\n                    sharedContentForm.controls['share_name'].errors?.minlength)\n              }\"\n              autocomplete=\"pp-share-name \"\n            />\n            <div\n              class=\"share-name-error active\"\n              *ngIf=\"\n                sharedContentForm.controls['share_name'].touched &&\n                sharedContentForm.controls['share_name'].hasError('required')\n              \"\n            >\n              {{ 'ShareContentDialog.AddShareNameError' | pptranslate }}\n            </div>\n          </li>\n        </ul>\n        <ul>\n          <li class=\"label-content\">\n            <label for=\"share-recipients\">{{ 'ShareContentDialog.Recipients' | pptranslate }}:</label>\n          </li>\n          <li class=\"input-content\">\n            <pp-share-content-recipients-input [parentForm]=\"sharedContentForm\"></pp-share-content-recipients-input>\n          </li>\n        </ul>\n        <ul>\n          <li class=\"label-content\">\n            <label for=\"expiry-date\">{{ 'ShareContentDialog.ExpireDate' | pptranslate }}:</label>\n          </li>\n          <li class=\"input-content\">\n            <pp-date-picker [parentForm]=\"sharedContentForm\" [placeHolderMessage]=\"'DD/MM/YYYY'\"></pp-date-picker>\n          </li>\n        </ul>\n        <ul>\n          <li class=\"label-content\">\n            <label for=\"expiry-date\">{{ 'ShareContentDialog.AccessOriginal' | pptranslate }}:</label>\n          </li>\n          <li class=\"input-content\">\n            <mat-slide-toggle formControlName=\"accessOriginal\"></mat-slide-toggle>\n          </li>\n        </ul>\n        <ul *ngIf=\"languageService.shareLanguages.length > 1\">\n          <li class=\"label-content\">\n            <label for=\"language\">{{ 'ShareContentDialog.Language' | pptranslate }}:</label>\n          </li>\n          <li class=\"input-content language\">\n            <mat-select [formControl]=\"languageFormControl\">\n              <mat-option *ngFor=\"let language of languageService.shareLanguages\" [value]=\"language.ietf\">\n                {{ language.name | pptranslate }}\n              </mat-option>\n            </mat-select>\n          </li>\n        </ul>\n      </div>\n\n      <div class=\"selected-items-content\" *ngIf=\"recipients.length === 0\">\n        <mat-tab-group autoFocus=\"false\">\n          <mat-tab label=\"{{ 'ShareContentDialog.Items' | pptranslate }}\">\n            <ng-template matTabContent>\n              <div class=\"selected-items\">\n                <div class=\"selected-item-wrapper\" *ngFor=\"let content of selectedContent\">\n                  <pp-share-content-dialog-item\n                    [item]=\"content\"\n                    (removeDialogContent)=\"removeContent($event)\"\n                    (dblclick)=\"previewItem(content.id)\"\n                  ></pp-share-content-dialog-item>\n                </div>\n              </div>\n            </ng-template>\n          </mat-tab>\n        </mat-tab-group>\n      </div>\n\n      <div class=\"share-content-confirmation-container\" *ngIf=\"recipients.length > 0\">\n        <div class=\"share-content-confirmation\" *ngFor=\"let recipient of recipients\">\n          <div class=\"user-image-container\">\n            <img src=\"{{ recipient.img }}\" />\n          </div>\n          <div class=\"user-info-container\">\n            <ul>\n              <li>\n                <span>{{ recipient.email }}</span>\n              </li>\n              <li>\n                <mat-icon (click)=\"copyToClipboard(recipient.url)\">file_copy</mat-icon\n                ><a href=\"{{ recipient.url }}\" target=\"_blank\">{{ recipient.url }}</a>\n              </li>\n            </ul>\n          </div>\n        </div>\n      </div>\n\n      <div class=\"loader-container\" #loaderContainer [ngClass]=\"{ active: loader }\">\n        <div class=\"loader\">\n          <mat-spinner></mat-spinner>\n        </div>\n      </div>\n    </div>\n  </mat-dialog-content>\n  <mat-divider></mat-divider>\n  <mat-dialog-actions class=\"actions\">\n    <button mat-button (click)=\"closeDialog()\" *ngIf=\"recipients.length === 0\" [disabled]=\"loader\">\n      {{ 'ShareContentDialog.CancelShare' | pptranslate }}\n    </button>\n    <button mat-button (click)=\"closeDialog()\" *ngIf=\"recipients.length > 0\" [disabled]=\"loader\">\n      {{ 'ShareContentDialog.CloseDialog' | pptranslate }}\n    </button>\n    <button\n      mat-flat-button\n      color=\"accent\"\n      [ngClass]=\"{ active: sharedContentForm.valid }\"\n      (click)=\"onFormSubmit()\"\n      *ngIf=\"recipients.length === 0\"\n      [disabled]=\"loader\"\n    >\n      {{ 'ShareContentDialog.ShareContent' | pptranslate }}\n    </button>\n  </mat-dialog-actions>\n</div>\n",
        providers: [TranslatePipe],
        styles: [".dialog-container h3{display:flex;margin:0 -24px;padding:0 24px 24px;border-bottom-style:solid;border-bottom-width:1px}.dialog-container h3 span{flex:1;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.dialog-container h3 mat-icon{cursor:pointer;float:right}.dialog-container mat-dialog-content{height:100%;border-bottom-style:solid;border-bottom-width:1px}.dialog-container mat-dialog-content .mat-tab-group{height:100%}.dialog-container .loader-container{position:absolute;display:none;width:calc(100% + 48px);top:46px;left:-24px;height:100%;z-index:20}.dialog-container .loader-container.active{display:table}.dialog-container .loader-container .loader{display:table-cell;vertical-align:middle;text-align:center}.dialog-container .loader-container .loader mat-spinner{margin:0 auto}.dialog-container mat-dialog-actions{justify-content:flex-end;position:relative;z-index:25}", ".content,.dialog-container,.dialog-content,.flex,.flex-column,.flex-row,.header,.inputs-content,.selected-items-content,.share-content-confirmation-container{display:flex;flex-wrap:nowrap}.content,.dialog-container,.dialog-content,.flex-column,.inputs-content,.selected-items-content,.share-content-confirmation-container{flex-direction:column}.flex-row,.header{flex-direction:row}.content,.dialog-content,.flex-shrink,.inputs-content,.selected-items-content,.share-content-confirmation-container{flex-grow:1;flex-shrink:2}.flex-hold-same-size,.header{flex-grow:0;flex-shrink:0}.dialog-container{height:100%;width:100%;position:relative;min-width:500px}.dialog-container ul{display:flex;list-style:none;min-height:40px;padding:0 15px}.dialog-container ul li{position:relative;float:left}.dialog-container ul li:last-child label{position:relative;bottom:.9em}.dialog-container ul li input,.dialog-container ul li mat-select{font-weight:400;line-height:17px;border-radius:4px;padding:11px 6px 10px;border:1px solid #fff;transition:.5s;position:relative;z-index:10}.dialog-container ul li input:focus,.dialog-container ul li mat-select:focus{border-style:solid;border-width:1px;outline:0 auto -webkit-focus-ring-color!important}.dialog-container ul .label-content{width:25%}.dialog-container ul .label-content label{line-height:40px}.dialog-container ul .input-content{width:75%;display:flex;flex-direction:row;align-items:center}.dialog-container ul .input-content.active input{outline:none}.dialog-container ul .input-content.active mat-spinner{display:inherit}.dialog-container ul .input-content mat-spinner{display:none}.dialog-container ul .input-content mat-spinner svg{width:20px!important;height:20px!important}.dialog-container ul .input-content.language{width:180px}.dialog-container .selected-items-content{padding:0}.dialog-container .selected-items-content .selected-items{display:flex;flex-direction:row;flex-wrap:wrap}.dialog-container .selected-items-content .selected-items .selected-item-wrapper{position:relative;margin:1%;width:23%;padding-top:23%}.dialog-container #share-name.error-active{border-style:solid;border-width:1px}.dialog-container pp-share-content-recipients-input{max-height:70px;overflow-x:hidden;overflow-y:auto;width:100%}.dialog-container .share-name-error{top:25px;transition:.5s;z-index:1}.dialog-container .share-name-error.active{top:45px}.dialog-container .share-content-confirmation-container .share-content-confirmation{padding:24px;overflow:hidden;border-bottom-style:solid;border-bottom-width:1px}.dialog-container .share-content-confirmation-container .share-content-confirmation .user-image-container{width:48px;float:left;border-radius:50%;height:48px;overflow:hidden;margin:0 25px 0 0}.dialog-container .share-content-confirmation-container .share-content-confirmation .user-info-container{float:left}.dialog-container .share-content-confirmation-container .share-content-confirmation .user-info-container ul{margin:0;padding:0}.dialog-container .share-content-confirmation-container .share-content-confirmation .user-info-container ul li{float:none}.dialog-container .share-content-confirmation-container .share-content-confirmation .user-info-container ul li mat-icon{position:relative;top:5px;cursor:pointer}.dialog-container .share-content-confirmation-container .share-content-confirmation:last-child{border-bottom:0}.dialog-container .share-content-confirmation-container .share-content-confirmation ul{flex-direction:column}.dialog-container #share-name{width:100%}.header{justify-content:space-between;align-items:center;min-height:62px;padding:0 24px}.header-title{margin:0}.header-close{cursor:pointer}.dialog-content{position:relative;padding:0;margin:0;border-bottom-width:0!important}.content{overflow:overlay;min-height:200px}.actions,.content{padding:0 24px;margin:0}.actions{justify-content:space-between;min-height:62px}.actions button{min-width:99px}.loader-container{width:100%!important;top:0!important;left:0!important}@media (max-width:525px){.dialog-container{min-width:unset}.dialog-container ul{margin:5px 0;padding:0}.dialog-container ul li.label-content{width:30%}.dialog-container ul li.input-content{width:70%}.dialog-container pp-share-content-recipients-input{max-height:130px}.dialog-container .selected-items-content{padding:0}.dialog-container .selected-items-content .selected-items{max-height:30vh}.dialog-container .selected-items-content .selected-items .selected-item-wrapper{padding-top:unset}.actions,.content,.header{padding:0 10px}}.content-share{padding:0;max-height:80vh;overflow-y:auto}"]
    }),
    __param(0, Inject(MAT_DIALOG_DATA)),
    __metadata("design:paramtypes", [Object, ContentService,
        MatDialogRef,
        Injector,
        FormBuilder,
        ShareService,
        TranslatePipe,
        Renderer2,
        BusinessProcessService,
        LanguageService,
        ShareFacade])
], ShareContentDialogComponent);

class BaseBrowserItemComponent extends BaseComponent {
    constructor() {
        super(...arguments);
        this.thumbnailSize = ThumbnailSize.Medium;
        // OUTPUTS
        this.previewItemChange = new EventEmitter();
        this.isVisible = false;
        this.loadItem = new Subject();
    }
    markAsVisible() {
        this.isVisible = true;
        this.loadItem.next();
    }
    previewItem() {
        this.previewItemChange.emit(this.itemModel);
    }
}
__decorate([
    Input(),
    __metadata("design:type", Object)
], BaseBrowserItemComponent.prototype, "itemModel", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], BaseBrowserItemComponent.prototype, "thumbnailSize", void 0);
__decorate([
    Input(),
    __metadata("design:type", Boolean)
], BaseBrowserItemComponent.prototype, "isListView", void 0);
__decorate([
    Input(),
    __metadata("design:type", BaseBrowserComponent)
], BaseBrowserItemComponent.prototype, "browser", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], BaseBrowserItemComponent.prototype, "previewItemChange", void 0);

const BROKEN_IMAGE_URL = 'https://icons-for-free.com/download-icon-broken+image+48px-131985226047038454_512.png';

let ShareBrowserItemComponent = class ShareBrowserItemComponent extends BaseBrowserItemComponent {
    constructor(contentService, sanitizer, injector) {
        super(injector);
        this.contentService = contentService;
        this.sanitizer = sanitizer;
        this.injector = injector;
        // VARS
        this.thumbnailSizes = ThumbnailSize;
        this.isLoading = true;
        this.thumbnailUrls = [];
    }
    getThumbnails(contentIds) {
        const contentIdsReq = contentIds.slice(0, 3);
        Promise.all(contentIdsReq.map((contentId) => {
            return this.contentService.downloadThumbnail(contentId, this.isListView ? ThumbnailSize.Small : this.thumbnailSize || ThumbnailSize.Medium, null, null);
        }))
            .then((items) => {
            items.map((item) => {
                this.sub = item.subscribe((response) => {
                    if (response) {
                        this.thumbnailUrls.push(this.sanitizer.bypassSecurityTrustUrl(URL.createObjectURL(response.data)));
                    }
                });
            });
            this.isLoading = false;
        })
            .catch((err) => {
            console.log(err);
        });
    }
    ngOnInit() {
        this.getThumbnails(this.itemModel.contentIds);
        this.isSelected$ = this.browser.selectedItemsChange.pipe(debounceTime(10), map((items) => items.some((selectedItem) => selectedItem.id === this.itemModel.id)), share());
    }
    updateUrl(event) {
        event.path[0].src = BROKEN_IMAGE_URL;
    }
    ngOnChanges(changes) {
        if (changes['thumbnailSize'] && this.isVisible) {
            const updateImage = changes['thumbnailSize'].firstChange ||
                (changes['thumbnailSize'].previousValue === ThumbnailSize.Small && this.isListView === false) ||
                (changes['thumbnailSize'].previousValue === ThumbnailSize.Medium && this.thumbnailSize === ThumbnailSize.Large);
            if (updateImage) {
                this.isLoading = true;
                this.thumbnailUrls = [];
                this.getThumbnails(this.itemModel.contentIds);
            }
        }
    }
};
ShareBrowserItemComponent = __decorate([
    Component({
        selector: 'pp-share-browser-item',
        template: "<div\n  class=\"browser-item\"\n  [class.browser-item--selected]=\"isSelected$ | async\"\n  [class.browser-item--list-view]=\"isListView\"\n>\n  <div class=\"browser-item__image-slot\">\n    <div class=\"browser-item__image-container\" (lazyload)=\"markAsVisible()\" *ngIf=\"thumbnailUrls.length === 1\">\n      <img\n        *ngIf=\"!isLoading\"\n        class=\"browser-item__image\"\n        [src]=\"thumbnailUrls[0]\"\n        [alt]=\"'ContentBrowser.NoImageForItem' | pptranslate\"\n        (error)=\"updateUrl($event)\"\n      />\n    </div>\n    <div class=\"browser-item__image-container\" (lazyload)=\"markAsVisible()\" *ngIf=\"thumbnailUrls.length === 3\">\n      <img\n        *ngIf=\"!isLoading\"\n        class=\"browser-item__image extra-thumbnail\"\n        [src]=\"thumbnailUrls[0]\"\n        [alt]=\"'ContentBrowser.NoImageForItem' | pptranslate\"\n        (error)=\"updateUrl($event)\"\n      />\n      <div class=\"browser-item__extra-thumbnails\">\n        <div class=\"thumbnail\">\n          <img\n            *ngIf=\"!isLoading\"\n            class=\"browser-item__image\"\n            [src]=\"thumbnailUrls[1]\"\n            [alt]=\"'ContentBrowser.NoImageForItem' | pptranslate\"\n            (error)=\"updateUrl($event)\"\n          />\n        </div>\n        <div class=\"thumbnail\">\n          <img\n            *ngIf=\"!isLoading\"\n            class=\"browser-item__image\"\n            [src]=\"thumbnailUrls[2]\"\n            [alt]=\"'ContentBrowser.NoImageForItem' | pptranslate\"\n            (error)=\"updateUrl($event)\"\n          />\n        </div>\n      </div>\n    </div>\n    <div class=\"browser-item__actions\">\n      <ul>\n        <li>\n          <button\n            mat-icon-button\n            (click)=\"previewItem(); $event.stopPropagation()\"\n            [matTooltip]=\"'ContentBrowser.PreviewItem' | pptranslate\"\n          >\n            <mat-icon aria-label=\"Details\">open_in_new</mat-icon>\n          </button>\n        </li>\n        <li>\n          <button\n            mat-icon-button\n            (click)=\"previewItem(); $event.stopPropagation()\"\n            [matTooltip]=\"'ContentBrowser.More' | pptranslate\"\n          >\n            <mat-icon aria-label=\"More\">more_vert</mat-icon>\n          </button>\n        </li>\n      </ul>\n    </div>\n    <div class=\"browser-item__items-num-container\">{{ itemModel.contentIds.length }}</div>\n  </div>\n  <div *ngIf=\"thumbnailSize !== thumbnailSizes.Small\" class=\"browser-item__title mat-subheading-2\">\n    <i class=\"material-icons\" *ngIf=\"itemModel.shareType === 'Embed'\">code</i>\n    <i class=\"material-icons\" *ngIf=\"itemModel.shareType === 'Basic'\">share</i>\n    {{ itemModel.name }}\n  </div>\n</div>\n",
        styles: [".browser-item{border-radius:2px;position:relative;display:flex;overflow:hidden;flex-direction:column;height:100%;width:100%;cursor:pointer;transition:box-shadow .28s cubic-bezier(.4,0,.2,1);-webkit-user-select:none;-moz-user-select:none;user-select:none}.browser-item--selected .browser-item__actions{visibility:initial}.browser-item--list-view{display:inline-flex;flex-direction:row}.browser-item--list-view .browser-item__image{height:unset;width:unset}.browser-item--list-view .browser-item__image-slot{width:15%;overflow:hidden;margin:10px;border-top-style:solid;border-top-width:5px;border-bottom-style:solid;border-bottom-width:5px}.browser-item--list-view .browser-item__image-slot--mobile{width:35%}.browser-item--list-view .browser-item__title{flex-grow:1;margin:10px;width:85%}.browser-item--list-view .browser-item__title--mobile{width:55%}.browser-item--list-view .browser-item__actions{align-self:flex-end}.browser-item--list-view .browser-item__list-view-actions{position:absolute;right:30px;top:5px}.browser-item--list-view .browser-item__list-view-actions ul{list-style:none;margin:0;padding:0}.browser-item--list-view .browser-item__list-view-actions ul li{float:left;margin:0 0 0 15px;display:none}.browser-item--list-view .browser-item__list-view-actions ul li button{width:26px;height:26px;line-height:26px;border-radius:2px}.browser-item--list-view .browser-item__list-view-actions ul li button .clear{display:none}.browser-item--list-view .browser-item__list-view-actions ul li.in-basket{display:inherit}.browser-item--list-view .browser-item__list-view-actions ul li.in-basket button:hover .remove{display:none}.browser-item--list-view .browser-item__list-view-actions ul li.in-basket button:hover .clear{display:inherit}.browser-item--list-view .browser-item__list-view-actions--mobile{width:10%;position:unset;right:unset;top:unset}.browser-item--list-view .browser-item__list-view-actions--mobile ul{display:flex;flex-direction:column-reverse}.browser-item--list-view .browser-item__list-view-actions--mobile ul>li{margin:0 auto}.browser-item:hover .browser-item__basket-icon,.browser-item:hover:not(.browser-item--selected) .browser-item__actions{visibility:initial}.browser-item:hover .browser-item__list-view-actions ul li{display:inherit}.browser-item__title{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;margin:0;line-height:28px;padding:0 5px}.browser-item__title__title-content{display:contents}.browser-item__actions{visibility:hidden;position:absolute;border-radius:0;height:100%;top:0;right:0;width:100%}.browser-item__actions ul{position:absolute;list-style:none;right:8px;top:8px;margin:0;padding:0}.browser-item__actions ul li{float:left;line-height:20px;text-align:center}.browser-item__actions ul li button{width:24px;height:24px;line-height:14px}", ".browser-item__title i{position:relative;top:3px;margin:0 3px 0 0}.browser-item__image-slot{flex-grow:1;position:relative}.browser-item__image-virtual-item-container{display:block;padding:8px;overflow:hidden}.browser-item__image-container,.browser-item__image-virtual-item-container{align-items:center;justify-content:center;position:absolute;top:0;bottom:0;left:0;right:0}.browser-item__image-container{display:flex}.browser-item__extra-thumbnails{width:50%;position:absolute;top:0;right:0;height:100%;overflow:hidden;background-color:#dcdcdc}.browser-item__extra-thumbnails .thumbnail{height:50%}.browser-item__extra-thumbnails .thumbnail img{height:100%;width:auto;position:relative;left:50%;transform:translate(-50%)}.browser-item__items-num-container{position:absolute;bottom:5px;left:10px;font-size:10px}.browser-item__image{max-height:100%;height:100%}.browser-item__image.extra-thumbnail{position:relative;right:25%}"]
    }),
    __metadata("design:paramtypes", [ContentService, DomSanitizer, Injector])
], ShareBrowserItemComponent);

let ShareBrowserComponent = class ShareBrowserComponent extends BaseBrowserComponent {
    constructor(activatedRoute, injector, router, facade) {
        super('ShareBrowserComponent', injector, facade);
        this.activatedRoute = activatedRoute;
        this.router = router;
        this.facade = facade;
    }
    init() {
        return __awaiter(this, void 0, void 0, function* () { });
    }
    initSort() {
        this.sortingTypes = [
            {
                field: '_score',
                name: this.translationService.translate('SortMenu.Relevance'),
            },
            {
                field: 'audit.creationDate',
                name: this.translationService.translate('SortMenu.CreationDate'),
            },
            {
                field: 'audit.modificationDate',
                name: this.translationService.translate('SortMenu.ModificationDate'),
            },
        ];
        this.activeSortingType = this.sortingTypes[1];
        this.isAscending = false;
        this.views = [
            {
                name: this.translationService.translate('ContentBrowser.ThumbnailSmall'),
                icon: 'collections',
                type: 'thumbnailSmall',
                thumbnailSize: ThumbnailSize.Small,
            },
            {
                name: this.translationService.translate('ContentBrowser.ThumbnailMedium'),
                icon: 'collections',
                type: 'thumbnailMedium',
                thumbnailSize: ThumbnailSize.Medium,
            },
            {
                name: this.translationService.translate('ContentBrowser.ThumbnailLarge'),
                icon: 'collections',
                type: 'thumbnailLarge',
                thumbnailSize: ThumbnailSize.Large,
            },
        ];
        this.activeView = this.views[1];
    }
    onScroll() {
        var _a;
        (_a = this.loadData()) === null || _a === void 0 ? void 0 : _a.subscribe();
    }
    // CHECK IF ELEMENT CONTAINS CLASS NAME
    checkContains(elementClassName) {
        const containClasses = ['browser__items'];
        return containClasses.some((iClass) => elementClassName.includes(iClass));
    }
    itemDetails(item) {
        this.router.navigate([item.id], { relativeTo: this.activatedRoute });
    }
    previewItemEvent(item) {
        this.router.navigate([item.id], { relativeTo: this.activatedRoute });
    }
};
ShareBrowserComponent = __decorate([
    Component({
        selector: 'pp-share-browser',
        template: "<div class=\"browser\" cdkScrollable>\n  <div class=\"browser__header\">\n    <pp-browser-toolbar\n      [browser]=\"self\"\n      entityName=\"{{ 'ShareBrowser.SharesLowercase' | pptranslate }}\"\n    ></pp-browser-toolbar>\n    <mat-progress-bar *ngIf=\"isLoading\" mode=\"indeterminate\"></mat-progress-bar>\n  </div>\n\n  <div\n    *ngIf=\"(totalResults$ | async) !== 0\"\n    class=\"browser__items browser__items--medium cp-scrollbar\"\n    [class.browser__items--list]=\"activeView.type === 'list'\"\n    [class.browser__items--large]=\"activeView.type === 'thumbnailLarge'\"\n    [class.browser__items--medium]=\"activeView.type === 'thumbnailMedium'\"\n  >\n    <div class=\"browser__item-container\" *ngFor=\"let itemModel of items; let i = index; trackBy: trackByItem\">\n      <pp-share-browser-item\n        class=\"browser__item\"\n        [browser]=\"self\"\n        [itemModel]=\"itemModel\"\n        [thumbnailSize]=\"activeThumbnailSize\"\n        [isListView]=\"false\"\n        (previewItemChange)=\"previewItemEvent($event)\"\n        ppUserInteraction\n        (ppPress)=\"itemPressed($event, i)\"\n        (ppTouch)=\"selectedItems.length ? itemClicked($event, i) : itemDetails(itemModel)\"\n        (ppClick)=\"itemClicked($event, i)\"\n        (ppDblclick)=\"itemDetails(itemModel)\"\n      >\n      </pp-share-browser-item>\n    </div>\n  </div>\n\n  <div *ngIf=\"(totalResults$ | async) === 0\" class=\"browser__empty-result mat-typography\">\n    {{ 'ContentBrowser.NoItems' | pptranslate }}\n    <strong> {{ this.facade.searchRequestState.searchString }}</strong>\n    <br />\n    {{ 'ContentBrowser.NoItemsHist' | pptranslate }}\n    <ul>\n      <li>{{ 'ContentBrowser.NoItemsActionChannel' | pptranslate }}</li>\n      <li>{{ 'ContentBrowser.NoItemsActionSearchString' | pptranslate }}</li>\n    </ul>\n  </div>\n</div>\n",
        styles: [".browser{height:100%;overflow:hidden;position:relative}.browser__header mat-toolbar{height:57px}.browser__header mat-progress-bar{position:absolute;top:57px;z-index:10}.browser__divider{margin:0 8px}.browser__spacer{flex-grow:1}.browser__items-count{align-self:center}.browser__items{overflow-y:scroll;overflow-x:hidden;height:calc(100% - 107px);padding:25px;display:grid;grid-template-columns:repeat(auto-fill,minmax(120px,1fr));grid-template-rows:repeat(auto-fill,minmax(120px,1fr));grid-gap:25px}.browser__items .browser__item-container{height:120px}.browser__items--list{display:flex;flex-direction:column}.browser__items--list .browser__item-container{width:70%;margin:0 auto;border-bottom-style:solid;border-bottom-width:1px}.browser__items--list .browser__item-container--mobile{width:unset;margin:unset}.browser__items--large{grid-template-columns:repeat(auto-fill,minmax(280px,1fr));grid-template-rows:repeat(auto-fill,minmax(280px,1fr));grid-gap:25px}.browser__items--large .browser__item-container{height:280px}.browser__items--medium{grid-template-columns:repeat(auto-fill,minmax(200px,1fr));grid-template-rows:repeat(auto-fill,minmax(180px,1fr));grid-gap:45px 25px}.browser__items--medium .browser__item-container{height:200px}.browser__items--mobile{padding:5px}.browser__item-container{position:relative}.browser__empty-result{margin:20px}", ""]
    }),
    __metadata("design:paramtypes", [ActivatedRoute,
        Injector,
        Router,
        ShareSearchFacade])
], ShareBrowserComponent);

let SearchBoxComponent = class SearchBoxComponent {
    constructor() {
        this.result = null;
        this.searchString = '';
        this.searchMode = SearchMode.And;
        this.showSearchBehaviorPicker = false;
        this.searchStringChange = new EventEmitter();
        this.searchParametersChange = new EventEmitter();
    }
    ngOnInit() {
        this.emitValues();
    }
    ngOnChanges(changes) {
        if (changes['searchString']) {
            this.search();
        }
        if (changes['searchMode']) {
            if (!this.searchMode) {
                this.searchMode = SearchMode.And;
            }
            this.emitValues();
        }
    }
    search() {
        this.emitValues();
    }
    clear() {
        this.searchString = '';
        this.emitValues();
    }
    setSearchMode(searchMode) {
        this.searchMode = searchMode;
        this.emitValues();
    }
    emitValues() {
        this.searchParametersChange.emit({
            searchString: this.searchString,
            searchMode: this.searchMode,
        });
        this.searchStringChange.emit(this.searchString);
    }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], SearchBoxComponent.prototype, "searchString", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], SearchBoxComponent.prototype, "searchMode", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], SearchBoxComponent.prototype, "showSearchBehaviorPicker", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], SearchBoxComponent.prototype, "searchStringChange", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], SearchBoxComponent.prototype, "searchParametersChange", void 0);
SearchBoxComponent = __decorate([
    Component({
        selector: 'pp-search-box',
        template: "<div id=\"search-container\">\n  <form class=\"form\" autocomplete=\"off\" onSubmit=\"return false\">\n    <button mat-icon-button (click)=\"search()\">\n      <mat-icon aria-label=\"Search\">search</mat-icon>\n    </button>\n    <input\n      [placeholder]=\"'SearchBox.Search' | pptranslate\"\n      [(ngModel)]=\"searchString\"\n      name=\"search\"\n      (keyup.enter)=\"search()\"\n    />\n    <button mat-icon-button (click)=\"clear()\">\n      <mat-icon aria-label=\"Clear\">clear</mat-icon>\n    </button>\n  </form>\n\n  <div id=\"search-options-container\" *ngIf=\"showSearchBehaviorPicker\">\n    <button mat-icon-button [matMenuTriggerFor]=\"searchOptions\">\n      <mat-icon class=\"mat-icon notranslate material-icons mat-icon-no-color\" role=\"img\" aria-hidden=\"true\"\n        >menu</mat-icon\n      >\n    </button>\n\n    <mat-menu #searchOptions=\"matMenu\" xPosition=\"after\">\n      <button mat-menu-item (click)=\"setSearchMode('or')\" [class.active]=\"searchMode === 'or'\">\n        {{ 'SearchBox.SimpleOrSearch' | pptranslate }}\n      </button>\n      <button mat-menu-item (click)=\"setSearchMode('and')\" [class.active]=\"searchMode === 'and'\">\n        {{ 'SearchBox.SimpleAndSearch' | pptranslate }}\n      </button>\n      <button mat-menu-item (click)=\"setSearchMode('advanced')\" [class.active]=\"searchMode === 'advanced'\">\n        {{ 'SearchBox.AdvancedSearch' | pptranslate }}\n      </button>\n    </mat-menu>\n  </div>\n</div>\n",
        styles: ["#search-container{display:flex;flex-direction:row;justify-content:center;align-items:center;border-style:solid;border-width:1px;border-radius:5px}#search-container .form{display:flex;flex:1;border-radius:4px;align-items:center;transition:background .1s ease-in}#search-container .form input{background:transparent;border:none;outline:none;box-sizing:border-box;flex-grow:1}#search-container .form input::-ms-clear{display:none}.active{font-weight:600}"]
    })
], SearchBoxComponent);

class LayerField {
    constructor(field, metadata) {
        this.fieldsetFields = [];
        this.relatedField = field;
        this.title = (metadata._displayValues && metadata._displayValues.list) || '';
        this.markdown =
            (field instanceof FieldString && field.renderingType === StringRenderingType.Markdown) ||
                (field instanceof FieldTranslatedString && field.renderingType === StringRenderingType.Markdown) ||
                false;
    }
}

class RelationFieldInfo {
    constructor(contentId, name, list, fileUrl) {
        this.contentId = contentId;
        this.name = name;
        this.list = list;
        this.fileUrl = fileUrl;
    }
}

const moment = moment_;
let LayerFieldService = class LayerFieldService {
    constructor(sanitizer, contentService, translatePipe) {
        this.sanitizer = sanitizer;
        this.contentService = contentService;
        this.translatePipe = translatePipe;
    }
    generate(field, schemaMetadata, allSchemas, showRelations = true) {
        const fieldValue = schemaMetadata[field.id];
        let layerField = new LayerField(field, fieldValue);
        switch (field.constructor) {
            case FieldMultiTagbox:
                layerField.tagboxFields = fieldValue.map((i) => {
                    return {
                        value: i._displayValues.name,
                        tooltip: i._displayValues.thumbnail,
                    };
                });
                break;
            case FieldSingleTagbox:
                layerField.tagboxFields = [
                    {
                        value: fieldValue._displayValues.name,
                        tooltip: fieldValue._displayValues.thumbnail,
                    },
                ];
                break;
            case FieldSingleFieldset:
                const referencedToSingleFieldset = allSchemas.find((i) => i.id === field.schemaId);
                const layerFieldSingleFieldset = new LayerField(field, fieldValue);
                if (referencedToSingleFieldset && referencedToSingleFieldset.fields) {
                    referencedToSingleFieldset.fields.forEach((rf) => {
                        if (fieldValue[rf.id]) {
                            const referencedField = this.generate(rf, fieldValue, allSchemas);
                            if (referencedField) {
                                layerFieldSingleFieldset.fieldsetFields.push(referencedField);
                            }
                        }
                    });
                }
                layerField.fieldsetFields = [layerFieldSingleFieldset];
                break;
            case FieldMultiFieldset:
                const referencedToMultiFieldset = allSchemas.find((i) => i.id === field.schemaId);
                layerField.fieldsetFields = fieldValue.map((value) => {
                    const lf = new LayerField(field, value);
                    if (referencedToMultiFieldset && referencedToMultiFieldset.fields) {
                        referencedToMultiFieldset.fields.forEach((rf) => {
                            if (value[rf.id]) {
                                const referencedField = this.generate(rf, value, allSchemas);
                                if (referencedField) {
                                    lf.fieldsetFields.push(referencedField);
                                }
                            }
                        });
                    }
                    return lf;
                });
                break;
            case FieldSingleRelation:
                if (!showRelations) {
                    layerField.value = this.translatePipe.transform(TranslatedStringDictionary.fromJS(TRANSLATIONS.LayerFieldService.NoRelations));
                    break;
                }
                const targetSingleFieldId = fieldValue['_targetId'];
                const targetSingleFielDocType = fieldValue['_targetDocType'];
                if (targetSingleFieldId && targetSingleFielDocType && targetSingleFielDocType === 'Content') {
                    const referencedToSingleRelation = allSchemas.find((i) => i.id === field.schemaId);
                    if (referencedToSingleRelation) {
                        layerField.relationFields = [
                            this.getRelationField(targetSingleFieldId, fieldValue, referencedToSingleRelation, allSchemas),
                        ];
                    }
                }
                break;
            case FieldMultiRelation:
                if (!showRelations) {
                    layerField.value = this.translatePipe.transform(TranslatedStringDictionary.fromJS(TRANSLATIONS.LayerFieldService.NoRelations));
                    break;
                }
                const referencedToMultiRelation = allSchemas.find((i) => i.id === field.schemaId);
                const relationsFields = fieldValue
                    .map((v) => {
                    const targetMultiRelationId = v['_targetId'];
                    const targetMultiRelationDocType = v['_targetDocType'];
                    if (targetMultiRelationId && targetMultiRelationDocType && targetMultiRelationDocType === 'Content') {
                        return this.getRelationField(targetMultiRelationId, v, referencedToMultiRelation, allSchemas);
                    }
                })
                    .filter((x) => x);
                layerField.relationFields = relationsFields;
                break;
            case FieldBoolean:
                const val = (layerField.value = this.translatePipe.transform(TranslatedStringDictionary.fromJS(fieldValue ? TRANSLATIONS.LayerFieldService.Yes : TRANSLATIONS.LayerFieldService.No)));
                break;
            case FieldString:
                layerField.value = fieldValue;
                break;
            case FieldStringArray:
                layerField.value = fieldValue.join(', ');
                break;
            case FieldDictionary:
                layerField.value = Object.values(fieldValue).join(', ');
                break;
            case FieldDictionaryArray:
                layerField.value = fieldValue.map((v) => Object.values(v).join(', ')).join(', ');
                break;
            case FieldTranslatedString:
                layerField.value = this.translatePipe.transform(TranslatedStringDictionary.fromJS(fieldValue));
                break;
            case FieldDateTimeArray:
                layerField.value = fieldValue
                    .map((f) => (f ? moment(f).format(field.format || 'LLL') : ''))
                    .join(', ');
                break;
            case FieldDateTime:
                layerField.value = fieldValue ? moment(fieldValue).format(field.format || 'LLL') : '';
                break;
            case FieldDate:
                layerField.value = fieldValue ? moment(fieldValue).format(field.format || 'll') : '';
                break;
            case FieldLong:
                layerField.value = fieldValue;
                break;
            case FieldDecimal:
                layerField.value = fieldValue;
                break;
            case FieldLongArray:
                layerField.value = fieldValue.join(', ');
                break;
            case FieldGeoPoint:
                layerField.value = fieldValue ? `${fieldValue['lat']}, ${fieldValue['lon']}` : '';
                break;
            default: {
                layerField = null;
                break;
            }
        }
        if (field.names && layerField) {
            layerField.name = this.translatePipe.transform(field.names);
        }
        return layerField;
    }
    getRelationField(targetId, fieldValue, referencedSchema, allSchemas) {
        let relationfields;
        if (referencedSchema && referencedSchema.fields) {
            relationfields = referencedSchema.fields
                .map((rf) => {
                if (fieldValue[rf.id]) {
                    const referencedField = this.generate(rf, fieldValue, allSchemas);
                    if (referencedField) {
                        return referencedField;
                    }
                }
            })
                .filter((x) => x);
        }
        const thumbnailDownload = this.contentService.downloadThumbnail(targetId, ThumbnailSize.Small, null, null);
        const contentDetail = this.contentService.get(targetId, [
            ContentResolveBehavior.OuterDisplayValueName,
            ContentResolveBehavior.OuterDisplayValueList,
        ]);
        const relationFieldInfo = forkJoin([thumbnailDownload, contentDetail]).pipe(map((response) => {
            return new RelationFieldInfo(targetId, response[1].displayValues['name'], response[1].displayValues['list'], this.sanitizer.bypassSecurityTrustUrl(URL.createObjectURL(response[0].data)));
        }));
        return { fields: relationfields, info: relationFieldInfo };
    }
};
LayerFieldService.ɵprov = i0.ɵɵdefineInjectable({ factory: function LayerFieldService_Factory() { return new LayerFieldService(i0.ɵɵinject(i1$2.DomSanitizer), i0.ɵɵinject(i1.ContentService), i0.ɵɵinject(TranslatePipe)); }, token: LayerFieldService, providedIn: "root" });
LayerFieldService = __decorate([
    Injectable({
        providedIn: 'root',
    }),
    __metadata("design:paramtypes", [DomSanitizer,
        ContentService,
        TranslatePipe])
], LayerFieldService);

let LayerPanelsComponent = class LayerPanelsComponent {
    constructor(schemaService, layerFieldService, localStorageService) {
        this.schemaService = schemaService;
        this.layerFieldService = layerFieldService;
        this.localStorageService = localStorageService;
        this.showContentSchema = false;
        this.excludedLayerSchemaIds = [];
        this.relationClick = new EventEmitter();
        this.layers = [];
        this.expandedSchemas = new Set();
    }
    ngOnInit() {
        var _a;
        const expandedSchemasString = this.localStorageService.get(StorageKey.SchemaExpansionState);
        if (expandedSchemasString) {
            this.expandedSchemas = new Set(JSON.parse(expandedSchemasString));
        }
        if (_a = this.showReferenced, (_a !== null && _a !== void 0 ? _a : true)) {
            this.schemaService
                .getManyReferenced([this.content.contentSchemaId], false)
                .pipe(take(1))
                .subscribe((schemaDetails) => {
                this.allSchemas = [...this.schemas, ...schemaDetails];
                this.setLayers();
            });
        }
        else {
            this.allSchemas = [...this.schemas];
            this.setLayers();
        }
    }
    relationClickHandler(relationInfo) {
        this.relationClick.emit(relationInfo);
    }
    layerExpansionHandler(layerId, opened) {
        if (opened) {
            this.expandedSchemas.add(layerId);
        }
        else {
            this.expandedSchemas.delete(layerId);
        }
        this.localStorageService.set(StorageKey.SchemaExpansionState, JSON.stringify(Array.from(this.expandedSchemas)));
    }
    toLowerCamel(value) {
        return value.charAt(0).toLowerCase() + value.slice(1);
    }
    setLayers() {
        const contentSchema = this.schemas.find((i) => i.id === this.content.contentSchemaId);
        if (!contentSchema) {
            return;
        }
        const isVirtualContent = this.content.isVirtual();
        const schemas = this.showContentSchema && isVirtualContent ? [this.content.contentSchemaId] : [];
        if (contentSchema.layerSchemaIds) {
            schemas.push(...contentSchema.layerSchemaIds.filter((lsi) => { var _a; return !((_a = this.excludedLayerSchemaIds) === null || _a === void 0 ? void 0 : _a.includes(lsi)); }));
        }
        if (this.showContentSchema && !isVirtualContent) {
            schemas.push(this.content.contentSchemaId);
        }
        const bottomLayers = [];
        schemas.forEach((layerSchemaId) => {
            const schema = this.allSchemas.find((i) => i.id === layerSchemaId);
            if (!schema) {
                return;
            }
            const schemaMetadata = schema.id === this.content.contentSchemaId
                ? this.content.content
                : this.content.metadata && this.content.metadata[this.toLowerCamel(schema.id)];
            if (!schemaMetadata || !schema.fields) {
                return;
            }
            const layer = {
                id: schema.id,
                names: schema.names,
                fields: [],
                expanded: this.expandedSchemas.has(schema.id),
            };
            schema.fields.forEach((schemaField) => {
                var _a;
                if (schemaMetadata[schemaField.id]) {
                    const layerField = this.layerFieldService.generate(schemaField, schemaMetadata, this.allSchemas, (_a = this.showReferenced, (_a !== null && _a !== void 0 ? _a : true)));
                    if (layerField) {
                        layer.fields.push(layerField);
                    }
                }
            });
            if (schema.system && schema.types.includes(SchemaType.Layer)) {
                bottomLayers.push(layer);
            }
            else {
                this.layers.push(layer);
            }
        });
        bottomLayers.forEach((bottomLayer) => this.layers.push(bottomLayer));
    }
};
__decorate([
    Input(),
    __metadata("design:type", Array)
], LayerPanelsComponent.prototype, "schemas", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], LayerPanelsComponent.prototype, "content", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], LayerPanelsComponent.prototype, "showContentSchema", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], LayerPanelsComponent.prototype, "excludedLayerSchemaIds", void 0);
__decorate([
    Input(),
    __metadata("design:type", Boolean)
], LayerPanelsComponent.prototype, "showReferenced", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], LayerPanelsComponent.prototype, "relationClick", void 0);
LayerPanelsComponent = __decorate([
    Component({
        selector: 'pp-layer-panels',
        template: "<div class=\"custom-shadow\" *ngFor=\"let layer of layers; let i = index\">\n  <mat-expansion-panel\n    [expanded]=\"layer.expanded\"\n    (closed)=\"layerExpansionHandler(layer.id, false)\"\n    (opened)=\"layerExpansionHandler(layer.id, true)\"\n  >\n    <mat-expansion-panel-header>\n      <mat-panel-description>\n        {{ layer.names | pptranslate }}\n      </mat-panel-description>\n    </mat-expansion-panel-header>\n    <ng-template matExpansionPanelContent>\n      <div *ngFor=\"let field of layer.fields\" class=\"fields\">\n        <pp-layer-fields [field]=\"field\" (relationClick)=\"relationClickHandler($event)\"></pp-layer-fields>\n      </div>\n    </ng-template>\n  </mat-expansion-panel>\n</div>\n",
        styles: [".custom-shadow{margin:20px}.custom-shadow .label{width:200px;vertical-align:top}.custom-shadow mat-card-content{padding-top:12px}"]
    }),
    __metadata("design:paramtypes", [SchemaService,
        LayerFieldService,
        LocalStorageService])
], LayerPanelsComponent);

let NotificationComponent = class NotificationComponent {
    constructor() {
        this.notificationData$ = new BehaviorSubject(undefined);
    }
    // CLOSE NOTIFICATION
    closeNotification() {
        this.notificationData$.next(undefined);
    }
    ngOnChanges(changes) {
        if (changes.notification && changes.notification.currentValue) {
            const notificationData = changes.notification.currentValue;
            if (notificationData.displayTime > 0) {
                setTimeout(() => {
                    this.closeNotification();
                }, notificationData.displayTime);
            }
            this.notificationData$.next(notificationData);
        }
    }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], NotificationComponent.prototype, "notification", void 0);
NotificationComponent = __decorate([
    Component({
        selector: 'pp-notification',
        template: "<div\n  *ngIf=\"notificationData$ | async as notificationData\"\n  class=\"notification-container\"\n  [ngClass]=\"{\n    error: notificationData.type === 'error',\n    success: notificationData.type === 'success',\n    active: notificationData.status\n  }\"\n>\n  <div class=\"notification-message\">{{ notificationData.message }}</div>\n  <mat-icon class=\"notification-close\" (click)=\"closeNotification()\">close</mat-icon>\n</div>\n",
        changeDetection: ChangeDetectionStrategy.OnPush,
        styles: [".notification-container{height:0;transition:.5s;display:flex;align-items:center;justify-content:space-between}.notification-container.active{height:50px}.notification-container .notification-message{padding-left:24px}.notification-container .notification-close{padding-right:24px;height:14px;font-size:14px;text-align:center;cursor:pointer}"]
    })
], NotificationComponent);

let DatePickerComponent = class DatePickerComponent {
};
__decorate([
    Input(),
    __metadata("design:type", FormGroup)
], DatePickerComponent.prototype, "parentForm", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], DatePickerComponent.prototype, "placeHolderMessage", void 0);
DatePickerComponent = __decorate([
    Component({
        selector: 'pp-date-picker',
        template: "<mat-form-field [formGroup]=\"parentForm\">\n  <input\n    id=\"expire-date\"\n    matInput\n    [matDatepicker]=\"picker\"\n    placeholder=\"{{ placeHolderMessage }}\"\n    formControlName=\"expire_date\"\n    autocomplete=\"off\"\n  />\n  <!--\n  <div class=\"date-picker-error\" [ngClass]=\"{active: parentForm.controls['expire_date'].touched }\">\n    There is an error on the date format\n  </div>\n  <div class=\"date-picker-error\" [ngClass]=\"{active: parentForm.controls['expire_date'].touched }\">\n    Please, select a date\n  </div>-->\n  <mat-datepicker-toggle matSuffix [for]=\"picker\"></mat-datepicker-toggle>\n  <mat-datepicker #picker></mat-datepicker>\n</mat-form-field>\n",
        styles: ["input{position:relative;font-weight:400;font-size:13px;color:#2f2f2f;line-height:17px;border-radius:4px;padding:11px 6px 10px;border:1px solid #fff;background-color:#fff;z-index:10}input.error-active{border:1px solid #f74931}mat-datepicker-toggle{position:relative;z-index:11}.date-picker-error{position:absolute;top:20px;color:#f74931;transition:.5s;z-index:1;font-size:10px}.date-picker-error.active{top:50px}"]
    })
], DatePickerComponent);

let ChannelPickerComponent = class ChannelPickerComponent extends BaseComponent {
    constructor(channelService, ref, injector) {
        super(injector);
        this.channelService = channelService;
        this.ref = ref;
        this.injector = injector;
        this.channel = null;
        this.channelChange = new EventEmitter();
        this.channelsChange = new EventEmitter();
        this.channels = [];
    }
    ngOnInit() {
        this.sub = this.channelService.getAll().subscribe((channels) => {
            this.channels = channels;
            this.channelsChange.emit(this.channels);
            this.ref.tick();
            if (this.channels) {
                if (!this.channel) {
                    this.changeChannel(this.channels[0]);
                }
            }
        }, () => {
            this.channels = [];
        });
    }
    changeChannel(channel) {
        this.channel = channel;
        this.channelChange.emit(this.channel);
    }
    trackByChannel(index, channel) {
        return channel.id;
    }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], ChannelPickerComponent.prototype, "channel", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], ChannelPickerComponent.prototype, "channelChange", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], ChannelPickerComponent.prototype, "channelsChange", void 0);
ChannelPickerComponent = __decorate([
    Component({
        selector: 'pp-channel-picker',
        template: "<div class=\"channel-picker-container\">\n  <button\n    *ngIf=\"channel\"\n    mat-stroked-button\n    [matTooltip]=\"'ChannelPicker.SelectChannel' | pptranslate\"\n    [matMenuTriggerFor]=\"channelPicker\"\n  >\n    {{ channel.names | pptranslate }}\n  </button>\n  <mat-menu #channelPicker=\"matMenu\">\n    <ng-template matMenuContent>\n      <button\n        *ngFor=\"let channel of channels; let i = index; trackBy: trackByChannel\"\n        [attr.value]=\"i\"\n        (click)=\"changeChannel(channel)\"\n        mat-menu-item\n      >\n        {{ channel.names | pptranslate }}\n      </button>\n    </ng-template>\n  </mat-menu>\n</div>\n",
        styles: [""]
    }),
    __metadata("design:paramtypes", [ChannelService,
        ApplicationRef,
        Injector])
], ChannelPickerComponent);

function log(message) {
    if (console) {
        console.log(message);
    }
}
let FullscreenService = class FullscreenService {
    constructor() {
        this.loading = false;
        this.scriptsPath = '/assets/picturepark-sdk-v1-widgets/';
    }
    showDetailById(shareItemId, shareItems) {
        const shareItem = shareItems.filter((i) => i.id === shareItemId)[0];
        if (shareItem.isPdf && shareItems.length === 1) {
            this.showPdfJsItem(shareItem);
            this.loading = false;
        }
        else {
            const savedOverflow = document.body.style.overflow;
            document.body.style.overflow = 'hidden';
            this.showPhotoSwipeItem(shareItem, shareItems).then(() => {
                this.loading = false;
                document.body.style.overflow = savedOverflow;
            });
        }
    }
    renderVideoPlayer(element, item, width, height) {
        return __awaiter(this, void 0, void 0, function* () {
            const IndigoPlayer = yield this.loadVideoPlayerLibraries();
            const player = IndigoPlayer.init(element, {
                autoplay: true,
                aspectRatio: width && height ? width / height : 16 / 9,
                ui: {
                    image: item.previewUrl,
                },
                sources: [
                    {
                        type: item.isMovie
                            ? 'mp4'
                            : 'mp4' /* IndigoPlayer does not support mp3, but playback of mp3 defined as mp4 works */,
                        src: item.isMovie ? item.videoUrl : item.audioUrl,
                    },
                ],
            });
            return player;
        });
    }
    loadVideoPlayerLibraries() {
        if (window.IndigoPlayer) {
            return Promise.resolve(window.IndigoPlayer);
        }
        return Promise.all([
            this.loadScript('https://cdn.jsdelivr.net/npm/indigo-player@1/lib/indigo-player.js', 'IndigoPlayer'),
        ]).then(([IndigoPlayer]) => {
            return IndigoPlayer;
        });
    }
    showPdfJsItem(item) {
        const iframeElement = document.createElement('iframe');
        iframeElement.style.position = 'fixed';
        iframeElement.style.left = '0';
        iframeElement.style.top = '0';
        iframeElement.style.width = '100%';
        iframeElement.style.height = '100%';
        iframeElement.src = this.scriptsPath + 'pdfjs/web/viewer.html?file=' + item.pdfUrl;
        const savedOverflow = document.body.style.overflow;
        const closeCallback = () => {
            document.body.removeChild(iframeElement);
            document.body.style.overflow = savedOverflow;
            // tslint:disable-next-line: no-use-before-declare
            document.removeEventListener('keydown', keydownCallback, true);
        };
        const keydownCallback = (e) => {
            // tslint:disable-next-line: deprecation
            const event = e || window.event;
            const isEscape = 'key' in event ? event.key === 'Escape' || event.key === 'Esc' : event.keyCode === 27;
            if (isEscape) {
                closeCallback();
            }
        };
        let pdfLoaded = false;
        iframeElement.onload = (e) => {
            document.body.style.overflow = 'hidden';
            if (pdfLoaded) {
                closeCallback();
            }
            else {
                pdfLoaded = true;
            }
        };
        document.addEventListener('keydown', keydownCallback, true);
        document.body.appendChild(iframeElement);
    }
    showPhotoSwipeItem(shareItem, shareItems) {
        return this.loadPhotoSwipe().then((result) => {
            if (!shareItems) {
                shareItems = [shareItem];
            }
            const photoSwipeItems = shareItems.map((i) => {
                if (i.isImage && i.detail) {
                    return {
                        src: i.previewUrl,
                        w: i.detail.width,
                        h: i.detail.height,
                        origin: i.originalUrl,
                    };
                }
                else if (i.isPdf) {
                    return {
                        html: '<iframe style="position: absolute; left: 0; top: 40px; width: 100%; height: calc(100% - 40px)" ' +
                            'src="' +
                            this.scriptsPath +
                            'pdfjs/web/viewer.html?file=' +
                            i.pdfUrl +
                            '&closeButton=false" id="pdfjs_' +
                            i.id +
                            '"></iframe>',
                        origin: i.originalUrl,
                    };
                }
                else if (i.isMovie) {
                    return {
                        html: '<div id="vjsplayer_' + i.id + '"></div>',
                        origin: i.originalUrl,
                    };
                }
                else if (i.isAudio) {
                    return {
                        html: '<div id="vjsplayer_' + i.id + '"></div>',
                        origin: i.originalUrl,
                    };
                }
                else if (i.isIcon) {
                    return {
                        src: i.previewUrl,
                        w: 800,
                        h: 800,
                        origin: i.originalUrl,
                    };
                }
                else if (!i.isBinary) {
                    return {
                        html: '<br /><br /><br /><br /><div class="picturepark-widget-content-preview"> ' +
                            i.displayValues.detail +
                            '</div>',
                        origin: i.originalUrl,
                    };
                }
                else {
                    // Fallback to preview image
                    return {
                        src: i.previewUrl + '?width=800&height=800',
                        w: 800,
                        h: 800,
                        origin: i.originalUrl,
                    };
                }
            });
            const photoSwipe = new result.photoSwipe(result.element, result.photoSwipeDefault, photoSwipeItems, {
                index: shareItems.indexOf(shareItem),
            });
            photoSwipe.options.history = false;
            photoSwipe.options.shareButtons = [
                { id: 'download', label: 'Download', url: '{{raw_image_url}}', download: true },
            ];
            photoSwipe.options.getImageURLForShare = (shareButtonData) => {
                return photoSwipe.currItem.origin || photoSwipe.currItem.src || '';
            };
            photoSwipe.init();
            photoSwipe.listen('afterChange', function () {
                // TODO: Emit event
            });
            const resizeCallbacks = [];
            const loadedPlayers = [];
            const cleanupPlayers = () => {
                // stop and destroy existing players
                loadedPlayers.forEach((loadedPlayer, index) => {
                    try {
                        loadedPlayer.destroy();
                        loadedPlayers.splice(index, 1);
                    }
                    catch (ex) {
                        console.log(ex);
                    }
                });
            };
            if (shareItems.filter((i) => i.isMovie || i.isAudio || i.isPdf).length > 0) {
                const updatePlayers = () => __awaiter(this, void 0, void 0, function* () {
                    cleanupPlayers();
                    const item = shareItems[photoSwipe.getCurrentIndex()];
                    if (item.isMovie || item.isAudio) {
                        yield this.loadVideoPlayerLibraries();
                        const elementId = 'vjsplayer_' + item.id;
                        const element = document.getElementById(elementId);
                        if (element) {
                            const player = yield this.renderVideoPlayer(element, item, window.innerWidth, window.innerHeight);
                            if (player) {
                                loadedPlayers.push(player);
                            }
                        }
                    }
                    // Handle pdfjs iframe close event
                    for (const i of shareItems.filter((s) => s.isPdf)) {
                        const elementId = 'pdfjs_' + i.id;
                        const element = document.getElementById(elementId);
                        if (element) {
                            element.onload = () => {
                                if (element.contentWindow.location.href === 'about:blank') {
                                    photoSwipe.close();
                                }
                            };
                        }
                    }
                });
                photoSwipe.listen('afterChange', () => {
                    updatePlayers();
                });
                updatePlayers();
            }
            return new Promise((resolve) => {
                photoSwipe.listen('close', () => {
                    cleanupPlayers();
                    for (const resizeCallback of resizeCallbacks) {
                        window.removeEventListener('resize', resizeCallback, false);
                    }
                    resolve();
                });
            });
        });
    }
    loadPhotoSwipe() {
        if (window.PhotoSwipe) {
            return Promise.resolve({
                element: this.getPhotoSwipeElement(),
                photoSwipe: window.PhotoSwipe,
                photoSwipeDefault: window.PhotoSwipeUI_Default,
            });
        }
        else {
            return Promise.all([
                this.loadCss('https://cdn.rawgit.com/dimsemenov/PhotoSwipe/4.1.3/dist/photoswipe.css'),
                this.loadCss('https://cdn.rawgit.com/dimsemenov/PhotoSwipe/4.1.3/dist/default-skin/default-skin.css'),
                this.loadScript('https://cdn.rawgit.com/dimsemenov/PhotoSwipe/4.1.3/dist/photoswipe.min.js', 'PhotoSwipe'),
                this.loadScript('https://cdn.rawgit.com/dimsemenov/PhotoSwipe/4.1.3/dist/photoswipe-ui-default.min.js', 'PhotoSwipeUI_Default'),
            ]).then(([css1, css2, photoSwipe, photoSwipeDefault]) => {
                return {
                    element: this.getPhotoSwipeElement(),
                    photoSwipe: photoSwipe,
                    photoSwipeDefault: photoSwipeDefault,
                };
            });
        }
    }
    getPhotoSwipeElement() {
        const element = document.querySelectorAll('.pswp')[0];
        if (element) {
            return element;
        }
        else {
            const markup = `
        <div class="pswp" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="pswp__bg"></div>
            <div class="pswp__scroll-wrap">
                <div class="pswp__container">
                    <div class="pswp__item"></div>
                    <div class="pswp__item"></div>
                    <div class="pswp__item"></div>
                </div>
                <div class="pswp__ui pswp__ui--hidden">
                    <div class="pswp__top-bar">
                        <div class="pswp__counter"></div>
                        <button class="pswp__button pswp__button--close" title="Close (Esc)"></button>
                        <button class="pswp__button pswp__button--share" title="Share"></button>
                        <button class="pswp__button pswp__button--fs" title="Toggle fullscreen"></button>
                        <button class="pswp__button pswp__button--zoom" title="Zoom in/out"></button>
                        <div class="pswp__preloader">
                            <div class="pswp__preloader__icn">
                            <div class="pswp__preloader__cut">
                                <div class="pswp__preloader__donut"></div>
                            </div>
                            </div>
                        </div>
                    </div>
                    <div class="pswp__share-modal pswp__share-modal--hidden pswp__single-tap">
                        <div class="pswp__share-tooltip"></div>
                    </div>
                    <button class="pswp__button pswp__button--arrow--left" title="Previous (arrow left)"></button>
                    <button class="pswp__button pswp__button--arrow--right" title="Next (arrow right)"></button>
                    <div class="pswp__caption">
                        <div class="pswp__caption__center"></div>
                    </div>
                </div>
            </div>
        </div>`;
            const divElement = document.createElement('div');
            divElement.id = 'photoswipe';
            divElement.innerHTML = markup;
            document.body.appendChild(divElement);
            return document.querySelectorAll('.pswp')[0];
        }
    }
    loadScript(url, globalName) {
        if (window.require) {
            log('Picturepark Widgets > Load external script via require(): ' + url);
            return new Promise((resolve) => {
                window.require([url], (module) => {
                    resolve(module);
                });
            });
        }
        else {
            log('Picturepark Widgets > Load external script via tag: ' + url);
            return new Promise((resolve) => {
                const scriptTag = document.createElement('script');
                scriptTag.src = url;
                scriptTag.async = true;
                scriptTag.onload = () => {
                    resolve(window[globalName]);
                };
                document.head.appendChild(scriptTag);
            });
        }
    }
    loadCss(url) {
        return new Promise((resolve) => {
            const linkElement = document.createElement('link');
            linkElement.type = 'text/css';
            linkElement.rel = 'stylesheet';
            linkElement.href = url;
            linkElement.onload = () => resolve();
            document.getElementsByTagName('head')[0].appendChild(linkElement);
        });
    }
};
FullscreenService.ɵprov = i0.ɵɵdefineInjectable({ factory: function FullscreenService_Factory() { return new FullscreenService(); }, token: FullscreenService, providedIn: "root" });
FullscreenService = __decorate([
    Injectable({
        providedIn: 'root',
    })
], FullscreenService);

let ContentImagePreviewComponent = class ContentImagePreviewComponent extends BaseComponent {
    constructor(uiScriptPath, contentService, sanitizer, fullscreenService, cdr, injector, downloadFacade) {
        super(injector);
        this.uiScriptPath = uiScriptPath;
        this.contentService = contentService;
        this.sanitizer = sanitizer;
        this.fullscreenService = fullscreenService;
        this.cdr = cdr;
        this.injector = injector;
        this.downloadFacade = downloadFacade;
        this.outputId = 'Preview';
        this.playChange = new EventEmitter();
        this.displayFullscreen = new Subject();
        this.isIcon = false;
        this.isLoading = true;
        this.playing = false;
    }
    /** Gets the script path from either configured PICTUREPARK_UI_SCRIPTPATH or fallback to the configured base href */
    get scriptsPath() {
        if (this.uiScriptPath) {
            return this.uiScriptPath;
        }
        const base = document.getElementsByTagName('base');
        if (base.length > 0) {
            const url = base[0].href;
            return url.endsWith('/') ? url.slice(0, -1) : url;
        }
        return '';
    }
    get isVideo() {
        return this.content.contentType === ContentType.Video;
    }
    get isAudio() {
        return this.content.contentType === ContentType.Audio;
    }
    ngOnInit() {
        this.sub = this.displayFullscreen
            .pipe(throttleTime(1000, undefined, { leading: true }))
            .subscribe((displayItems) => {
            const selectedItem = displayItems.selectedItem;
            const items = displayItems.items;
            if (selectedItem.isMovie || selectedItem.isAudio) {
                this.playMedia(true, selectedItem);
                return;
            }
            if (selectedItem.isPdf) {
                this.showPdf(selectedItem);
                return;
            }
            this.fullscreenService.showDetailById(selectedItem.id, items);
        });
    }
    ngOnChanges(changes) {
        if (changes.content && changes.content.currentValue) {
            this.content = changes.content.currentValue;
            if (this.content instanceof ShareContentDetail) {
                const shareOutput = this.content.outputs.find((i) => i.outputFormatId === this.outputId);
                if (shareOutput && shareOutput.viewUrl) {
                    this.setPreviewUrl(shareOutput.viewUrl, false);
                    return;
                }
                else if (this.content.iconUrl) {
                    this.setPreviewUrl(this.content.iconUrl, true);
                    return;
                }
            }
            else {
                // If preview does not exist, fallback to download thumbnail as MissingDownloadOutputFallbackBehavior is not exposed
                const output = this.content.outputs.find((i) => i.outputFormatId === this.outputId && i.renderingState === OutputRenderingState.Completed);
                const request = output
                    ? this.contentService.download(this.content.id, output.outputFormatId, this.width || 800, this.height || 650, null)
                    : this.contentService.downloadThumbnail(this.content.id, ThumbnailSize.Large, null, null);
                this.sub = request.subscribe((response) => {
                    const isIcon = (response.headers && response.headers['content-type'] === 'image/svg+xml') || false;
                    this.setPreviewUrl(URL.createObjectURL(response.data), isIcon);
                });
            }
        }
    }
    updateUrl(event) {
        this.thumbnailUrlSafe = BROKEN_IMAGE_URL;
    }
    setPreviewUrl(url, isIcon) {
        this.thumbnailUrl = url;
        this.thumbnailUrlSafe = this.sanitizer.bypassSecurityTrustUrl(this.thumbnailUrl);
        this.isIcon = isIcon;
        this.isLoading = false;
    }
    showFullscreen() {
        return __awaiter(this, void 0, void 0, function* () {
            let isPdf = this.content.contentType === ContentType.InterchangeDocument;
            const isImage = !this.isVideo && !isPdf && !this.isIcon;
            let item;
            let items = [];
            if (this.content instanceof ContentDetail) {
                const outputs = this.content.outputs;
                const pdfOutput = outputs.find((i) => i.outputFormatId === 'Pdf');
                isPdf = pdfOutput !== undefined;
                const previewOutput = isPdf
                    ? outputs.filter((o) => o.outputFormatId === 'Pdf')[0]
                    : this.isAudio
                        ? outputs.filter((o) => o.outputFormatId === 'AudioSmall')[0]
                        : this.isVideo
                            ? outputs.filter((o) => o.outputFormatId === 'VideoSmall')[0]
                            : this.isIcon
                                ? outputs.filter((o) => o.outputFormatId === 'Original')[0]
                                : outputs.filter((o) => o.outputFormatId === 'Preview')[0];
                const downloadLink = yield this.downloadFacade
                    .getDownloadLink([
                    new ContentDownloadRequestItem({
                        contentId: this.content.id,
                        outputFormatId: previewOutput.outputFormatId,
                    }),
                ])
                    .toPromise();
                item = {
                    id: this.content.id,
                    isPdf: isPdf,
                    isImage: isImage,
                    isMovie: this.isVideo,
                    isAudio: this.isAudio,
                    isBinary: false,
                    isIcon: this.isIcon,
                    videoUrl: this.isVideo ? downloadLink.downloadUrl : '',
                    audioUrl: this.isAudio ? downloadLink.downloadUrl : '',
                    pdfUrl: isPdf ? downloadLink.downloadUrl : '',
                    displayValues: {},
                    previewUrl: isImage ? downloadLink.downloadUrl : this.thumbnailUrl,
                    originalUrl: downloadLink.downloadUrl,
                    outputs: this.content.outputs,
                    detail: {
                        width: previewOutput.detail.width,
                        height: previewOutput.detail.height,
                    },
                };
                items = [item];
            }
            else {
                let index = 0;
                const share = {
                    id: this.shareDetail.id,
                    url: this.shareDetail.data.url,
                    name: this.shareDetail.name,
                    creator: this.shareDetail.creator,
                    description: this.shareDetail.description,
                    items: this.shareDetail.contentSelections.map((s) => {
                        const previewOutput = s.outputs.find((o) => o.outputFormatId === 'Preview');
                        const originalOutput = s.outputs.find((o) => o.outputFormatId === 'Original');
                        const detail = originalOutput ? originalOutput.detail : previewOutput ? previewOutput.detail : null;
                        const pdfOutput = s.outputs.find((i) => i.outputFormatId === 'Pdf');
                        return {
                            id: s.id,
                            index: index++,
                            displayValues: s.displayValues,
                            detail: detail,
                            isMovie: s.contentSchemaId === 'VideoMetadata',
                            isAudio: s.contentSchemaId === 'AudioMetadata',
                            isImage: s.contentSchemaId === 'ImageMetadata',
                            isPdf: pdfOutput !== undefined,
                            isBinary: s.contentType !== ContentType.Virtual,
                            isIcon: this.isIcon,
                            previewUrl: previewOutput
                                ? previewOutput.viewUrl
                                : originalOutput && s.contentSchemaId === 'ImageMetadata'
                                    ? originalOutput.viewUrl
                                    : s.iconUrl,
                            originalUrl: originalOutput ? originalOutput.downloadUrl : null,
                            pdfUrl: pdfOutput ? pdfOutput.downloadUrl : null,
                            videoUrl: s.outputs.find((i) => i.outputFormatId === 'VideoLarge')
                                ? s.outputs.find((i) => i.outputFormatId === 'VideoLarge').downloadUrl
                                : s.outputs.find((i) => i.outputFormatId === 'VideoSmall')
                                    ? s.outputs.find((i) => i.outputFormatId === 'VideoSmall').downloadUrl
                                    : null,
                            audioUrl: s.outputs.find((i) => i.outputFormatId === 'AudioSmall')
                                ? s.outputs.find((i) => i.outputFormatId === 'AudioSmall').viewUrl
                                : null,
                            outputs: s.outputs,
                        };
                    }),
                };
                item = share.items.find((i) => i.id === this.content.id);
                items = share.items;
            }
            this.displayFullscreen.next({ selectedItem: item, items });
        });
    }
    showPdf(item) {
        this.playChange.emit(true);
        const url = this.scriptsPath +
            '/assets/picturepark-sdk-v1-widgets/pdfjs/web/viewer.html?file=' +
            item.pdfUrl +
            '&closeButton=false';
        this.pdfUrl = this.sanitizer.bypassSecurityTrustResourceUrl(url);
    }
    playMedia(playing, item) {
        this.playing = playing;
        this.playChange.emit(playing);
        this.cdr.detectChanges();
        const element = document.getElementsByClassName('video-player')[0];
        this.fullscreenService.renderVideoPlayer(element, item, item.detail.width, item.detail.height);
    }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], ContentImagePreviewComponent.prototype, "content", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], ContentImagePreviewComponent.prototype, "outputId", void 0);
__decorate([
    Input(),
    __metadata("design:type", Number)
], ContentImagePreviewComponent.prototype, "width", void 0);
__decorate([
    Input(),
    __metadata("design:type", Number)
], ContentImagePreviewComponent.prototype, "height", void 0);
__decorate([
    Input(),
    __metadata("design:type", ShareDetail)
], ContentImagePreviewComponent.prototype, "shareDetail", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], ContentImagePreviewComponent.prototype, "playChange", void 0);
__decorate([
    LazyGetter(),
    __metadata("design:type", Object),
    __metadata("design:paramtypes", [])
], ContentImagePreviewComponent.prototype, "scriptsPath", null);
ContentImagePreviewComponent = __decorate([
    Component({
        selector: 'pp-content-image-preview',
        template: "<div class=\"content-image-preview-container\">\n  <div\n    class=\"content-image-preview-content\"\n    *ngIf=\"!isLoading\"\n    (click)=\"showFullscreen()\"\n    [class.content-image-preview-content-mobile]=\"deviceBreakpoint\"\n  >\n    <img\n      [src]=\"thumbnailUrlSafe\"\n      (error)=\"updateUrl($event)\"\n      *ngIf=\"thumbnailUrlSafe && !playing && !pdfUrl\"\n      [class.icon]=\"isIcon\"\n    />\n    <mat-icon *ngIf=\"(isVideo || isAudio) && !playing && !pdfUrl\">play_arrow</mat-icon>\n  </div>\n  <div class=\"video-player\" *ngIf=\"playing\"></div>\n  <div class=\"pdf-viewer\" *ngIf=\"pdfUrl\">\n    <iframe [src]=\"pdfUrl\" frameBorder=\"0\" allowfullscreen webkitallowfullscreen></iframe>\n  </div>\n  <div class=\"loader\" *ngIf=\"isLoading\">\n    <mat-spinner></mat-spinner>\n  </div>\n</div>\n",
        styles: [".content-image-preview-container .loader{text-align:center}.content-image-preview-container .loader mat-spinner{position:relative;top:40px;margin:0 auto}.content-image-preview-container .content-image-preview-content{position:relative}.content-image-preview-container .content-image-preview-content mat-icon{top:50%;left:50%;transform:translate(-50%,-50%);position:absolute;z-index:1;color:#444;background:hsla(0,0%,97.3%,.6);border-radius:50%;box-shadow:0 0 4px rgba(47,47,47,.2);width:60px;height:60px;line-height:60px;font-size:48px;text-align:center;cursor:pointer}.content-image-preview-container .content-image-preview-content img{cursor:pointer;display:block;margin:0 auto;max-height:100%;max-width:100%}.content-image-preview-container .content-image-preview-content img.icon{max-height:150px;max-width:150px}.content-image-preview-container .content-image-preview-content-mobile img{width:100%!important}.content-image-preview-container .pdf-viewer{height:100%;min-height:520px;display:flex}.content-image-preview-container .pdf-viewer iframe{flex:1}"]
    }),
    __param(0, Optional()), __param(0, Inject(PICTUREPARK_UI_SCRIPTPATH)),
    __metadata("design:paramtypes", [String, ContentService,
        DomSanitizer,
        FullscreenService,
        ChangeDetectorRef,
        Injector,
        DownloadFacade])
], ContentImagePreviewComponent);

var BasketOperation;
(function (BasketOperation) {
    BasketOperation[BasketOperation["added"] = 0] = "added";
    BasketOperation[BasketOperation["removed"] = 1] = "removed";
    BasketOperation[BasketOperation["cleared"] = 2] = "cleared";
})(BasketOperation || (BasketOperation = {}));

let BasketService = class BasketService {
    constructor(contentService, localStorageService) {
        this.contentService = contentService;
        this.localStorageService = localStorageService;
        this.basketItemsIds = new Set();
        this.basketItems = [];
        const itemsString = this.localStorageService.get(StorageKey.BasketItems);
        const itemsIdsArray = itemsString ? JSON.parse(itemsString) : [];
        this.basketItemsIdsSubject = new BehaviorSubject([]);
        this.basketItemsSubject = new BehaviorSubject([]);
        this.basketChanges = new BehaviorSubject({ operation: BasketOperation.added, itemsIds: itemsIdsArray });
        this.basketChanges.subscribe((change) => {
            if (change.operation === BasketOperation.added) {
                // Clear duplicates
                const itemsToAdd = change.itemsIds.filter((itemId) => !Array.from(this.basketItemsIds).includes(itemId));
                // Handle basketItemsIds
                itemsToAdd.forEach((itemId) => this.basketItemsIds.add(itemId));
                // Handle basketItems
                const sub = fetchContents(this.contentService, itemsToAdd).subscribe((response) => {
                    this.basketItems = this.basketItems.concat(response.results);
                    this.basketItemsSubject.next(this.basketItems);
                    sub.unsubscribe();
                });
            }
            else if (change.operation === BasketOperation.removed) {
                // Handle basketItemsIds
                change.itemsIds.forEach((itemId) => this.basketItemsIds.delete(itemId));
                // Handle basketItems
                this.basketItems = this.basketItems.filter((item) => !change.itemsIds.includes(item.id));
                this.basketItemsSubject.next(this.basketItems);
            }
            else if (change.operation === BasketOperation.cleared) {
                // Handle basketItemsIds
                this.basketItemsIds.clear();
                // Handle basketItems
                this.basketItems = [];
                this.basketItemsSubject.next(this.basketItems);
            }
            this.basketUpdated();
        });
    }
    get basketChange() {
        return this.basketItemsIdsSubject.asObservable();
    }
    get basketItemsChanges() {
        return this.basketItemsSubject.asObservable();
    }
    getBasketItems() {
        return Array.from(this.basketItemsIds);
    }
    addItem(itemId) {
        this.basketChanges.next({ operation: BasketOperation.added, itemsIds: [itemId] });
    }
    addItems(itemsIds) {
        this.basketChanges.next({ operation: BasketOperation.added, itemsIds: itemsIds });
    }
    removeItem(itemId) {
        this.basketChanges.next({ operation: BasketOperation.removed, itemsIds: [itemId] });
    }
    removeItems(itemsIds) {
        this.basketChanges.next({ operation: BasketOperation.removed, itemsIds: itemsIds });
    }
    clearBasket() {
        this.basketChanges.next({ operation: BasketOperation.cleared, itemsIds: [] });
    }
    contains(itemId) {
        return this.basketItemsIds.has(itemId);
    }
    toggle(itemId) {
        if (this.contains(itemId)) {
            this.removeItem(itemId);
        }
        else {
            this.addItem(itemId);
        }
    }
    basketUpdated() {
        const itemsIdsArray = Array.from(this.basketItemsIds);
        // Update storage
        const value = JSON.stringify(itemsIdsArray);
        this.localStorageService.set(StorageKey.BasketItems, value);
        // Update basket items ids
        this.basketItemsIdsSubject.next(itemsIdsArray);
    }
};
BasketService.ɵprov = i0.ɵɵdefineInjectable({ factory: function BasketService_Factory() { return new BasketService(i0.ɵɵinject(i1.ContentService), i0.ɵɵinject(i1.LocalStorageService)); }, token: BasketService, providedIn: "root" });
BasketService = __decorate([
    Injectable({
        providedIn: 'root',
    }),
    __metadata("design:paramtypes", [ContentService, LocalStorageService])
], BasketService);

let ContentBrowserItemComponent = class ContentBrowserItemComponent extends BaseBrowserItemComponent {
    constructor(injector, basketService, sanitizer, contentDownloadDialogService) {
        super(injector);
        this.injector = injector;
        this.basketService = basketService;
        this.sanitizer = sanitizer;
        this.contentDownloadDialogService = contentDownloadDialogService;
        this.changeInBasket = new EventEmitter();
        this.listItemHtml = null;
        this.thumbnailSizes = ThumbnailSize;
    }
    ngOnInit() {
        this.isInBasket$ = this.basketService.basketChange.pipe(map((items) => items.some((selectedItem) => selectedItem === this.itemModel.id)));
        this.isSelected$ = this.browser.selectedItemsChange.pipe(map((items) => items.some((selectedItem) => selectedItem.id === this.itemModel.id)), tap((isSelected) => (this.isSelected = isSelected)), share());
    }
    ngOnChanges() {
        if (this.itemModel.displayValues && this.itemModel.displayValues['list']) {
            this.listItemHtml = this.sanitizer.sanitize(SecurityContext.HTML, this.itemModel.displayValues['list']);
        }
    }
    downloadItem() {
        if (!this.isSelected) {
            this.browser.selectedItems = [this.itemModel];
        }
        this.contentDownloadDialogService.showDialog({
            mode: 'multi',
            contents: this.browser.selectedItems,
        });
    }
    handleChangeInBasket(addItem) {
        this.changeInBasket.emit({ addItem, itemId: this.itemModel.id });
    }
};
__decorate([
    Output(),
    __metadata("design:type", Object)
], ContentBrowserItemComponent.prototype, "changeInBasket", void 0);
ContentBrowserItemComponent = __decorate([
    Component({
        selector: 'pp-content-browser-item',
        template: "<div\n  class=\"browser-item\"\n  [class.browser-item--selected]=\"isSelected$ | async\"\n  [class.browser-item--list-view]=\"isListView\"\n>\n  <div class=\"browser-item__image-slot\" [class.browser-item__image-slot--mobile]=\"deviceBreakpoint\">\n    <pp-content-item-thumbnail [item]=\"itemModel\" [thumbnailSize]=\"thumbnailSize\" [isListView]=\"isListView\">\n    </pp-content-item-thumbnail>\n\n    <div class=\"browser-item__actions\" *ngIf=\"!isListView\">\n      <ul>\n        <li>\n          <button\n            mat-icon-button\n            *ngIf=\"browser.configActions['preview']\"\n            (click)=\"previewItem(); $event.stopPropagation()\"\n            [matTooltip]=\"'ContentBrowser.Details' | pptranslate\"\n          >\n            <mat-icon aria-label=\"Preview content item\">open_in_new</mat-icon>\n          </button>\n        </li>\n        <li>\n          <button\n            mat-icon-button\n            *ngIf=\"browser.configActions['download']\"\n            (click)=\"downloadItem(); $event.stopPropagation()\"\n            [matTooltip]=\"'ContentBrowser.DownloadItem' | pptranslate\"\n          >\n            <mat-icon aria-label=\"Download item\">get_app</mat-icon>\n          </button>\n        </li>\n      </ul>\n    </div>\n  </div>\n  <div\n    *ngIf=\"thumbnailSize !== thumbnailSizes.Small || isListView\"\n    class=\"browser-item__title\"\n    [class.browser-item__title--mobile]=\"deviceBreakpoint\"\n  >\n    <div class=\"browser-item__title__title-content\">{{ itemModel.displayValues!['name'] || 'n/a' }}</div>\n    <div class=\"mat-subheading-1\" *ngIf=\"isListView\" [innerHtml]=\"listItemHtml || 'n/a'\"></div>\n  </div>\n  <div\n    *ngIf=\"isListView\"\n    class=\"browser-item__list-view-actions\"\n    [class.browser-item__list-view-actions--mobile]=\"deviceBreakpoint\"\n  >\n    <ul>\n      <li>\n        <button\n          mat-icon-button\n          *ngIf=\"browser.configActions['preview']\"\n          (click)=\"previewItem(); $event.stopPropagation()\"\n          [matTooltip]=\"'ContentBrowser.Details' | pptranslate\"\n        >\n          <mat-icon aria-label=\"Preview content item\">open_in_new</mat-icon>\n        </button>\n      </li>\n      <li>\n        <button\n          mat-icon-button\n          *ngIf=\"browser.configActions['download']\"\n          (click)=\"downloadItem(); $event.stopPropagation()\"\n          [matTooltip]=\"'ContentBrowser.DownloadItem' | pptranslate\"\n        >\n          <mat-icon aria-label=\"Download item\">get_app</mat-icon>\n        </button>\n      </li>\n      <li [ngClass]=\"{ 'in-basket': isInBasket$ | async }\">\n        <button\n          mat-icon-button\n          *ngIf=\"browser.configActions['basket']\"\n          [matTooltip]=\"\n            ((isInBasket$ | async) ? 'ContentBrowser.RemoveFromBasket' : 'ContentBrowser.AddToBasket') | pptranslate\n          \"\n        >\n          <mat-icon\n            (click)=\"handleChangeInBasket(true); $event.stopPropagation()\"\n            class=\"add\"\n            aria-label=\"Add item to basket\"\n            *ngIf=\"!(isInBasket$ | async)\"\n            >add</mat-icon\n          >\n          <mat-icon\n            (click)=\"handleChangeInBasket(false); $event.stopPropagation()\"\n            class=\"remove\"\n            aria-label=\"Remove item from basket class=remove\"\n            *ngIf=\"isInBasket$ | async\"\n            >done</mat-icon\n          >\n          <mat-icon\n            (click)=\"handleChangeInBasket(false); $event.stopPropagation()\"\n            class=\"clear\"\n            aria-label=\"Remove item from basket class=clear\"\n            *ngIf=\"isInBasket$ | async\"\n            >clear</mat-icon\n          >\n        </button>\n      </li>\n    </ul>\n  </div>\n  <button\n    *ngIf=\"browser.configActions['basket'] && !isListView\"\n    mat-mini-fab\n    class=\"browser-item__basket-icon\"\n    [class.browser-item__basket-icon--mobile]=\"deviceBreakpoint\"\n    [class.browser-item__basket-icon--selected]=\"isInBasket$ | async\"\n    [matTooltip]=\"\n      ((isInBasket$ | async) ? 'ContentBrowser.RemoveFromBasket' : 'ContentBrowser.AddToBasket') | pptranslate\n    \"\n  >\n    <mat-icon\n      (click)=\"handleChangeInBasket(true); $event.stopPropagation()\"\n      class=\"add\"\n      aria-label=\"Add item to basket\"\n      *ngIf=\"!(isInBasket$ | async)\"\n      >add</mat-icon\n    >\n    <mat-icon\n      (click)=\"handleChangeInBasket(false); $event.stopPropagation()\"\n      class=\"remove\"\n      aria-label=\"Remove item from basket\"\n      *ngIf=\"isInBasket$ | async\"\n      >done</mat-icon\n    >\n    <mat-icon class=\"clear\" aria-label=\"Remove item from basket\" *ngIf=\"isInBasket$ | async\">clear</mat-icon>\n  </button>\n</div>\n",
        changeDetection: ChangeDetectionStrategy.OnPush,
        styles: [".browser-item{border-radius:2px;position:relative;display:flex;overflow:hidden;flex-direction:column;height:100%;width:100%;cursor:pointer;transition:box-shadow .28s cubic-bezier(.4,0,.2,1);-webkit-user-select:none;-moz-user-select:none;user-select:none}.browser-item--selected .browser-item__actions{visibility:initial}.browser-item--list-view{display:inline-flex;flex-direction:row}.browser-item--list-view .browser-item__image{height:unset;width:unset}.browser-item--list-view .browser-item__image-slot{width:15%;overflow:hidden;margin:10px;border-top-style:solid;border-top-width:5px;border-bottom-style:solid;border-bottom-width:5px}.browser-item--list-view .browser-item__image-slot--mobile{width:35%}.browser-item--list-view .browser-item__title{flex-grow:1;margin:10px;width:85%}.browser-item--list-view .browser-item__title--mobile{width:55%}.browser-item--list-view .browser-item__actions{align-self:flex-end}.browser-item--list-view .browser-item__list-view-actions{position:absolute;right:30px;top:5px}.browser-item--list-view .browser-item__list-view-actions ul{list-style:none;margin:0;padding:0}.browser-item--list-view .browser-item__list-view-actions ul li{float:left;margin:0 0 0 15px;display:none}.browser-item--list-view .browser-item__list-view-actions ul li button{width:26px;height:26px;line-height:26px;border-radius:2px}.browser-item--list-view .browser-item__list-view-actions ul li button .clear{display:none}.browser-item--list-view .browser-item__list-view-actions ul li.in-basket{display:inherit}.browser-item--list-view .browser-item__list-view-actions ul li.in-basket button:hover .remove{display:none}.browser-item--list-view .browser-item__list-view-actions ul li.in-basket button:hover .clear{display:inherit}.browser-item--list-view .browser-item__list-view-actions--mobile{width:10%;position:unset;right:unset;top:unset}.browser-item--list-view .browser-item__list-view-actions--mobile ul{display:flex;flex-direction:column-reverse}.browser-item--list-view .browser-item__list-view-actions--mobile ul>li{margin:0 auto}.browser-item:hover .browser-item__basket-icon,.browser-item:hover:not(.browser-item--selected) .browser-item__actions{visibility:initial}.browser-item:hover .browser-item__list-view-actions ul li{display:inherit}.browser-item__title{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;margin:0;line-height:28px;padding:0 5px}.browser-item__title__title-content{display:contents}.browser-item__actions{visibility:hidden;position:absolute;border-radius:0;height:100%;top:0;right:0;width:100%}.browser-item__actions ul{position:absolute;list-style:none;right:8px;top:8px;margin:0;padding:0}.browser-item__actions ul li{float:left;line-height:20px;text-align:center}.browser-item__actions ul li button{width:24px;height:24px;line-height:14px}", ".browser-item__basket-icon{visibility:hidden;position:absolute;top:8px;left:8px;width:20px;height:20px;border-radius:2px;box-shadow:unset;background-color:transparent}.browser-item__basket-icon--selected{visibility:initial}.browser-item__basket-icon--selected .clear{display:none}.browser-item__basket-icon mat-icon{height:20px;width:20px;position:absolute;top:0;left:0;line-height:20px}.browser-item__basket-icon .mat-mini-fab .mat-button-wrapper{position:relative;bottom:15px;right:7px;padding:0}.browser-item__basket-icon--mobile{visibility:initial}.browser-item__image-slot{flex-grow:1;position:relative;display:flex;justify-content:center;align-items:center}"]
    }),
    __metadata("design:paramtypes", [Injector,
        BasketService,
        DomSanitizer,
        ContentDownloadDialogService])
], ContentBrowserItemComponent);

let BrowserToolbarComponent = class BrowserToolbarComponent extends BaseComponent {
    constructor(injector) {
        super(injector);
        this.injector = injector;
        this.selectionEnabled = true;
        this.sortingEnabled = true;
    }
    get buttonLabel() {
        return this.selectedItemCount > 0 ? 'ContentBrowser.Selected' : 'ContentBrowser.SelectMenu';
    }
    get selectedItemCount() {
        return this.browser.selectedItems.length;
    }
    get selectedItemCountLabel() {
        return this.selectedItemCount > 0 ? `${this.selectedItemCount}` : '';
    }
    setSortDirection(asc) {
        this.browser.setSort(this.browser.activeSortingType, asc);
    }
    setSortField(sort) {
        var _a;
        this.browser.setSort(sort, (_a = this.browser.isAscending, (_a !== null && _a !== void 0 ? _a : true)));
    }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], BrowserToolbarComponent.prototype, "selectionEnabled", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], BrowserToolbarComponent.prototype, "sortingEnabled", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], BrowserToolbarComponent.prototype, "entityName", void 0);
__decorate([
    Input(),
    __metadata("design:type", BaseBrowserComponent)
], BrowserToolbarComponent.prototype, "browser", void 0);
BrowserToolbarComponent = __decorate([
    Component({
        selector: 'pp-browser-toolbar',
        template: "<div class=\"browser-toolbar-container\">\n  <div class=\"browser-toolbar-content\" [class.browser-toolbar-content--mobile]=\"deviceBreakpoint\">\n    <div class=\"select\" *ngIf=\"selectionEnabled\">\n      <button [matMenuTriggerFor]=\"select\">\n        <ng-container *ngIf=\"deviceBreakpoint; else showText\">{{ selectedItemCountLabel }}</ng-container>\n        <ng-template #showText>{{ buttonLabel | pptranslate: selectedItemCount }}</ng-template>\n        <i class=\"material-icons button-icon\" [class.button-icon--mobile]=\"deviceBreakpoint\">more_vert</i>\n      </button>\n      <mat-menu #select=\"matMenu\" xPosition=\"after\">\n        <button mat-menu-item (click)=\"browser.toggleItems(true)\">\n          {{ 'ContentBrowser.SelectFirstItems' | pptranslate: browser.items.length }}\n        </button>\n        <button mat-menu-item (click)=\"browser.toggleItems(false)\">\n          {{ 'ContentBrowser.DeselectAll' | pptranslate }}\n        </button>\n      </mat-menu>\n    </div>\n\n    <ng-content select=\"[browser-buttons]\"></ng-content>\n\n    <div class=\"spacer\"></div>\n    <span *ngIf=\"browser.totalResults$ | async as totalResults\" class=\"items-count mat-body-1\"\n      >{{ totalResults }} {{ entityName }}</span\n    >\n\n    <div class=\"order-by\" *ngIf=\"sortingEnabled\">\n      <button mat-icon-button [matMenuTriggerFor]=\"sortMenu\" [matTooltip]=\"'ContentBrowser.SortingMenu' | pptranslate\">\n        <mat-icon aria-label=\"Select sorting\">sort</mat-icon>\n      </button>\n\n      <mat-menu #sortMenu=\"matMenu\">\n        <ng-template matMenuContent>\n          <div class=\"menu-title\">{{ 'ContentBrowser.ViewTypeMenu' | pptranslate }}</div>\n          <mat-divider></mat-divider>\n          <button\n            *ngFor=\"let view of browser.views\"\n            mat-menu-item\n            (click)=\"browser.changeView(view)\"\n            [class.active]=\"browser.activeView === view\"\n          >\n            <mat-icon>{{ view.icon }}</mat-icon>\n            <span>{{ view.name }}</span>\n          </button>\n\n          <mat-divider></mat-divider>\n          <div class=\"menu-title\">{{ 'ContentBrowser.SortingMenu' | pptranslate }}</div>\n          <mat-divider></mat-divider>\n\n          <button\n            mat-menu-item\n            [disabled]=\"browser.activeSortingType.field === '_score'\"\n            (click)=\"setSortDirection(true)\"\n            [class.active]=\"browser.isAscending === true\"\n          >\n            <span>{{ 'SortMenu.Ascending' | pptranslate }}</span>\n          </button>\n          <button\n            mat-menu-item\n            [disabled]=\"browser.activeSortingType.field === '_score'\"\n            (click)=\"setSortDirection(false)\"\n            [class.active]=\"browser.isAscending === false\"\n          >\n            <span>{{ 'SortMenu.Descending' | pptranslate }}</span>\n          </button>\n          <mat-divider></mat-divider>\n          <button\n            mat-menu-item\n            (click)=\"setSortField(sort)\"\n            *ngFor=\"let sort of browser.sortingTypes\"\n            [class.active]=\"browser.activeSortingType.field === sort.field\"\n          >\n            <span>{{ sort.name }}</span>\n          </button>\n        </ng-template>\n      </mat-menu>\n    </div>\n  </div>\n</div>\n",
        styles: [".browser-toolbar-container{height:56px;border-bottom-width:1px;border-bottom-style:solid}.browser-toolbar-container .browser-toolbar-content{display:flex;flex-direction:row;align-items:center;line-height:56px;height:100%;padding:0 30px;overflow:hidden}.browser-toolbar-container .browser-toolbar-content--mobile{padding:0 10px}.browser-toolbar-container .browser-toolbar-content button:focus{outline:0 auto -webkit-focus-ring-color}.browser-toolbar-container .browser-toolbar-content .select{margin:0 15px 0 0}.browser-toolbar-container .browser-toolbar-content .select button{border:0;cursor:pointer;font-size:13px;padding:0}.browser-toolbar-container .browser-toolbar-content .select button:hover{text-decoration:underline}.browser-toolbar-container .browser-toolbar-content .select button:hover i{border-radius:50%}.browser-toolbar-container .browser-toolbar-content .select button .button-icon{padding:2px;position:relative;top:6px;left:6px}.browser-toolbar-container .browser-toolbar-content .select button .button-icon--mobile{left:0}.browser-toolbar-container .browser-toolbar-content .order-by button{border:0;cursor:pointer;padding:0}.browser-toolbar-container .browser-toolbar-content .order-by button:hover{text-decoration:underline}.browser-toolbar-container .browser-toolbar-content .order-by button mat-icon{padding:2px}.browser-toolbar-container .spacer{flex-grow:1}.browser-toolbar-container .items-count{padding-top:4px;font-size:12px}.browser-toolbar-container .menu-title{padding-left:12px;padding-top:12px;padding-bottom:12px;font-weight:500}.active{font-weight:600}"]
    }),
    __metadata("design:paramtypes", [Injector])
], BrowserToolbarComponent);

let BasketItemComponent = class BasketItemComponent extends BaseComponent {
    constructor(basketService, injector) {
        super(injector);
        this.basketService = basketService;
        this.injector = injector;
    }
    remove() {
        this.basketService.removeItem(this.item.id);
    }
};
__decorate([
    Input(),
    __metadata("design:type", Content)
], BasketItemComponent.prototype, "item", void 0);
BasketItemComponent = __decorate([
    Component({
        selector: 'pp-basket-item',
        template: "<div class=\"basket-item\">\n  <pp-content-item-thumbnail [item]=\"item\"></pp-content-item-thumbnail>\n  <button\n    color=\"accent\"\n    class=\"basket-item__remove-button\"\n    [matTooltip]=\"'Basket.RemoveItem' | pptranslate\"\n    (click)=\"remove(); $event.preventDefault()\"\n    mat-mini-fab\n  >\n    <mat-icon aria-label=\"Remove basket item\">clear</mat-icon>\n  </button>\n</div>\n",
        styles: [".basket-item{cursor:pointer;position:relative;display:flex;justify-content:space-around;align-items:center;width:100%;height:100%;transition:box-shadow .28s cubic-bezier(.4,0,.2,1);box-shadow:0 3px 1px -2px rgba(0,0,0,.2),0 2px 2px 0 rgba(0,0,0,.14),0 1px 5px 0 rgba(0,0,0,.12)}.basket-item:hover{box-shadow:0 5px 5px -3px rgba(0,0,0,.2),0 8px 10px 1px rgba(0,0,0,.14),0 3px 14px 2px rgba(0,0,0,.12)}.basket-item:hover .basket-item__remove-button{display:initial}.basket-item__image{max-width:100%;max-height:100%}.basket-item__remove-button{display:none;position:absolute;top:0;bottom:0;left:0;right:0;margin:auto}"]
    }),
    __metadata("design:paramtypes", [BasketService, Injector])
], BasketItemComponent);

let BasketComponent = class BasketComponent extends BaseComponent {
    constructor(pictureParkUIConfig, basketService, contentDownloadDialogService, injector, dialog) {
        super(injector);
        this.pictureParkUIConfig = pictureParkUIConfig;
        this.basketService = basketService;
        this.contentDownloadDialogService = contentDownloadDialogService;
        this.injector = injector;
        this.dialog = dialog;
        this.basketItems = [];
        this.previewItemChange = new EventEmitter();
        this.sub = this.basketService.basketItemsChanges.subscribe((items) => (this.basketItems = items));
    }
    previewItem(item) {
        this.previewItemChange.emit(item);
    }
    downloadItems() {
        this.contentDownloadDialogService.showDialog({
            mode: 'multi',
            contents: [...this.basketItems],
        });
    }
    openShareContentDialog() {
        const dialogRef = this.dialog.open(ShareContentDialogComponent, {
            data: [...this.basketItems],
            autoFocus: false,
            maxHeight: '95vh',
            maxWidth: '99vw',
            width: '840px',
            panelClass: ['pp-dialog'],
        });
        dialogRef.componentInstance.title = 'Basket.Share';
    }
    trackByBasket(index, item) {
        return item.id;
    }
    clearBasket() {
        this.basketService.clearBasket();
    }
    ngOnInit() {
        this.configActions = this.pictureParkUIConfig['BasketComponent'];
    }
};
__decorate([
    Output(),
    __metadata("design:type", Object)
], BasketComponent.prototype, "previewItemChange", void 0);
BasketComponent = __decorate([
    Component({
        selector: 'pp-basket',
        template: "<div class=\"basket\">\n  <ng-container *ngIf=\"basketItems.length > 0; else emptyBasket\">\n    <mat-toolbar class=\"basket__header\">\n      <button\n        mat-icon-button\n        [matTooltip]=\"'Basket.Download' | pptranslate\"\n        (click)=\"downloadItems()\"\n        *ngIf=\"configActions.download\"\n      >\n        <mat-icon aria-label=\"Download items\">get_app</mat-icon>\n      </button>\n      <button\n        mat-icon-button\n        [matTooltip]=\"'Basket.Share' | pptranslate\"\n        (click)=\"openShareContentDialog()\"\n        *ngIf=\"configActions.share\"\n      >\n        <mat-icon aria-label=\"Share items\">share</mat-icon>\n      </button>\n      <div class=\"clear-basket\">\n        <button mat-icon-button (click)=\"clearBasket()\" [matTooltip]=\"'Basket.ClearBasket' | pptranslate\">\n          <mat-icon aria-label=\"Clear basket\">clear</mat-icon>\n        </button>\n      </div>\n    </mat-toolbar>\n    <div class=\"basket__items\">\n      <div class=\"basket__item-container\" *ngFor=\"let basketItem of basketItems; trackBy: trackByBasket\">\n        <pp-basket-item class=\"basket__item\" [item]=\"basketItem\" (dblclick)=\"previewItem(basketItem)\"> </pp-basket-item>\n      </div>\n    </div>\n  </ng-container>\n  <ng-template #emptyBasket>\n    <div class=\"basket__empty mat-typography\">\n      {{ 'Basket.EmptyBasket' | pptranslate }}\n    </div>\n  </ng-template>\n</div>\n",
        styles: [".basket{height:100%}.basket .mat-toolbar{border-bottom-style:solid;border-bottom-width:1px}.basket__header{position:sticky;top:0;z-index:1;display:flex}.basket__header .clear-basket{width:100%;font-size:14px;line-height:42px}.basket__header .clear-basket span{float:left}.basket__header .clear-basket button{float:right}.basket__items{display:grid;grid-template-columns:repeat(auto-fill,minmax(100px,1fr));padding:20px;grid-gap:20px}.basket__item-container{position:relative;content:\"\";display:inline-block;height:0;padding-bottom:100%}.basket__item{position:absolute;top:0;bottom:0;left:0;right:0}.basket__empty{padding:20px;font-weight:500}.basket .mat-toolbar{padding:0 20px}"]
    }),
    __param(0, Inject(PICTUREPARK_UI_CONFIGURATION)),
    __metadata("design:paramtypes", [Object, BasketService,
        ContentDownloadDialogService,
        Injector,
        MatDialog])
], BasketComponent);

let ShareOwnerPanelComponent = class ShareOwnerPanelComponent {
    constructor(userService) {
        this.userService = userService;
    }
    ngOnInit() {
        if (this.shareUser) {
            return;
        }
        this.userService
            .get(this.userId)
            .pipe(take(1))
            .subscribe((data) => {
            this.user = data;
        });
    }
};
__decorate([
    Input(),
    __metadata("design:type", String)
], ShareOwnerPanelComponent.prototype, "userId", void 0);
__decorate([
    Input(),
    __metadata("design:type", ShareUser)
], ShareOwnerPanelComponent.prototype, "shareUser", void 0);
ShareOwnerPanelComponent = __decorate([
    Component({
        selector: 'pp-share-owner-panel',
        template: "<pp-panel [title]=\"'ShareOwnerPanel.Owner' | pptranslate\">\n  <div pp-panel-content>\n    <ul *ngIf=\"user\">\n      <li class=\"avatar\"><img src=\"{{ user.emailAddress | ppavatar }}\" [alt]=\"user.emailAddress\" /></li>\n      <li class=\"user-info\">{{ user.firstName }} {{ user.lastName }}</li>\n    </ul>\n    <ul *ngIf=\"shareUser\">\n      <li class=\"avatar\"><img src=\"{{ shareUser.emailHash | ppavatarhashed }}\" [alt]=\"shareUser.emailHash\" /></li>\n      <li class=\"user-info\">{{ shareUser.displayName }}</li>\n    </ul>\n  </div>\n</pp-panel>\n",
        styles: [".panel-container,pp-panel{border-radius:8px;box-shadow:0 2px 0 0 rgba(0,0,0,.12);margin:20px 0}.panel-container .panel-header,pp-panel .panel-header{position:relative;padding:16px 30px;border-bottom-style:solid;border-bottom-width:1px;display:flex;justify-content:space-between;align-items:center}.panel-container .panel-header h3,pp-panel .panel-header h3{font-size:18px;line-height:32px;font-weight:300;border-bottom:0;margin:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}.panel-container [pp-panel-buttons] button,pp-panel [pp-panel-buttons] button{float:right;font-size:12px;width:100px;border-radius:0;line-height:30px;margin:0 0 0 15px;border:2px solid #fff}.panel-container [pp-panel-buttons] button:hover,pp-panel [pp-panel-buttons] button:hover{border:2px solid grey;box-shadow:0 0 3px #3fb3b1}.panel-container [pp-panel-buttons] button.square,pp-panel [pp-panel-buttons] button.square{border-width:2px;border-style:solid}.panel-container [pp-panel-buttons] button mat-icon,pp-panel [pp-panel-buttons] button mat-icon{font-size:18px}.panel-container .panel-content,pp-panel .panel-content{padding:0 30px;overflow:hidden}.panel-container [pp-panel-content] p,pp-panel [pp-panel-content] p{font-weight:400;font-size:13px}.panel-container [pp-panel-content] a,pp-panel [pp-panel-content] a{font-weight:200;text-decoration:none}.panel-container [pp-panel-content] a:hover,pp-panel [pp-panel-content] a:hover{text-decoration:underline}", "[pp-panel-content] ul{list-style:none;padding:0;margin:20px 0;overflow:hidden}[pp-panel-content] ul li{float:left}[pp-panel-content] ul li.avatar{margin:0 15px 0 0}[pp-panel-content] ul li.avatar img{border-radius:50%}[pp-panel-content] ul li.user-info{font-weight:400;font-size:13px;color:#3fb3b1;line-height:48px;cursor:pointer}"]
    }),
    __metadata("design:paramtypes", [UserService])
], ShareOwnerPanelComponent);

let ShareMailRecipientsPanelComponent = class ShareMailRecipientsPanelComponent {
    // COPY TO CLIPBOARD
    copyToClipboard(event, recipienturl) {
        const copyBox = document.createElement('textarea');
        copyBox.value = recipienturl;
        document.body.appendChild(copyBox);
        copyBox.select();
        document.execCommand('copy');
        document.body.removeChild(copyBox);
        const element = event.target;
        element.innerHTML = 'check';
    }
};
__decorate([
    Input(),
    __metadata("design:type", Array)
], ShareMailRecipientsPanelComponent.prototype, "mailRecipients", void 0);
ShareMailRecipientsPanelComponent = __decorate([
    Component({
        selector: 'pp-share-mail-recipients-panel',
        template: "<pp-panel [title]=\"'ShareMailRecipientsPanel.Recipients' | pptranslate\">\n  <div pp-panel-content>\n    <div class=\"recipient\" *ngFor=\"let mailRecipient of mailRecipients\">\n      <div class=\"recipient-avatar\">\n        <img src=\"{{ mailRecipient.userEmail.emailAddress | ppavatar }}\" [alt]=\"mailRecipient.userEmail.emailAddress\" />\n      </div>\n      <ul>\n        <li>\n          <span class=\"full-name\">{{ mailRecipient.userEmail.firstName }} {{ mailRecipient.userEmail.lastName }}</span>\n          <a href=\"mailto:{{ mailRecipient.userEmail.emailAddress }}\">{{ mailRecipient.userEmail.emailAddress }}</a>\n        </li>\n        <li *ngIf=\"mailRecipient.url as url\" class=\"recipient-url\">\n          <div class=\"copy-icon-wrapper\">\n            <i\n              class=\"material-icons\"\n              [matTooltip]=\"'ShareMailRecipientsPanel.CopyToClipboard' | pptranslate\"\n              (click)=\"copyToClipboard($event, url)\"\n              >content_copy</i\n            >\n          </div>\n          <a [href]=\"url\">{{ url }}</a>\n        </li>\n      </ul>\n    </div>\n  </div>\n</pp-panel>\n",
        styles: [".panel-container,pp-panel{border-radius:8px;box-shadow:0 2px 0 0 rgba(0,0,0,.12);margin:20px 0}.panel-container .panel-header,pp-panel .panel-header{position:relative;padding:16px 30px;border-bottom-style:solid;border-bottom-width:1px;display:flex;justify-content:space-between;align-items:center}.panel-container .panel-header h3,pp-panel .panel-header h3{font-size:18px;line-height:32px;font-weight:300;border-bottom:0;margin:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}.panel-container [pp-panel-buttons] button,pp-panel [pp-panel-buttons] button{float:right;font-size:12px;width:100px;border-radius:0;line-height:30px;margin:0 0 0 15px;border:2px solid #fff}.panel-container [pp-panel-buttons] button:hover,pp-panel [pp-panel-buttons] button:hover{border:2px solid grey;box-shadow:0 0 3px #3fb3b1}.panel-container [pp-panel-buttons] button.square,pp-panel [pp-panel-buttons] button.square{border-width:2px;border-style:solid}.panel-container [pp-panel-buttons] button mat-icon,pp-panel [pp-panel-buttons] button mat-icon{font-size:18px}.panel-container .panel-content,pp-panel .panel-content{padding:0 30px;overflow:hidden}.panel-container [pp-panel-content] p,pp-panel [pp-panel-content] p{font-weight:400;font-size:13px}.panel-container [pp-panel-content] a,pp-panel [pp-panel-content] a{font-weight:200;text-decoration:none}.panel-container [pp-panel-content] a:hover,pp-panel [pp-panel-content] a:hover{text-decoration:underline}", ".recipient{border-bottom-style:solid;border-bottom-width:1px;overflow:hidden;padding:20px 0}.recipient .recipient-avatar{margin:0 15px 0 0;float:left}.recipient .recipient-avatar img{border-radius:50%}.recipient ul{margin:0;list-style:none}.recipient ul li{font-size:16px;font-weight:400;letter-spacing:.01em;line-height:21px}.recipient ul li a{text-decoration:none}.recipient ul li a:hover{text-decoration:underline}.recipient ul li.recipient-url{font-size:13px}.recipient ul li.recipient-url .copy-icon-wrapper{display:inline;position:relative}.recipient ul li.recipient-url .copy-icon-wrapper i{font-size:18px;margin:0 6px 0 0;position:relative;top:5px;cursor:pointer}.recipient:last-child{border-bottom:0}"]
    })
], ShareMailRecipientsPanelComponent);

let ShareSettingsPanelComponent = class ShareSettingsPanelComponent {
};
__decorate([
    Input(),
    __metadata("design:type", String)
], ShareSettingsPanelComponent.prototype, "subject", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], ShareSettingsPanelComponent.prototype, "accessOriginal", void 0);
__decorate([
    Input(),
    __metadata("design:type", Date)
], ShareSettingsPanelComponent.prototype, "creationDate", void 0);
__decorate([
    Input(),
    __metadata("design:type", Date)
], ShareSettingsPanelComponent.prototype, "modificationDate", void 0);
ShareSettingsPanelComponent = __decorate([
    Component({
        selector: 'pp-share-settings-panel',
        template: "<pp-panel [title]=\"'ShareSettingsPanel.Settings' | pptranslate\">\n  <div pp-panel-content>\n    <ul class=\"settings-menu\">\n      <li>{{ 'ShareSettingsPanel.Subject' | pptranslate }}</li>\n      <li>{{ 'ShareSettingsPanel.AccessOriginal' | pptranslate }}</li>\n      <li>{{ 'ShareSettingsPanel.CreationDate' | pptranslate }}</li>\n      <li>{{ 'ShareSettingsPanel.ModificationDate' | pptranslate }}</li>\n    </ul>\n    <ul class=\"settings-info\">\n      <li>{{ subject }}</li>\n      <li>{{ accessOriginal }}</li>\n      <li>{{ creationDate | date: 'yyyy-MM-dd':undefined:'en-US' }}</li>\n      <!-- TODO: Add support for more locales -->\n      <li>{{ modificationDate | date: 'yyyy-MM-dd':undefined:'en-US' }}</li>\n    </ul>\n  </div>\n</pp-panel>\n",
        styles: [".panel-container,pp-panel{border-radius:8px;box-shadow:0 2px 0 0 rgba(0,0,0,.12);margin:20px 0}.panel-container .panel-header,pp-panel .panel-header{position:relative;padding:16px 30px;border-bottom-style:solid;border-bottom-width:1px;display:flex;justify-content:space-between;align-items:center}.panel-container .panel-header h3,pp-panel .panel-header h3{font-size:18px;line-height:32px;font-weight:300;border-bottom:0;margin:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}.panel-container [pp-panel-buttons] button,pp-panel [pp-panel-buttons] button{float:right;font-size:12px;width:100px;border-radius:0;line-height:30px;margin:0 0 0 15px;border:2px solid #fff}.panel-container [pp-panel-buttons] button:hover,pp-panel [pp-panel-buttons] button:hover{border:2px solid grey;box-shadow:0 0 3px #3fb3b1}.panel-container [pp-panel-buttons] button.square,pp-panel [pp-panel-buttons] button.square{border-width:2px;border-style:solid}.panel-container [pp-panel-buttons] button mat-icon,pp-panel [pp-panel-buttons] button mat-icon{font-size:18px}.panel-container .panel-content,pp-panel .panel-content{padding:0 30px;overflow:hidden}.panel-container [pp-panel-content] p,pp-panel [pp-panel-content] p{font-weight:400;font-size:13px}.panel-container [pp-panel-content] a,pp-panel [pp-panel-content] a{font-weight:200;text-decoration:none}.panel-container [pp-panel-content] a:hover,pp-panel [pp-panel-content] a:hover{text-decoration:underline}", "[pp-panel-content] ul{list-style:none;padding:0;float:left}[pp-panel-content] ul li{font-weight:400;font-size:13px;line-height:38px}[pp-panel-content] ul.settings-menu{width:30%}[pp-panel-content] ul.settings-info{width:70%}[pp-panel-content] ul.settings-info li{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}"]
    })
], ShareSettingsPanelComponent);

let PanelComponent = class PanelComponent {
    constructor() {
        this.showHeader = true;
    }
};
__decorate([
    Input(),
    __metadata("design:type", String)
], PanelComponent.prototype, "title", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], PanelComponent.prototype, "showHeader", void 0);
PanelComponent = __decorate([
    Component({
        selector: 'pp-panel',
        template: "<div class=\"panel-container\">\n  <div *ngIf=\"showHeader\" class=\"panel-header\">\n    <h3 *ngIf=\"title\">{{ title }}</h3>\n    <div class=\"panel-buttons\">\n      <ng-content select=\"[pp-panel-buttons]\"></ng-content>\n    </div>\n  </div>\n  <div class=\"panel-content\">\n    <ng-content select=\"[pp-panel-content]\"></ng-content>\n  </div>\n</div>\n",
        styles: [".panel-container,pp-panel{border-radius:8px;box-shadow:0 2px 0 0 rgba(0,0,0,.12);margin:20px 0}.panel-container .panel-header,pp-panel .panel-header{position:relative;padding:16px 30px;border-bottom-style:solid;border-bottom-width:1px;display:flex;justify-content:space-between;align-items:center}.panel-container .panel-header h3,pp-panel .panel-header h3{font-size:18px;line-height:32px;font-weight:300;border-bottom:0;margin:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden}.panel-container [pp-panel-buttons] button,pp-panel [pp-panel-buttons] button{float:right;font-size:12px;width:100px;border-radius:0;line-height:30px;margin:0 0 0 15px;border:2px solid #fff}.panel-container [pp-panel-buttons] button:hover,pp-panel [pp-panel-buttons] button:hover{border:2px solid grey;box-shadow:0 0 3px #3fb3b1}.panel-container [pp-panel-buttons] button.square,pp-panel [pp-panel-buttons] button.square{border-width:2px;border-style:solid}.panel-container [pp-panel-buttons] button mat-icon,pp-panel [pp-panel-buttons] button mat-icon{font-size:18px}.panel-container .panel-content,pp-panel .panel-content{padding:0 30px;overflow:hidden}.panel-container [pp-panel-content] p,pp-panel [pp-panel-content] p{font-weight:400;font-size:13px}.panel-container [pp-panel-content] a,pp-panel [pp-panel-content] a{font-weight:200;text-decoration:none}.panel-container [pp-panel-content] a:hover,pp-panel [pp-panel-content] a:hover{text-decoration:underline}"]
    })
], PanelComponent);

let ContentItemThumbnailComponent = class ContentItemThumbnailComponent extends BaseBrowserItemComponent {
    constructor(contentService, contentFacade, sanitizer, injector) {
        super(injector);
        this.contentService = contentService;
        this.contentFacade = contentFacade;
        this.sanitizer = sanitizer;
        this.injector = injector;
        this.isLoading = false;
    }
    ngOnChanges(changes) {
        var _a;
        return __awaiter(this, void 0, void 0, function* () {
            if (changes['shareItem']) {
                if (this.shareItem) {
                    if (this.item.isVirtual()) {
                        this.handleVirtualItem();
                    }
                    else {
                        const content = this.item;
                        if (content) {
                            const output = content.outputs.find((i) => i.outputFormatId === 'Thumbnail' + this.thumbnailSize);
                            this.isLoading = true;
                            this.thumbnailUrl$ = this.loadItem.pipe(map(() => { var _a; return this.trust(((_a = output) === null || _a === void 0 ? void 0 : _a.viewUrl) || content.iconUrl); }), tap(() => (this.isLoading = false)), finalize(() => (this.isLoading = false)));
                        }
                    }
                }
            }
            else {
                if (changes['item']) {
                    if (this.item.isVirtual()) {
                        this.handleVirtualItem();
                    }
                    else {
                        this.thumbnailUrl$ = this.loadItem.pipe(tap(() => (this.isLoading = true)), switchMap(() => {
                            return this.contentService
                                .downloadThumbnail(this.item.id, this.thumbnailSize || ThumbnailSize.Small, null, null)
                                .pipe(finalize(() => (this.isLoading = false)));
                        }), map((response) => this.trust(URL.createObjectURL(response.data))));
                    }
                }
            }
            if (changes['thumbnailSize'] && !((_a = this.item) === null || _a === void 0 ? void 0 : _a.isVirtual()) && this.isVisible) {
                const updateImage = changes['thumbnailSize'].firstChange ||
                    (changes['thumbnailSize'].previousValue === ThumbnailSize.Small && this.isListView === false) ||
                    (changes['thumbnailSize'].previousValue === ThumbnailSize.Medium && this.thumbnailSize === ThumbnailSize.Large);
                if (updateImage) {
                    this.isLoading = true;
                    this.loadItem.next();
                }
            }
        });
    }
    handleVirtualItem() {
        if (this.item.displayValues['thumbnail']) {
            this.thumbnailUrl$ = null;
            this.virtualItemHtml = this.contentFacade.getVirtualItemHtml(this.item.displayValues['thumbnail']);
            this.isLoading = false;
        }
    }
    trust(data) {
        return this.sanitizer.bypassSecurityTrustUrl(data);
    }
    updateUrl(event) {
        event.path[0].src = BROKEN_IMAGE_URL;
    }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], ContentItemThumbnailComponent.prototype, "item", void 0);
__decorate([
    Input(),
    __metadata("design:type", ShareDetail)
], ContentItemThumbnailComponent.prototype, "shareItem", void 0);
__decorate([
    Input(),
    __metadata("design:type", Boolean)
], ContentItemThumbnailComponent.prototype, "shadow", void 0);
ContentItemThumbnailComponent = __decorate([
    Component({
        selector: 'pp-content-item-thumbnail',
        template: "<ng-container *ngIf=\"virtualItemHtml; else thumbnailDisplay\">\n  <div [ngClass]=\"{ shadow: shadow }\" class=\"content-item-thumbnail__image-virtual-item-container\">\n    <div class=\"content-item-thumbnail__image-virtual-item-display\" [innerHTML]=\"virtualItemHtml\"></div>\n  </div>\n</ng-container>\n<ng-template #thumbnailDisplay>\n  <div\n    class=\"content-item-thumbnail__image-container\"\n    [class.content-item-thumbnail--list-view]=\"isListView\"\n    (lazyload)=\"markAsVisible()\"\n  >\n    <mat-spinner *ngIf=\"isLoading\" [diameter]=\"40\"></mat-spinner>\n    <ng-container *ngIf=\"thumbnailUrl$ | async as url\">\n      <img\n        *ngIf=\"!isLoading\"\n        [ngClass]=\"{ shadow: shadow }\"\n        class=\"content-item-thumbnail__image\"\n        [src]=\"url\"\n        [alt]=\"'ContentBrowser.NoImageForItem' | pptranslate\"\n        (error)=\"updateUrl($event)\"\n      />\n    </ng-container>\n  </div>\n</ng-template>\n",
        changeDetection: ChangeDetectionStrategy.OnPush,
        styles: [":host{cursor:pointer}.content-item-thumbnail__image-container{display:flex;align-items:center;justify-content:center;position:absolute;top:0;right:0;left:0;bottom:0}.content-item-thumbnail__image{max-width:100%;max-height:100%}.content-item-thumbnail__image-virtual-item-container{display:flex;padding:8px;align-items:flex-start;justify-content:flex-start;overflow:hidden;position:absolute;top:0;right:0;left:0;bottom:0}.content-item-thumbnail__image-virtual-item-display{height:100%}.shadow{box-shadow:0 3px 1px -2px rgba(0,0,0,.2),0 2px 2px 0 rgba(0,0,0,.14),0 1px 5px 0 rgba(0,0,0,.12)}"]
    }),
    __metadata("design:paramtypes", [ContentService,
        ContentFacade,
        DomSanitizer,
        Injector])
], ContentItemThumbnailComponent);

let AggregationComponent = class AggregationComponent extends BaseComponent {
    constructor(locale, injector) {
        super(injector);
        this.locale = locale;
        this.injector = injector;
        this.aggregationResult = null;
        this.pagingSize = 0;
        this.aggregationsFiltersCount = 0;
        this.aggregationQuery = new FormControl();
        this.expandedAggregationResult = null;
        this.expanded = false;
        this.active = true;
        this.isLoading = false;
        this.autoCompleteOptions = this.aggregationQuery.valueChanges.pipe(debounce(() => timer(500)), map((value) => (typeof value === 'string' ? value : value.name || '')), mergeMap((value) => this.searchAggregator(value)));
    }
    ngOnInit() {
        this.sub = this.facade.searchRequest$.subscribe((request) => {
            this.aggregationsFiltersCount = request.aggregationFilters.filter((item) => item.aggregationName === this.aggregator.name).length;
            this.expanded = this.shouldExpand || this.expanded || this.aggregationsFiltersCount > 0;
        });
    }
    ngOnChanges(changes) {
        if (changes['aggregator']) {
            this.expandedAggregator = this.expandAggregator(this.aggregator);
            this.pagingSize = this.expandedAggregator.size || 0;
        }
        if (changes['aggregationResult']) {
            this.updateAggregationResult(this.aggregationResult);
            this.aggregationQuery.setValue('');
        }
        if (changes['shouldExpand']) {
            this.expanded = this.shouldExpand && this.active;
        }
    }
    loadMore() {
        this.expandedAggregator.size = (this.expandedAggregator.size || 0) + this.pagingSize;
        this.sub = this.facade.searchAggregations([this.aggregator]).subscribe((result) => {
            this.updateAggregationResult(result ? result[0] || null : null);
        });
    }
    loadLess() {
        this.expandedAggregator.size = (this.expandedAggregator.size || 0) - this.pagingSize;
        this.sub = this.facade.searchAggregations([this.aggregator]).subscribe((result) => {
            this.updateAggregationResult(result ? result[0] || null : null);
        });
    }
    searchAggregator(searchString) {
        if (searchString === '') {
            return from([]);
        }
        const sizeStore = this.expandedAggregator.size;
        this.expandedAggregator.searchString = searchString;
        this.expandedAggregator.size = this.pagingSize;
        this.isLoading = true;
        const observableResult = this.facade.searchAggregations([this.aggregator]).pipe(map((result) => {
            var _a, _b, _c;
            this.hideLoader();
            if (result !== undefined) {
                const items = this.facade.expandAggregationResult(result[0]).aggregationResultItems || [];
                const currentSelectedValues = (_c = (_b = (_a = this.expandedAggregationResult) === null || _a === void 0 ? void 0 : _a.aggregationResultItems) === null || _b === void 0 ? void 0 : _b.filter((agr) => agr.active === true), (_c !== null && _c !== void 0 ? _c : []));
                return items.filter((item) => !currentSelectedValues.some((value) => value.name === item.name));
            }
            return [];
        }));
        this.expandedAggregator.searchString = undefined;
        this.expandedAggregator.size = sizeStore;
        return observableResult;
    }
    queryDisplay(aggregationResultItem) {
        return aggregationResultItem ? aggregationResultItem.name : '';
    }
    autoCompleteOptionSelected(value) {
        this.aggregationQuery.setValue('');
        this.facade.toggleAggregationResult(value);
    }
    selectionChanged(changedItem) {
        this.facade.toggleAggregationResult(changedItem);
    }
    get showLess() {
        return (!!this.expandedAggregationResult &&
            !!this.expandedAggregationResult.aggregationResultItems &&
            this.expandedAggregationResult.aggregationResultItems.filter((x) => x && !x.active).length > this.pagingSize);
    }
    trackByName(_index, aggregationResultItem) {
        return aggregationResultItem.name;
    }
    clear() {
        const aggregationFilters = this.facade.searchRequestState.aggregationFilters.filter((i) => i.aggregationName !== this.aggregator.name);
        this.facade.patchRequestState({ aggregationFilters });
    }
    updateAggregationResult(aggregationResult) {
        this.expandedAggregationResult = aggregationResult ? this.facade.expandAggregationResult(aggregationResult) : null;
        this.checkExpandedAggregationResult();
    }
    checkExpandedAggregationResult() {
        var _a;
        const aggregationResultItems = (_a = this.expandedAggregationResult) === null || _a === void 0 ? void 0 : _a.aggregationResultItems;
        if (aggregationResultItems) {
            if (aggregationResultItems.filter((item) => item.count > 0 || item.active).length >= 1) {
                this.active = true;
            }
            else {
                this.active = false;
                this.expanded = false;
            }
        }
    }
    expandAggregator(aggregator) {
        if (aggregator.aggregators && aggregator.aggregators.length > 0) {
            return this.expandAggregator(aggregator.aggregators[0]);
        }
        return aggregator;
    }
    handleUserClick() {
        this.shouldExpand = this.expanded;
    }
    handleUserEnter(event) {
        if (event.code === 'Enter') {
            this.shouldExpand = this.expanded;
        }
    }
    hideLoader() {
        setTimeout(() => {
            this.isLoading = false;
        }, 500);
    }
};
__decorate([
    Input(),
    __metadata("design:type", AggregatorBase)
], AggregationComponent.prototype, "aggregator", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], AggregationComponent.prototype, "aggregationResult", void 0);
__decorate([
    Input(),
    __metadata("design:type", Boolean)
], AggregationComponent.prototype, "shouldExpand", void 0);
__decorate([
    Input(),
    __metadata("design:type", SearchFacade)
], AggregationComponent.prototype, "facade", void 0);
AggregationComponent = __decorate([
    Component({
        selector: 'pp-aggregation-item',
        template: "<mat-expansion-panel\n  class=\"aggregation mat-elevation-z0\"\n  [(expanded)]=\"expanded\"\n  (click)=\"handleUserClick()\"\n  (keyup)=\"handleUserEnter($event)\"\n  [ngClass]=\"{ disabled: !active }\"\n  [disabled]=\"!active\"\n>\n  <mat-expansion-panel-header [collapsedHeight]=\"'56px'\" [expandedHeight]=\"'56px'\">\n    <mat-panel-title class=\"aggregation__title-panel\">\n      <div class=\"aggregation__title\" *ngIf=\"expandedAggregator.names\">\n        <span>{{ expandedAggregator.names | pptranslate }}</span>\n      </div>\n      <button\n        mat-icon-button\n        *ngIf=\"aggregationsFiltersCount > 0\"\n        [matTooltip]=\"'ContentAggregationList.ClearFilters' | pptranslate\"\n      >\n        <mat-icon aria-label=\"Clear filters for this category\" (click)=\"clear(); $event.stopPropagation()\"\n          >clear</mat-icon\n        >\n      </button>\n    </mat-panel-title>\n  </mat-expansion-panel-header>\n  <ng-template matExpansionPanelContent>\n    <mat-form-field *ngIf=\"aggregator.uiBehavior?.enableSearchInFilter\" class=\"search\">\n      <i class=\"material-icons search-icon\">search</i>\n      <input\n        matInput\n        type=\"text\"\n        [placeholder]=\"'ContentAggregationList.Search' | pptranslate\"\n        aria-label=\"Search\"\n        [formControl]=\"aggregationQuery\"\n        [matAutocomplete]=\"searchAutocomplete\"\n      />\n\n      <button\n        mat-button\n        *ngIf=\"aggregationQuery.value\"\n        matSuffix\n        mat-icon-button\n        aria-label=\"Clear\"\n        (click)=\"aggregationQuery.setValue('')\"\n        class=\"clear-search\"\n      >\n        <mat-icon>close</mat-icon>\n      </button>\n\n      <mat-autocomplete\n        #searchAutocomplete=\"matAutocomplete\"\n        (optionSelected)=\"autoCompleteOptionSelected($event.option.value)\"\n        [displayWith]=\"queryDisplay\"\n      >\n        <mat-option *ngFor=\"let option of autoCompleteOptions | async; trackBy: trackByName\" [value]=\"option\">\n          <span [innerHTML]=\"option.name | highlight: aggregationQuery.value\"></span>\n        </mat-option>\n      </mat-autocomplete>\n      <mat-progress-bar mode=\"indeterminate\" *ngIf=\"isLoading\"></mat-progress-bar>\n    </mat-form-field>\n\n    <mat-selection-list (selectionChange)=\"selectionChanged($event.option.value)\">\n      <mat-list-option\n        *ngFor=\"let item of expandedAggregationResult?.aggregationResultItems\"\n        checkboxPosition=\"before\"\n        [selected]=\"item.active\"\n        [value]=\"item\"\n      >\n        <ng-container *ngIf=\"item | ppAggregationItemTranslate: locale as displayName\">\n          <div class=\"aggregation__option-title\" matTooltip=\"{{ displayName }}\" [matTooltipDisabled]=\"false\">\n            <div class=\"aggregation__option-name\">{{ displayName }}</div>\n            <div class=\"aggregation__option-number\">{{ item.count }}</div>\n          </div>\n        </ng-container>\n      </mat-list-option>\n    </mat-selection-list>\n    <div class=\"expand-filters\">\n      <button mat-button *ngIf=\"expandedAggregationResult?.sumOtherDocCount\" (click)=\"loadMore()\">\n        {{ 'ContentAggregationList.ShowMoreFilters' | pptranslate }}\n      </button>\n      <button mat-button *ngIf=\"showLess\" (click)=\"loadLess()\">\n        {{ 'ContentAggregationList.ShowLessFilters' | pptranslate }}\n      </button>\n    </div>\n  </ng-template>\n</mat-expansion-panel>\n",
        styles: [".aggregation{border-bottom-style:solid;border-bottom-width:1px}.aggregation .mat-expansion-panel-header .mat-expansion-indicator{position:absolute;bottom:2px;right:24px}.aggregation .mat-expansion-panel-body{padding:0!important}.aggregation__title-panel{justify-content:space-between}.aggregation__search{width:100%}.aggregation__option-title{display:flex;flex-wrap:nowrap;justify-content:space-between}.aggregation__option-name,.aggregation__title{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}.aggregation__option-number{padding-left:5px}.aggregation .mat-list-base .mat-list-item,.aggregation .mat-list-base .mat-list-option{height:28px;padding:0 20px;width:unset}.aggregation .mat-expansion-panel-header{font-size:14px;padding:0 20px;position:relative}.aggregation .mat-expansion-panel-header .mat-content{border-bottom-width:1px;border-bottom-style:solid}.aggregation .mat-expansion-panel-body{padding:0 0 10px}.aggregation .mat-list-base{padding-bottom:8px}.aggregation .mat-list-base .mat-list-item,.aggregation .mat-list-base .mat-list-option,.aggregation .mat-list-base .mat-subheader{font-size:14px}.aggregation .mat-list-base .mat-list-item.mat-list-option ::ng-deep .mat-list-item-content{padding:unset}.aggregation .mat-list-base .mat-list-item.mat-list-option ::ng-deep .mat-list-item-content .mat-list-text{padding-left:5px}.aggregation .mat-list-base .mat-list-item.mat-list-option ::ng-deep .mat-list-item-content .mat-pseudo-checkbox{height:15px;width:15px;border-style:solid;border-width:2px;margin:0 5px 0 0}.aggregation .mat-list-base .mat-list-item.mat-list-option ::ng-deep .mat-list-item-content .mat-pseudo-checkbox.mat-pseudo-checkbox-checked{border-style:solid;border-width:2px}.aggregation .expand-filters button{text-align:left;border-radius:0;padding:0 20px;font-weight:400}.aggregation .clear-search{position:absolute;right:5px;top:-19px}"]
    }),
    __param(0, Inject(LOCALE_ID)),
    __metadata("design:paramtypes", [String, Injector])
], AggregationComponent);

const modules = [
    MatSlideToggleModule,
    MatChipsModule,
    MatMenuModule,
    MatDatepickerModule,
    MatToolbarModule,
    MatTabsModule,
    MatTableModule,
    MatSortModule,
    MatButtonModule,
    MatDialogModule,
    MatBadgeModule,
    MatButtonModule,
    MatCardModule,
    MatNativeDateModule,
    MatInputModule,
    MatFormFieldModule,
    MatIconModule,
    MatExpansionModule,
    MatListModule,
    MatSelectModule,
    MatProgressSpinnerModule,
    MatAutocompleteModule,
    MatGridListModule,
    MatDividerModule,
    MatProgressBarModule,
    MatTooltipModule,
    MatCheckboxModule,
    MatSidenavModule,
    MatRadioModule,
    // CDK
    CdkTableModule,
    LayoutModule,
    ScrollingModule,
];
let MaterialsModule = class MaterialsModule {
};
MaterialsModule = __decorate([
    NgModule({
        declarations: [],
        imports: [...modules],
        exports: [...modules],
    })
], MaterialsModule);

let AvatarPipe = class AvatarPipe {
    transform(value) {
        return `https://www.gravatar.com/avatar/${Md5.hashStr(value)}?d=mm&s=48`;
    }
};
AvatarPipe = __decorate([
    Pipe({ name: 'ppavatar' })
], AvatarPipe);
let AvatarHashedPipe = class AvatarHashedPipe {
    transform(value) {
        return `https://www.gravatar.com/avatar/${value}?d=mm&s=48`;
    }
};
AvatarHashedPipe = __decorate([
    Pipe({ name: 'ppavatarhashed' })
], AvatarHashedPipe);

let FileSizePipe = class FileSizePipe {
    transform(input) {
        if (input < 1024) {
            return input + ' Bytes';
        }
        if (input < 1024 * 1024) {
            return Math.ceil(input / 1024) + ' KB';
        }
        return Math.ceil(input / 1024 / 1024) + ' MB';
    }
};
FileSizePipe = __decorate([
    Pipe({ name: 'filesize' })
], FileSizePipe);

let LazyLoadDirective = class LazyLoadDirective {
    constructor(elementRef) {
        this.elementRef = elementRef;
        this.lazyload = new EventEmitter();
    }
    ngOnInit() {
        this.element = this.elementRef.nativeElement;
    }
    ngAfterViewInit() {
        // https://developer.mozilla.org/en-US/docs/Web/API/Intersection_Observer_API
        if ('IntersectionObserver' in window) {
            if (!this.intersectionObserver) {
                // Set up intersection observer
                this.intersectionObserver = new IntersectionObserver((entries) => this.onIntersection(entries), {});
            }
            if (this.intersectionObserver && this.element) {
                // Start observing an element
                this.intersectionObserver.observe(this.element);
            }
        }
        else {
            this.load();
        }
    }
    ngOnDestroy() {
        this.clear();
    }
    onIntersection(entries) {
        // Loop through the entries
        entries.forEach((entry) => {
            // https://developer.mozilla.org/en-US/docs/Web/API/IntersectionObserverEntry/isIntersecting
            if (entry.isIntersecting && entry.target === this.element) {
                this.load();
                // Stop observing an element
                this.intersectionObserver.unobserve(this.element);
                this.clear();
            }
        });
    }
    load() {
        this.lazyload.emit();
    }
    clear() {
        if (this.intersectionObserver) {
            this.intersectionObserver.disconnect();
        }
    }
};
__decorate([
    Output(),
    __metadata("design:type", EventEmitter)
], LazyLoadDirective.prototype, "lazyload", void 0);
LazyLoadDirective = __decorate([
    Directive({
        // tslint:disable-next-line: directive-selector
        selector: '[lazyload]',
    }),
    __metadata("design:paramtypes", [ElementRef])
], LazyLoadDirective);

let HighlightPipe = class HighlightPipe {
    transform(text, search) {
        search = (search !== null && search !== void 0 ? search : '');
        const pattern = search
            .replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g, '\\$&')
            .split(' ')
            .filter((t) => t.length > 0)
            .join('|');
        const regex = new RegExp(pattern, 'gi');
        return search ? text.replace(regex, (match) => `<b>${match}</b>`) : text;
    }
};
HighlightPipe = __decorate([
    Pipe({ name: 'highlight' })
], HighlightPipe);

let AggregationItemTranslatePipe = class AggregationItemTranslatePipe {
    constructor(translationService) {
        this.translationService = translationService;
    }
    transform(item, locale) {
        let displayName = item.getDisplayName(locale);
        if (displayName === '') {
            displayName = this.translationService.translate('AggregationItemTranslatePipe.noValue');
        }
        else if (displayName === 'false' || displayName === 'true') {
            displayName = this.translationService.translate(`AggregationItemTranslatePipe.${displayName}`);
        }
        return displayName;
    }
};
AggregationItemTranslatePipe.ɵprov = i0.ɵɵdefineInjectable({ factory: function AggregationItemTranslatePipe_Factory() { return new AggregationItemTranslatePipe(i0.ɵɵinject(TranslationService)); }, token: AggregationItemTranslatePipe, providedIn: "root" });
AggregationItemTranslatePipe = __decorate([
    Injectable({ providedIn: 'root' }),
    Pipe({ name: 'ppAggregationItemTranslate' }),
    __metadata("design:paramtypes", [TranslationService])
], AggregationItemTranslatePipe);

let UserInteractionDirective = class UserInteractionDirective {
    constructor() {
        // Should be more than the default device press timer (400)
        this.pressTime = 500;
        this.ppClick = new EventEmitter();
        this.ppDblclick = new EventEmitter();
        this.ppContextmenu = new EventEmitter();
        this.ppTouch = new EventEmitter();
        this.ppPress = new EventEmitter();
        this.eventQueue = [];
    }
    resetEventQueue() {
        this.eventQueue = [];
    }
    onMouseup() {
        this.resetEventQueue();
    }
    onClick(event) {
        this.eventQueue.push(event);
        // If there was a touchend event then it means this is the simulated click from a touch interaction
        if (this.eventQueue.some((e) => e.type === 'touchend')) {
            this.ppTouch.emit(event);
        }
        else {
            this.ppClick.emit(event);
        }
    }
    onDblClick(event) {
        this.eventQueue.push(event);
        this.ppDblclick.emit(event);
    }
    onTouchstart(event) {
        this.pressTimer = window.setTimeout(() => {
            // Simulate device press event
            this.pressTimer = null;
            this.eventQueue.push(new TouchEvent('press'));
            this.ppPress.emit(event);
        }, this.pressTime);
    }
    onTouchend(event) {
        this.eventQueue.push(event);
        if (this.pressTimer) {
            clearTimeout(this.pressTimer);
        }
        if (event.cancelable) {
            // Will stop the mousedown and click events from being executed automatically
            event.preventDefault();
        }
        // On touchend will simulate click on the target, except when it was a long press or the there has be any kind of panning
        if (!this.eventQueue.some((e) => e.type === 'press' || e.type === 'pan')) {
            event.target.click();
        }
        this.resetEventQueue();
    }
    onTouchcancel() {
        this.resetEventQueue();
        if (this.pressTimer) {
            clearTimeout(this.pressTimer);
        }
    }
    onPress(event) {
        this.eventQueue.push(event);
        if (this.pressTimer) {
            clearTimeout(this.pressTimer);
        }
        this.ppPress.emit(event);
    }
    onContextmenu(event) {
        this.eventQueue.push(event);
        // On touch interaction do not show the context menu
        if (this.eventQueue.some((e) => e.type === 'press')) {
            event.preventDefault();
            event.stopPropagation();
        }
        else {
            this.ppContextmenu.emit(event);
        }
    }
    onPan(event) {
        this.eventQueue.push(event);
        // This condition is needed to make sure that the pan gesture is not confused with a long press
        if (this.pressTimer) {
            clearTimeout(this.pressTimer);
        }
    }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], UserInteractionDirective.prototype, "pressTime", void 0);
__decorate([
    Output(),
    __metadata("design:type", EventEmitter)
], UserInteractionDirective.prototype, "ppClick", void 0);
__decorate([
    Output(),
    __metadata("design:type", EventEmitter)
], UserInteractionDirective.prototype, "ppDblclick", void 0);
__decorate([
    Output(),
    __metadata("design:type", EventEmitter)
], UserInteractionDirective.prototype, "ppContextmenu", void 0);
__decorate([
    Output(),
    __metadata("design:type", EventEmitter)
], UserInteractionDirective.prototype, "ppTouch", void 0);
__decorate([
    Output(),
    __metadata("design:type", EventEmitter)
], UserInteractionDirective.prototype, "ppPress", void 0);
__decorate([
    HostListener('mouseup'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], UserInteractionDirective.prototype, "onMouseup", null);
__decorate([
    HostListener('click', ['$event']),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [MouseEvent]),
    __metadata("design:returntype", void 0)
], UserInteractionDirective.prototype, "onClick", null);
__decorate([
    HostListener('dblclick', ['$event']),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [MouseEvent]),
    __metadata("design:returntype", void 0)
], UserInteractionDirective.prototype, "onDblClick", null);
__decorate([
    HostListener('touchstart', ['$event']),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [TouchEvent]),
    __metadata("design:returntype", void 0)
], UserInteractionDirective.prototype, "onTouchstart", null);
__decorate([
    HostListener('touchend', ['$event']),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [TouchEvent]),
    __metadata("design:returntype", void 0)
], UserInteractionDirective.prototype, "onTouchend", null);
__decorate([
    HostListener('touchcancel'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], UserInteractionDirective.prototype, "onTouchcancel", null);
__decorate([
    HostListener('press', ['$event']),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], UserInteractionDirective.prototype, "onPress", null);
__decorate([
    HostListener('contextmenu', ['$event']),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [MouseEvent]),
    __metadata("design:returntype", void 0)
], UserInteractionDirective.prototype, "onContextmenu", null);
__decorate([
    HostListener('pan', ['$event']),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [TouchEvent]),
    __metadata("design:returntype", void 0)
], UserInteractionDirective.prototype, "onPan", null);
UserInteractionDirective = __decorate([
    Directive({
        selector: '[ppUserInteraction]',
    })
], UserInteractionDirective);

var SharedModule_1;
let HammerConfig = class HammerConfig extends HammerGestureConfig {
    constructor() {
        super(...arguments);
        // iOS Safari & Android Chrome inconsistencies
        // https://github.com/hammerjs/hammer.js/issues/1166
        this.overrides = {
            press: { time: 400 },
            pan: {
                direction: 30,
                enable: true,
                pointers: 0,
            },
        };
        this.options = {
            touchAction: 'auto',
        };
    }
};
HammerConfig = __decorate([
    Injectable()
], HammerConfig);
let SharedModule = SharedModule_1 = class SharedModule {
    static forRoot() {
        return {
            ngModule: SharedModule_1,
            providers: [
                BasketService,
                SelectionService,
                MetaDataPreviewService,
                NotificationService,
                TranslationService,
                { provide: HAMMER_GESTURE_CONFIG, useClass: HammerConfig },
            ],
        };
    }
};
SharedModule = SharedModule_1 = __decorate([
    NgModule({
        declarations: [
            // COMPONENTS
            AggregationComponent,
            ContentItemThumbnailComponent,
            PanelComponent,
            ConfirmDialogComponent,
            // PIPES
            AvatarPipe,
            AvatarHashedPipe,
            FileSizePipe,
            TranslatePipe,
            LazyLoadDirective,
            HighlightPipe,
            AggregationItemTranslatePipe,
            UserInteractionDirective,
        ],
        imports: [CommonModule, MaterialsModule, ReactiveFormsModule, HammerModule],
        exports: [
            CommonModule,
            FormsModule,
            ReactiveFormsModule,
            MaterialsModule,
            // COMPONENTS
            AggregationComponent,
            ContentItemThumbnailComponent,
            PanelComponent,
            ConfirmDialogComponent,
            // PIPES
            AvatarPipe,
            AvatarHashedPipe,
            FileSizePipe,
            TranslatePipe,
            LazyLoadDirective,
            HighlightPipe,
            AggregationItemTranslatePipe,
            UserInteractionDirective,
        ],
    })
], SharedModule);

let BasketModule = class BasketModule {
};
BasketModule = __decorate([
    NgModule({
        declarations: [BasketComponent, BasketItemComponent],
        imports: [CommonModule, SharedModule],
        exports: [BasketComponent, BasketItemComponent],
    })
], BasketModule);

let BrowserToolbarModule = class BrowserToolbarModule {
};
BrowserToolbarModule = __decorate([
    NgModule({
        declarations: [BrowserToolbarComponent],
        imports: [CommonModule, SharedModule],
        exports: [BrowserToolbarComponent],
    })
], BrowserToolbarModule);

let ContentBrowserComponent = class ContentBrowserComponent extends BaseBrowserComponent {
    constructor(basketService, facade, contentDownloadDialogService, injector) {
        super('ContentBrowserComponent', injector, facade);
        this.basketService = basketService;
        this.facade = facade;
        this.contentDownloadDialogService = contentDownloadDialogService;
        this.channel = null;
    }
    init() {
        return __awaiter(this, void 0, void 0, function* () { });
    }
    initSort() {
        this.setSortFields();
        this.views = [
            {
                name: this.translationService.translate('ContentBrowser.ViewTypeList'),
                icon: 'list',
                type: 'list',
                thumbnailSize: ThumbnailSize.Small,
            },
            {
                name: this.translationService.translate('ContentBrowser.ThumbnailSmall'),
                icon: 'collections',
                type: 'thumbnailSmall',
                thumbnailSize: ThumbnailSize.Small,
            },
            {
                name: this.translationService.translate('ContentBrowser.ThumbnailMedium'),
                icon: 'collections',
                type: 'thumbnailMedium',
                thumbnailSize: ThumbnailSize.Medium,
            },
            {
                name: this.translationService.translate('ContentBrowser.ThumbnailLarge'),
                icon: 'collections',
                type: 'thumbnailLarge',
                thumbnailSize: ThumbnailSize.Large,
            },
        ];
        this.activeView = this.views[2];
    }
    setSortFields() {
        var _a, _b, _c, _d;
        if ((_b = (_a = this.channel) === null || _a === void 0 ? void 0 : _a.sortFields) === null || _b === void 0 ? void 0 : _b.length) {
            this.sortingTypes = this.channel.sortFields.map((s) => ({
                name: this.translationService.translate(s.names),
                field: s.path,
            }));
            let sortField;
            let sortDirection;
            if ((_d = (_c = this.channel) === null || _c === void 0 ? void 0 : _c.sort) === null || _d === void 0 ? void 0 : _d.length) {
                sortField = this.sortingTypes.find((f) => { var _a; return f.field === ((_a = this.channel) === null || _a === void 0 ? void 0 : _a.sort[0].field); });
                sortDirection = this.channel.sort[0].direction;
            }
            this.isAscending = sortDirection ? sortDirection === SortDirection.Asc : false;
            this.setSort((sortField !== null && sortField !== void 0 ? sortField : this.sortingTypes[0]), this.isAscending, false);
        }
    }
    onScroll() {
        var _a;
        (_a = this.loadData()) === null || _a === void 0 ? void 0 : _a.subscribe();
    }
    ngOnChanges(changes) {
        var _a;
        if (changes['channel'] && changes['channel'].currentValue) {
            this.setSortFields();
            this.facade.searchRequestState.channelId = this.channel.id;
            // Trigger load
            if ((_a = this.channel) === null || _a === void 0 ? void 0 : _a.aggregations) {
                this.facade.patchRequestState({ aggregators: this.channel.aggregations });
            }
            else {
                this.facade.patchRequestState({});
            }
        }
    }
    previewSelectedItem() {
        const content = this.items.find((i) => i === this.selectedItems[0]);
        if (content) {
            this.previewItem(content);
        }
    }
    trackByThumbnailSize(index, thumbnailSize) {
        return thumbnailSize;
    }
    // OPEN SHARE CONTENT DIALOG
    openShareContentDialog() {
        const dialogRef = this.dialog.open(ShareContentDialogComponent, {
            data: [...this.selectedItems],
            autoFocus: false,
            maxHeight: '95vh',
            maxWidth: '99vw',
            width: '840px',
            panelClass: ['pp-dialog'],
        });
        const instance = dialogRef.componentInstance;
        instance.title = 'ShareContentDialog.CreateShare';
    }
    // OPEN DOWNLOAD CONTENT DIALOG
    openDownloadContentDialog() {
        this.contentDownloadDialogService.showDialog({
            mode: 'multi',
            contents: [...this.selectedItems],
        });
    }
    handleBasketChanges(basketSelection) {
        const selectedItemsIds = this.selectedItems.map((i) => i.id);
        if (selectedItemsIds.includes(basketSelection.itemId)) {
            if (basketSelection.addItem) {
                this.basketService.addItems(selectedItemsIds);
            }
            else {
                this.basketService.removeItems(selectedItemsIds);
            }
        }
        else {
            if (basketSelection.addItem) {
                this.basketService.addItem(basketSelection.itemId);
            }
            else {
                this.basketService.removeItem(basketSelection.itemId);
            }
        }
    }
    // CHECK IF ELEMENT CONTAINS CLASS NAME
    checkContains(elementClassName) {
        const containClasses = ['browser__items'];
        return containClasses.some((iClass) => elementClassName.includes(iClass));
    }
    // CLEAR SELECTION
    cancel() {
        this.selectionService.clear();
    }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], ContentBrowserComponent.prototype, "channel", void 0);
ContentBrowserComponent = __decorate([
    Component({
        selector: 'pp-content-browser',
        template: "<div class=\"browser\">\n  <div class=\"browser__header\">\n    <pp-browser-toolbar [browser]=\"self\" entityName=\"{{ 'ContentBrowser.ContentsLowercase' | pptranslate }}\">\n      <ng-container browser-buttons>\n        <button\n          mat-icon-button\n          *ngIf=\"selectedItems.length === 1 && configActions['preview']\"\n          [matTooltip]=\"'ContentBrowser.Preview' | pptranslate\"\n        >\n          <mat-icon aria-label=\"Preview item\" (click)=\"previewSelectedItem()\">open_in_new</mat-icon>\n        </button>\n        <button\n          mat-icon-button\n          *ngIf=\"selectedItems.length > 0 && configActions['download']\"\n          (click)=\"openDownloadContentDialog()\"\n          [matTooltip]=\"'ContentBrowser.Download' | pptranslate\"\n        >\n          <mat-icon aria-label=\"Download selected items\">get_app</mat-icon>\n        </button>\n        <button\n          mat-icon-button\n          (click)=\"openShareContentDialog()\"\n          [matTooltip]=\"'ContentBrowser.ShareImages' | pptranslate\"\n          *ngIf=\"selectedItems.length >= 1 && configActions['share']\"\n        >\n          <mat-icon aria-label=\"Share selected items\">share</mat-icon>\n        </button>\n        <ng-content select=\"[content-buttons]\"></ng-content>\n      </ng-container>\n    </pp-browser-toolbar>\n    <mat-progress-bar mode=\"indeterminate\" *ngIf=\"isLoading\"></mat-progress-bar>\n  </div>\n\n  <div\n    *ngIf=\"(totalResults$ | async) !== 0\"\n    class=\"browser__items cp-scrollbar\"\n    [class.browser__items--list]=\"activeView.type === 'list'\"\n    [class.browser__items--large]=\"activeView.type === 'thumbnailLarge'\"\n    [class.browser__items--medium]=\"activeView.type === 'thumbnailMedium'\"\n    [class.browser__items--mobile]=\"deviceBreakpoint\"\n    cdkScrollable\n  >\n    <div\n      class=\"browser__item-container\"\n      [class.browser__item-container--mobile]=\"deviceBreakpoint\"\n      *ngFor=\"let itemModel of items; let i = index; trackBy: trackByItem\"\n    >\n      <pp-content-browser-item\n        class=\"browser__item\"\n        [browser]=\"self\"\n        [itemModel]=\"itemModel\"\n        [thumbnailSize]=\"activeThumbnailSize\"\n        [isListView]=\"activeView.type === 'list'\"\n        (previewItemChange)=\"previewItem($event)\"\n        ppUserInteraction\n        (ppPress)=\"itemPressed($event, i)\"\n        (ppTouch)=\"selectedItems.length ? itemClicked($event, i) : previewItem(itemModel)\"\n        (ppClick)=\"itemClicked($event, i)\"\n        (ppDblclick)=\"previewItem(itemModel)\"\n        (changeInBasket)=\"handleBasketChanges($event)\"\n      >\n      </pp-content-browser-item>\n    </div>\n  </div>\n\n  <div *ngIf=\"(totalResults$ | async) === 0\" class=\"browser__empty-result mat-typography\">\n    {{ 'ContentBrowser.NoItems' | pptranslate }}\n    <strong> {{ this.facade.searchRequestState.searchString }}</strong>\n    <br />\n    {{ 'ContentBrowser.NoItemsHist' | pptranslate }}\n    <ul>\n      <li>{{ 'ContentBrowser.NoItemsActionChannel' | pptranslate }}</li>\n      <li>{{ 'ContentBrowser.NoItemsActionSearchString' | pptranslate }}</li>\n    </ul>\n  </div>\n</div>\n",
        styles: [".browser{height:100%;overflow:hidden;position:relative}.browser__header mat-toolbar{height:57px}.browser__header mat-progress-bar{position:absolute;top:57px;z-index:10}.browser__divider{margin:0 8px}.browser__spacer{flex-grow:1}.browser__items-count{align-self:center}.browser__items{overflow-y:scroll;overflow-x:hidden;height:calc(100% - 107px);padding:25px;display:grid;grid-template-columns:repeat(auto-fill,minmax(120px,1fr));grid-template-rows:repeat(auto-fill,minmax(120px,1fr));grid-gap:25px}.browser__items .browser__item-container{height:120px}.browser__items--list{display:flex;flex-direction:column}.browser__items--list .browser__item-container{width:70%;margin:0 auto;border-bottom-style:solid;border-bottom-width:1px}.browser__items--list .browser__item-container--mobile{width:unset;margin:unset}.browser__items--large{grid-template-columns:repeat(auto-fill,minmax(280px,1fr));grid-template-rows:repeat(auto-fill,minmax(280px,1fr));grid-gap:25px}.browser__items--large .browser__item-container{height:280px}.browser__items--medium{grid-template-columns:repeat(auto-fill,minmax(200px,1fr));grid-template-rows:repeat(auto-fill,minmax(180px,1fr));grid-gap:45px 25px}.browser__items--medium .browser__item-container{height:200px}.browser__items--mobile{padding:5px}.browser__item-container{position:relative}.browser__empty-result{margin:20px}", "", "@media (max-width:535px) and (min-width:340px){.mat-button .desc{display:none}}"]
    }),
    __metadata("design:paramtypes", [BasketService,
        ContentSearchFacade,
        ContentDownloadDialogService,
        Injector])
], ContentBrowserComponent);

let ContentBrowserModule = class ContentBrowserModule {
};
ContentBrowserModule = __decorate([
    NgModule({
        declarations: [ContentBrowserComponent, ContentBrowserItemComponent, ContentImagePreviewComponent],
        imports: [CommonModule, SharedModule, BrowserToolbarModule],
        exports: [ContentBrowserComponent, ContentBrowserItemComponent, ContentImagePreviewComponent],
    })
], ContentBrowserModule);

let LayerFieldsComponent = class LayerFieldsComponent {
    constructor(dialog) {
        this.dialog = dialog;
        this.noname = false;
        this.relationClick = new EventEmitter();
    }
    showItem(item, event) {
        const dialogRef = this.dialog.open(FieldDetailInfoDialogComponent, {
            width: '450px',
        });
        dialogRef.componentInstance.title = item.value;
        dialogRef.componentInstance.message = item.tooltip;
    }
    relationClickHandler(relationInfo) {
        this.relationClick.emit(relationInfo);
    }
};
__decorate([
    Input(),
    __metadata("design:type", LayerField)
], LayerFieldsComponent.prototype, "field", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], LayerFieldsComponent.prototype, "noname", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], LayerFieldsComponent.prototype, "relationClick", void 0);
LayerFieldsComponent = __decorate([
    Component({
        selector: 'pp-layer-fields',
        template: "<div class=\"raw\">\n  <div class=\"label\" *ngIf=\"!noname\" #name [matTooltip]=\"field.name\">{{ field.name }}</div>\n\n  <div class=\"value\" *ngIf=\"field.value && !field.markdown\">{{ field.value }}</div>\n  <pp-read-more class=\"value\" *ngIf=\"field.value && field.markdown\"\n    ><div ppMarkdown [markdownText]=\"field.value\"></div\n  ></pp-read-more>\n\n  <div class=\"value\" *ngIf=\"field.tagboxFields?.length\">\n    <span *ngFor=\"let tagboxField of field.tagboxFields; let last = last; index as i\">\n      <a class=\"link\" href=\"javascript:\" (click)=\"showItem(tagboxField, $event)\"> {{ tagboxField.value }}</a>\n      <span *ngIf=\"!last\">, </span>\n    </span>\n  </div>\n\n  <div class=\"value\" *ngIf=\"field.fieldsetFields?.length\">\n    <div *ngFor=\"let ref of field.fieldsetFields\" class=\"field\">\n      <ng-container *ngIf=\"ref.name === field.name; else noPanel\">\n        <mat-expansion-panel (opened)=\"ref.isOpened = true\" (closed)=\"ref.isOpened = false\">\n          <mat-expansion-panel-header>\n            <mat-panel-description>\n              {{ ref.isOpened ? ref.name : ref.title }}\n            </mat-panel-description>\n          </mat-expansion-panel-header>\n          <ng-template matExpansionPanelContent>\n            <pp-layer-fields [field]=\"ref\" [noname]=\"true\"></pp-layer-fields>\n          </ng-template>\n        </mat-expansion-panel>\n      </ng-container>\n\n      <ng-template #noPanel>\n        <pp-layer-fields [field]=\"ref\"></pp-layer-fields>\n      </ng-template>\n    </div>\n  </div>\n\n  <div class=\"value\" *ngIf=\"field.relationFields?.length\">\n    <ng-container *ngFor=\"let relationField of field.relationFields\">\n      <div class=\"relation field\" *ngIf=\"relationField.info | async as info\" (click)=\"relationClickHandler(info)\">\n        <div class=\"image-wrap\"><img [src]=\"info.fileUrl\" /></div>\n        <div class=\"relationFields\">\n          <div class=\"field relation-title\" [innerHTML]=\"info.name\"></div>\n          <div class=\"field relation-description\" [innerHTML]=\"info.list\"></div>\n        </div>\n      </div>\n    </ng-container>\n  </div>\n</div>\n",
        styles: [".field{padding-bottom:15px}.raw,.relation{display:flex;padding-bottom:6px}.label{flex:1;width:0;white-space:nowrap}.label,.value{text-overflow:ellipsis;overflow:hidden}.value{flex:3}.value span a.link{color:inherit}.relationFields{width:100%;padding-left:15px}.relation{cursor:pointer;border:1px solid #d3d3d3;padding:4px}.relation-title{font-weight:500}.image-wrap{width:150px}"]
    }),
    __metadata("design:paramtypes", [MatDialog])
], LayerFieldsComponent);

let MarkdownDirective = class MarkdownDirective {
    constructor(elementRef, renderer) {
        this.elementRef = elementRef;
        this.renderer = renderer;
    }
    ngOnInit() {
        if (this.markdownText && this.markdownText.length > 0) {
            const md = new markdown();
            this.overrideLinkOpenRule(md.renderer.rules);
            const markdownHtml = md.render(this.markdownText);
            this.renderer.setProperty(this.elementRef.nativeElement, 'innerHTML', markdownHtml);
        }
    }
    overrideLinkOpenRule(rules) {
        const defaultRender = rules.link_open ||
            function (tokens, idx, options, env, self) {
                return self.renderToken(tokens, idx, options);
            };
        rules.link_open = function (tokens, idx, options, env, self) {
            const aIndex = tokens[idx].attrIndex('target');
            if (aIndex < 0) {
                tokens[idx].attrPush(['target', '_blank']);
            }
            else {
                tokens[idx].attrs[aIndex][1] = '_blank';
            }
            return defaultRender(tokens, idx, options, env, self);
        };
    }
};
__decorate([
    Input(),
    __metadata("design:type", String)
], MarkdownDirective.prototype, "markdownText", void 0);
MarkdownDirective = __decorate([
    Directive({
        selector: '[ppMarkdown]',
    }),
    __metadata("design:paramtypes", [ElementRef, Renderer2])
], MarkdownDirective);

let ReadMoreComponent = class ReadMoreComponent {
    constructor(elementRef) {
        this.elementRef = elementRef;
        this.maxHeight = 100;
        this.isCollapsed$ = new BehaviorSubject(false);
        this.isCollapsable$ = new BehaviorSubject(false);
    }
    ngAfterViewInit() {
        setTimeout(() => this.update());
    }
    update() {
        const currentHeight = this.elementRef.nativeElement.getElementsByTagName('div')[0].offsetHeight;
        if (currentHeight > this.maxHeight) {
            this.isCollapsed$.next(true);
            this.isCollapsable$.next(true);
        }
    }
    toggle() {
        this.isCollapsed$.next(!this.isCollapsed$.value);
    }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], ReadMoreComponent.prototype, "maxHeight", void 0);
ReadMoreComponent = __decorate([
    Component({
        selector: 'pp-read-more',
        template: "<div [class.collapsed]=\"isCollapsed$ | async\" [style.height]=\"(isCollapsed$ | async) ? maxHeight + 'px' : 'auto'\">\n  <ng-content></ng-content>\n</div>\n<a *ngIf=\"isCollapsable$ | async\" class=\"collapse\" (click)=\"toggle()\">\n  <span *ngIf=\"isCollapsed$ | async\">{{ 'ReadMore.More' | pptranslate }}</span>\n  <span *ngIf=\"(isCollapsed$ | async) === false\">{{ 'ReadMore.Less' | pptranslate }}</span>\n</a>\n",
        changeDetection: ChangeDetectionStrategy.OnPush,
        styles: ["div.collapsed{overflow:hidden}a{cursor:pointer}.collapse{float:right}"]
    }),
    __metadata("design:paramtypes", [ElementRef])
], ReadMoreComponent);

let LayerPanelsModule = class LayerPanelsModule {
};
LayerPanelsModule = __decorate([
    NgModule({
        declarations: [
            LayerPanelsComponent,
            FieldDetailInfoDialogComponent,
            LayerFieldsComponent,
            MarkdownDirective,
            ReadMoreComponent,
        ],
        imports: [CommonModule, SharedModule],
        exports: [LayerPanelsComponent, FieldDetailInfoDialogComponent, MarkdownDirective, ReadMoreComponent],
        entryComponents: [FieldDetailInfoDialogComponent],
        providers: [TranslatePipe],
    })
], LayerPanelsModule);

let ContentDetailsDialogComponent = class ContentDetailsDialogComponent extends DialogBaseComponent {
    constructor(contentService, data, dialogRef, injector, schemaService, contentDownloadDialogService, contentFacade) {
        var _a;
        super(dialogRef, injector);
        this.contentService = contentService;
        this.data = data;
        this.dialogRef = dialogRef;
        this.injector = injector;
        this.schemaService = schemaService;
        this.contentDownloadDialogService = contentDownloadDialogService;
        this.contentFacade = contentFacade;
        this.playing = false;
        const shareDetail = this.data.shareDetail;
        if ((_a = shareDetail) === null || _a === void 0 ? void 0 : _a.schemas) {
            this.schemas = shareDetail.schemas;
        }
        const shareContent = this.data.shareContent;
        if (shareContent) {
            this.initContent(shareContent);
            return;
        }
        this.loadContent(data.id);
    }
    loadSchemas() {
        this.schemaService.getMany([this.content.contentSchemaId]).subscribe((schemas) => {
            this.schemas = schemas;
        });
    }
    tabChange(event) {
        // Load schemas if we change to metadata tab and selected content schema does not exist
        if (event.index === 1 &&
            (!this.schemas || !this.schemas.find((schema) => schema.id === this.content.contentSchemaId))) {
            this.loadSchemas();
        }
    }
    downloadItem() {
        this.contentDownloadDialogService.showDialog({
            mode: 'single',
            contents: [this.content],
        });
    }
    next() {
        this.setContent(this.data.next());
    }
    previous() {
        this.setContent(this.data.previous());
    }
    setContentId(id) {
        this.setContent(of(id));
    }
    setContent(detail) {
        this.content = null;
        this.playing = false;
        // setTimeout required, otherwise the UI will not correctly refresh on prev/next
        setTimeout(() => {
            this.sub = detail.subscribe((content) => {
                if (typeof content === 'string') {
                    this.loadContent(content);
                }
                else {
                    this.initContent(content);
                }
            });
        });
    }
    loadContent(id) {
        this.contentId = id;
        this.sub = this.contentService
            .get(this.contentId, [
            ContentResolveBehavior.Content,
            ContentResolveBehavior.Metadata,
            ContentResolveBehavior.InnerDisplayValueName,
            ContentResolveBehavior.InnerDisplayValueList,
            ContentResolveBehavior.InnerDisplayValueThumbnail,
            ContentResolveBehavior.OuterDisplayValueName,
            ContentResolveBehavior.OuterDisplayValueDetail,
            ContentResolveBehavior.OuterDisplayValueThumbnail,
            ContentResolveBehavior.Outputs,
        ])
            .subscribe((content) => {
            if (content) {
                this.initContent(content);
            }
        });
    }
    initContent(content) {
        var _a;
        if (content.isVirtual()) {
            this.virtualItemHtml = this.contentFacade.getVirtualItemHtml((_a = content.displayValues) === null || _a === void 0 ? void 0 : _a['thumbnail']);
        }
        this.content = content;
    }
};
ContentDetailsDialogComponent = __decorate([
    Component({
        selector: 'pp-content-details-dialog',
        template: "<div class=\"dialog-container\" #contentContainer>\n  <h3 class=\"header\">\n    <span *ngIf=\"content && content.displayValues\">{{ content.displayValues['name'] }}</span>\n    <span *ngIf=\"contentId && !(content && content.displayValues)\">{{ contentId }}</span>\n    <mat-icon (click)=\"closeDialog()\">close</mat-icon>\n  </h3>\n  <div class=\"dialog-content\" *ngIf=\"content\">\n    <mat-dialog-content>\n      <div class=\"action-buttons\">\n        <div>\n          <button class=\"download\" mat-stroked-button aria-label=\"Download\" (click)=\"downloadItem()\">\n            <mat-icon>get_app</mat-icon>\n            {{ 'ContentDetailsDialog.Download' | pptranslate }}\n          </button>\n        </div>\n        <div *ngIf=\"data.next || data.previous\">\n          <mat-divider [vertical]=\"true\"></mat-divider>\n        </div>\n        <div *ngIf=\"data.previous\">\n          <button\n            mat-stroked-button\n            aria-label=\"previous\"\n            class=\"navigation\"\n            [disabled]=\"!data.hasPrevious()\"\n            (click)=\"previous()\"\n          >\n            <mat-icon>keyboard_arrow_left</mat-icon>\n          </button>\n        </div>\n        <div *ngIf=\"data.next\">\n          <button mat-stroked-button aria-label=\"next\" class=\"navigation\" [disabled]=\"!data.hasNext()\" (click)=\"next()\">\n            <mat-icon>keyboard_arrow_right</mat-icon>\n          </button>\n        </div>\n      </div>\n      <mat-tab-group (selectedTabChange)=\"tabChange($event)\">\n        <mat-tab label=\"{{ 'ContentDetailsDialog.Overview' | pptranslate }}\">\n          <ng-template matTabContent>\n            <div class=\"overview-wrap cp-scrollbar\" *ngIf=\"content\">\n              <div class=\"content-preview\">\n                <ng-container *ngIf=\"content.contentType !== 'Virtual'; else virtualItem\">\n                  <pp-content-image-preview\n                    [content]=\"content\"\n                    [shareDetail]=\"data.shareDetail\"\n                    [width]=\"700\"\n                    [height]=\"600\"\n                    (playChange)=\"playing = $event\"\n                  >\n                  </pp-content-image-preview>\n                </ng-container>\n                <ng-template #virtualItem>\n                  <div *ngIf=\"virtualItemHtml\" [innerHTML]=\"virtualItemHtml\"></div>\n                </ng-template>\n              </div>\n\n              <div class=\"content-info\" *ngIf=\"!playing\">\n                <ul>\n                  <li *ngIf=\"content?.displayValues as displayValues\" [innerHTML]=\"displayValues['detail']\"></li>\n                </ul>\n              </div>\n            </div>\n          </ng-template>\n        </mat-tab>\n        <mat-tab label=\"{{ 'ContentDetailsDialog.Metadata' | pptranslate }}\" *ngIf=\"data.showMetadata\">\n          <ng-template matTabContent>\n            <div class=\"metadata-wrap\" *ngIf=\"content\">\n              <pp-layer-panels\n                *ngIf=\"schemas\"\n                [content]=\"content\"\n                [schemas]=\"schemas\"\n                [showContentSchema]=\"true\"\n                [showReferenced]=\"data.showReferenced\"\n                (relationClick)=\"setContentId($event.contentId)\"\n              ></pp-layer-panels>\n            </div>\n          </ng-template>\n        </mat-tab>\n      </mat-tab-group>\n    </mat-dialog-content>\n  </div>\n</div>\n",
        providers: [TranslatePipe],
        styles: [".dialog-container h3{display:flex;margin:0 -24px;padding:0 24px 24px;border-bottom-style:solid;border-bottom-width:1px}.dialog-container h3 span{flex:1;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.dialog-container h3 mat-icon{cursor:pointer;float:right}.dialog-container mat-dialog-content{height:100%;border-bottom-style:solid;border-bottom-width:1px}.dialog-container mat-dialog-content .mat-tab-group{height:100%}.dialog-container .loader-container{position:absolute;display:none;width:calc(100% + 48px);top:46px;left:-24px;height:100%;z-index:20}.dialog-container .loader-container.active{display:table}.dialog-container .loader-container .loader{display:table-cell;vertical-align:middle;text-align:center}.dialog-container .loader-container .loader mat-spinner{margin:0 auto}.dialog-container mat-dialog-actions{justify-content:flex-end;position:relative;z-index:25}", ".dialog-container{height:100%}.dialog-container .dialog-content{overflow:hidden;margin:0 -24px;height:calc(100% - 25px)}.dialog-container .dialog-content mat-dialog-content{position:relative}.dialog-container .dialog-content mat-dialog-content .action-buttons{position:absolute;right:20px;top:0;z-index:100;padding:10px 30px 10px 10px;display:flex;flex-direction:row;justify-content:flex-end}@media (max-width:725px){.dialog-container .dialog-content mat-dialog-content .action-buttons{position:unset;right:unset;top:unset;z-index:unset;padding-right:10px}}.dialog-container .dialog-content mat-dialog-content .action-buttons .download{border-width:2px;border-radius:2px}.dialog-container .dialog-content mat-dialog-content .action-buttons div{padding-left:8px}.dialog-container .dialog-content mat-dialog-content .action-buttons div .navigation{min-width:40px;padding:0 8px}.dialog-container .dialog-content mat-dialog-content .action-buttons div mat-divider{height:100%;margin:0 8px}.dialog-container .dialog-content mat-dialog-content .overview-wrap{display:flex;flex-direction:row;padding:2px;overflow:hidden;height:99%;overflow:auto}@media (max-width:600px){.dialog-container .dialog-content mat-dialog-content .overview-wrap{flex-direction:column}}.dialog-container .dialog-content mat-dialog-content .mat-tab-header{height:56px}.dialog-container .dialog-content mat-dialog-content .content-preview{flex:60;padding:24px}@media (max-width:535px){.dialog-container .dialog-content mat-dialog-content .content-preview{width:100%;padding:0}}.dialog-container .dialog-content mat-dialog-content .content-info{float:left;flex:30;max-width:30%}@media (max-width:535px){.dialog-container .dialog-content mat-dialog-content .content-info{width:100%;max-width:100%}}.dialog-container .dialog-content mat-dialog-content .content-info ul{margin:24px;list-style:none;padding:0}.dialog-container .dialog-content mat-dialog-content .content-info ul li{text-overflow:ellipsis;overflow:hidden}.dialog-container .dialog-content mat-dialog-content .content-info ul span{font-weight:500;padding:0 0 0 5px}.dialog-container .dialog-content mat-dialog-content .image-container,.dialog-container .dialog-content mat-dialog-content img{width:100%}.mat-dialog-content{max-height:100vh}"]
    }),
    __param(1, Inject(MAT_DIALOG_DATA)),
    __metadata("design:paramtypes", [ContentService, Object, MatDialogRef,
        Injector,
        SchemaService,
        ContentDownloadDialogService,
        ContentFacade])
], ContentDetailsDialogComponent);

let ContentDetailsDialogModule = class ContentDetailsDialogModule {
};
ContentDetailsDialogModule = __decorate([
    NgModule({
        declarations: [ContentDetailsDialogComponent],
        imports: [CommonModule, ContentBrowserModule, LayerPanelsModule, SharedModule],
        exports: [ContentDetailsDialogComponent],
        entryComponents: [ContentDetailsDialogComponent],
    })
], ContentDetailsDialogModule);

let ChannelPickerModule = class ChannelPickerModule {
};
ChannelPickerModule = __decorate([
    NgModule({
        declarations: [ChannelPickerComponent],
        imports: [CommonModule, SharedModule],
        exports: [ChannelPickerComponent],
    })
], ChannelPickerModule);

let DatePickerModule = class DatePickerModule {
};
DatePickerModule = __decorate([
    NgModule({
        declarations: [DatePickerComponent],
        imports: [CommonModule, SharedModule],
        exports: [DatePickerComponent],
    })
], DatePickerModule);

const ɵ0$1 = { showDelay: 250, hideDelay: 0, touchGestures: 'off' };
let ListBrowserModule = class ListBrowserModule {
};
ListBrowserModule = __decorate([
    NgModule({
        declarations: [ListBrowserComponent],
        imports: [CommonModule, SharedModule, BrowserToolbarModule],
        exports: [ListBrowserComponent],
        providers: [
            { provide: MAT_TOOLTIP_DEFAULT_OPTIONS, useValue: ɵ0$1 },
        ],
    })
], ListBrowserModule);

let AggregationListModule = class AggregationListModule {
};
AggregationListModule = __decorate([
    NgModule({
        declarations: [AggregationListComponent],
        imports: [CommonModule, SharedModule],
        exports: [AggregationListComponent],
    })
], AggregationListModule);

let ListModule = class ListModule {
};
ListModule = __decorate([
    NgModule({
        declarations: [ListComponent],
        imports: [CommonModule, SharedModule, ListBrowserModule, AggregationListModule],
        exports: [ListComponent],
    })
], ListModule);

let ListItemsModule = class ListItemsModule {
};
ListItemsModule = __decorate([
    NgModule({
        declarations: [],
        imports: [CommonModule, ListModule, ListBrowserModule, AggregationListModule],
        exports: [ListModule],
    })
], ListItemsModule);

let NotificationModule = class NotificationModule {
};
NotificationModule = __decorate([
    NgModule({
        declarations: [NotificationComponent],
        imports: [CommonModule, SharedModule],
        exports: [NotificationComponent],
    })
], NotificationModule);

let SearchBoxModule = class SearchBoxModule {
};
SearchBoxModule = __decorate([
    NgModule({
        declarations: [SearchBoxComponent],
        imports: [CommonModule, SharedModule],
        exports: [SearchBoxComponent],
    })
], SearchBoxModule);

let SchemaBrowserModule = class SchemaBrowserModule {
};
SchemaBrowserModule = __decorate([
    NgModule({
        declarations: [SchemaBrowserComponent, SchemaBrowserItemComponent],
        imports: [CommonModule, SharedModule, BrowserToolbarModule],
        exports: [SchemaBrowserComponent, SchemaBrowserItemComponent],
    })
], SchemaBrowserModule);

let ShareBrowserModule = class ShareBrowserModule {
};
ShareBrowserModule = __decorate([
    NgModule({
        declarations: [ShareBrowserComponent, ShareBrowserItemComponent],
        imports: [CommonModule, SharedModule, BrowserToolbarModule],
        exports: [ShareBrowserComponent, ShareBrowserItemComponent],
    })
], ShareBrowserModule);

let ShareContentDialogItemComponent = class ShareContentDialogItemComponent extends BaseComponent {
    constructor(injector) {
        super(injector);
        this.injector = injector;
        this.removeDialogContent = new EventEmitter();
    }
    remove() {
        this.removeDialogContent.emit(this.item);
    }
};
__decorate([
    Input(),
    __metadata("design:type", Content)
], ShareContentDialogItemComponent.prototype, "item", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], ShareContentDialogItemComponent.prototype, "removeDialogContent", void 0);
ShareContentDialogItemComponent = __decorate([
    Component({
        selector: 'pp-share-content-dialog-item',
        template: "<div class=\"share-content-item\">\n  <pp-content-item-thumbnail [item]=\"item\"></pp-content-item-thumbnail>\n  <button\n    color=\"accent\"\n    class=\"share-content-item__remove-button\"\n    [matTooltip]=\"'ShareContentDialog.RemoveItem' | pptranslate\"\n    (click)=\"remove(); $event.preventDefault()\"\n    mat-mini-fab\n  >\n    <mat-icon aria-label=\"'ShareContentDialog.Clear' | pptranslate\">remove</mat-icon>\n  </button>\n</div>\n",
        styles: [".share-content-item{cursor:pointer;width:100%;transition:.2s}.share-content-item:hover .share-content-item__remove-button{display:initial}.share-content-item__remove-button{display:none;position:absolute;top:0;bottom:0;left:0;right:0;margin:auto}", "@media (max-width:535px){ul .label-content{width:30%;line-height:24px}ul .input-content{width:70%}.selected-items-content ul li{width:30%}}@media (max-width:535px) and (min-width:300px){ul .label-content{width:30%;line-height:24px}ul .input-content{width:70%}.selected-items-content ul li{width:30%;margin:0 5% 10px 0}.share-content-item{height:95px}}"]
    }),
    __metadata("design:paramtypes", [Injector])
], ShareContentDialogItemComponent);

let ShareContentRecipientsInputComponent = class ShareContentRecipientsInputComponent extends BaseComponent {
    constructor(shareService, injector) {
        super(injector);
        this.shareService = shareService;
        this.injector = injector;
        this.recipientsAutocomplete = [];
        this.isLoading = false;
        this.separatorKeysCodes = [ENTER, COMMA];
        // REGULAR EXPRESSION FOR EMAIL VALIDATION
        this.reg = /^(([^<>()\[\]\.,;:\s@\"]+(\.[^<>()\[\]\.,;:\s@\"]+)*)|(\".+\"))@(([^<>()[\]\.,;:\s@\"]+\.)+[^<>()[\]\.,;:\s@\"]{2,})$/i;
    }
    ngOnInit() {
        this.recipients = this.parentForm.controls['recipients'];
        this.recipientSearch = this.parentForm.controls['recipientSearch'];
        this.recipientSearch.setValidators([Validators.pattern(this.reg)]);
        this.sub = this.recipientSearch.valueChanges
            .pipe(debounceTime(300), tap(() => (this.isLoading = true)), switchMap((value) => this.shareService
            .aggregate(new ShareAggregationRequest({
            aggregators: [
                new NestedAggregator({
                    path: 'data.recipientEmailAddresses',
                    name: 'recipientsAutocomplete-wrap',
                    aggregators: [
                        new TermsAggregator({
                            name: 'recipientsAutocomplete',
                            field: 'data.recipientEmailAddresses.emailAddress',
                            searchString: value,
                            searchFields: ['data.recipientEmailAddresses.*'],
                            size: 20,
                        }),
                    ],
                }),
            ],
        }))
            .pipe(finalize(() => (this.isLoading = false)))))
            .subscribe((users) => {
            this.recipientsAutocomplete =
                users.aggregationResults[0].aggregationResultItems[0].aggregationResults[0].aggregationResultItems.map((i) => i.name);
        });
    }
    optionSelected(event) {
        this.recipientsAutocomplete = [];
        this.recipientSearch.setValue(event.option.value);
        this.updateRecipients();
    }
    updateRecipients() {
        // Exit if suggestions open
        if (this.recipientsAutocomplete.length) {
            return;
        }
        // Add our email
        if (!this.recipientSearch.errors) {
            const value = this.recipientSearch.value;
            if (!value.length || this.recipients.controls.findIndex((control) => control.value === value) !== -1) {
                return;
            }
            this.recipients.push(new FormControl(value.trim(), [Validators.email]));
            this.recipients.markAsTouched();
            /**
             * this.matChipListInput.nativeElement.value = ''
             * Used instead of :
             * this.recipientSearch.setValue('');
             * Because the updating of the value a formControl that is
             * associated to the input inside a mat-chip-list does not work
             */
            this.matChipListInput.nativeElement.value = '';
        }
    }
    remove(email) {
        this.recipients.removeAt(this.recipients.value.indexOf(email));
    }
    // HANDLE COMPONENENT ENTER KEY PRESS EVENT
    handleEnterDown(event) {
        this.recipientSearch.markAsTouched();
    }
};
__decorate([
    Input(),
    __metadata("design:type", FormGroup)
], ShareContentRecipientsInputComponent.prototype, "parentForm", void 0);
__decorate([
    ViewChild('matChipListInput'),
    __metadata("design:type", ElementRef)
], ShareContentRecipientsInputComponent.prototype, "matChipListInput", void 0);
__decorate([
    HostListener('document:keydown.Enter', ['$event']),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], ShareContentRecipientsInputComponent.prototype, "handleEnterDown", null);
ShareContentRecipientsInputComponent = __decorate([
    Component({
        selector: 'pp-share-content-recipients-input',
        template: "<div [formGroup]=\"parentForm\" class=\"chip-list-container\">\n  <mat-form-field\n    class=\"chip-list-content\"\n    [ngClass]=\"{\n      'error-active': recipientSearch.touched && recipientSearch.errors\n    }\"\n  >\n    <mat-chip-list #chipList aria-label=\"Share name\">\n      <mat-chip\n        *ngFor=\"let recipient of recipients.controls\"\n        [selectable]=\"true\"\n        [removable]=\"true\"\n        (removed)=\"remove(recipient.value)\"\n      >\n        {{ recipient.value }} <mat-icon matChipRemove>cancel</mat-icon>\n      </mat-chip>\n      <input\n        #matChipListInput\n        [matChipInputFor]=\"chipList\"\n        [matChipInputSeparatorKeyCodes]=\"separatorKeysCodes\"\n        [matChipInputAddOnBlur]=\"false\"\n        (matChipInputTokenEnd)=\"updateRecipients()\"\n        (blur)=\"updateRecipients()\"\n        id=\"share-recipients\"\n        formControlName=\"recipientSearch\"\n        [matAutocomplete]=\"auto\"\n      />\n    </mat-chip-list>\n    <mat-autocomplete #auto=\"matAutocomplete\" (optionSelected)=\"optionSelected($event)\">\n      <mat-option *ngIf=\"isLoading\" class=\"is-loading\">\n        <mat-spinner [diameter]=\"30\"></mat-spinner>\n      </mat-option>\n      <ng-container *ngIf=\"!isLoading\">\n        <mat-option *ngFor=\"let recipient of recipientsAutocomplete\" [value]=\"recipient\">\n          <span>{{ recipient }}</span>\n        </mat-option>\n      </ng-container>\n    </mat-autocomplete>\n  </mat-form-field>\n  <ng-container *ngIf=\"recipientSearch.touched && recipientSearch.errors\">\n    <ng-container *ngIf=\"recipients.touched && recipients.hasError('required'); else invalidEmail\">\n      <div class=\"chip-input-error active\">\n        {{ 'ShareMailRecipientsPanel.RecipientsRequired' | pptranslate }}\n      </div>\n    </ng-container>\n    <ng-template #invalidEmail>\n      <div class=\"chip-input-error active\">\n        {{ 'ShareMailRecipientsPanel.RecipientsInvalid' | pptranslate }}\n      </div>\n    </ng-template>\n  </ng-container>\n</div>\n",
        styles: [".chip-list-container{position:relative}.chip-list-container .chip-list-content{width:100%}.chip-list-container .chip-list-content.error-active{border-style:solid;border-width:1px;border-radius:4px}input,mat-chip-list{position:relative;z-index:10}input{font-weight:200;font-size:13px;line-height:30px;border-radius:0;padding:0;transition:.5s;margin:0}input,input#recipient:focus,input:focus{border:0}.mat-chip-list-wrapper .mat-standard-chip,.mat-chip-list-wrapper input.mat-input-element{margin:0}.mat-chip.mat-standard-chip{min-height:24px;margin:3px 7px 3px 0}.mat-chip.mat-standard-chip .mat-chip-remove{opacity:.7;font-size:13px;position:relative;top:3px}.chip-input-error{top:16px;transition:.5s;z-index:1;font-size:10px}.chip-input-error.active{top:46px}.is-loading mat-spinner{margin:auto}"]
    }),
    __metadata("design:paramtypes", [ShareService, Injector])
], ShareContentRecipientsInputComponent);

let ShareContentDialogModule = class ShareContentDialogModule {
};
ShareContentDialogModule = __decorate([
    NgModule({
        declarations: [ShareContentDialogComponent, ShareContentDialogItemComponent, ShareContentRecipientsInputComponent],
        imports: [CommonModule, DatePickerModule, NotificationModule, SharedModule, MatDividerModule],
        exports: [ShareContentDialogComponent],
        entryComponents: [ShareContentDialogComponent],
    })
], ShareContentDialogModule);

let ItemToolBarModule = class ItemToolBarModule {
};
ItemToolBarModule = __decorate([
    NgModule({
        declarations: [ItemToolBarComponent],
        imports: [CommonModule],
        exports: [ItemToolBarComponent],
    })
], ItemToolBarModule);

let ContentDownloadDialogModule = class ContentDownloadDialogModule {
};
ContentDownloadDialogModule = __decorate([
    NgModule({
        declarations: [ContentDownloadDialogComponent, SnackbarComponent],
        imports: [CommonModule, NotificationModule, SharedModule, MatSnackBarModule],
        exports: [ContentDownloadDialogComponent],
        entryComponents: [ContentDownloadDialogComponent, SnackbarComponent],
    })
], ContentDownloadDialogModule);

let ShareItemsPanelModule = class ShareItemsPanelModule {
};
ShareItemsPanelModule = __decorate([
    NgModule({
        declarations: [ShareItemsPanelComponent],
        imports: [CommonModule, SharedModule, ContentDownloadDialogModule],
        exports: [ShareItemsPanelComponent],
    })
], ShareItemsPanelModule);

let ShareMailRecipientsPanelModule = class ShareMailRecipientsPanelModule {
};
ShareMailRecipientsPanelModule = __decorate([
    NgModule({
        declarations: [ShareMailRecipientsPanelComponent],
        imports: [CommonModule, SharedModule],
        exports: [ShareMailRecipientsPanelComponent],
    })
], ShareMailRecipientsPanelModule);

let ShareOwnerPanelModule = class ShareOwnerPanelModule {
};
ShareOwnerPanelModule = __decorate([
    NgModule({
        declarations: [ShareOwnerPanelComponent],
        imports: [CommonModule, SharedModule],
        exports: [ShareOwnerPanelComponent],
    })
], ShareOwnerPanelModule);

let ShareSettingsPanelModule = class ShareSettingsPanelModule {
};
ShareSettingsPanelModule = __decorate([
    NgModule({
        declarations: [ShareSettingsPanelComponent],
        imports: [CommonModule, SharedModule],
        exports: [ShareSettingsPanelComponent],
    })
], ShareSettingsPanelModule);

let LanguageSwitchComponent = class LanguageSwitchComponent {
    constructor(languageService, translatePipe) {
        this.languageService = languageService;
        this.languages = this.languageService.languages.sort((a, b) => translatePipe.transform(a.name) < translatePipe.transform(b.name) ? -1 : 1);
    }
    get selectedLanguageCode() {
        return this.languageService.currentLanguage.ietf;
    }
    changeLanguage(languageCode) {
        this.languageService.changeCurrentLanguage(languageCode, true);
        window.location.reload();
    }
};
LanguageSwitchComponent = __decorate([
    Component({
        selector: 'pp-language-switch',
        template: "<button mat-button [matMenuTriggerFor]=\"langMenu\">{{ selectedLanguageCode | uppercase }}</button>\n<mat-menu #langMenu=\"matMenu\">\n  <button\n    mat-menu-item\n    *ngFor=\"let language of languages\"\n    (click)=\"changeLanguage(language.ietf)\"\n    [class.active]=\"language.ietf === selectedLanguageCode\"\n  >\n    {{ language.name | pptranslate }}\n  </button>\n</mat-menu>\n",
        styles: [".active{font-weight:600}"]
    }),
    __metadata("design:paramtypes", [LanguageService, TranslatePipe])
], LanguageSwitchComponent);

let LanguageSwitchModule = class LanguageSwitchModule {
};
LanguageSwitchModule = __decorate([
    NgModule({
        declarations: [LanguageSwitchComponent],
        imports: [CommonModule, SharedModule],
        exports: [LanguageSwitchComponent],
    })
], LanguageSwitchModule);

let FeaturesModule = class FeaturesModule {
};
FeaturesModule = __decorate([
    NgModule({
        declarations: [],
        imports: [
            BasketModule,
            BrowserToolbarModule,
            AggregationListModule,
            ContentBrowserModule,
            ContentDetailsDialogModule,
            ChannelPickerModule,
            CommonModule,
            DatePickerModule,
            LayerPanelsModule,
            ListItemsModule,
            ListBrowserModule,
            NotificationModule,
            SchemaBrowserModule,
            SearchBoxModule,
            ShareBrowserModule,
            ShareContentDialogModule,
            ItemToolBarModule,
            ShareItemsPanelModule,
            ContentDownloadDialogModule,
            ShareMailRecipientsPanelModule,
            ShareOwnerPanelModule,
            ShareSettingsPanelModule,
            LanguageSwitchModule,
        ],
        exports: [
            BasketModule,
            BrowserToolbarModule,
            ContentBrowserModule,
            ContentDetailsDialogModule,
            ChannelPickerModule,
            DatePickerModule,
            LayerPanelsModule,
            ListItemsModule,
            ListBrowserModule,
            AggregationListModule,
            NotificationModule,
            SchemaBrowserModule,
            SearchBoxModule,
            ShareBrowserModule,
            ShareContentDialogModule,
            ItemToolBarModule,
            ShareItemsPanelModule,
            ContentDownloadDialogModule,
            ShareMailRecipientsPanelModule,
            ShareOwnerPanelModule,
            ShareSettingsPanelModule,
            LanguageSwitchModule,
        ],
    })
], FeaturesModule);

const ɵ0 = PictureparkUIConfigurationFactory;
// IMPORTANT: Update docs/picturepark-sdk-v1-angular/modules.md when changing modules
let PictureparkUiModule = class PictureparkUiModule {
};
PictureparkUiModule = __decorate([
    NgModule({
        declarations: [],
        providers: [{ provide: PICTUREPARK_UI_CONFIGURATION, useFactory: ɵ0 }],
        imports: [CommonModule, FeaturesModule, SharedModule.forRoot()],
        exports: [FeaturesModule, SharedModule],
    })
], PictureparkUiModule);

let SearchSuggestBoxModule = class SearchSuggestBoxModule {
};
SearchSuggestBoxModule = __decorate([
    NgModule({
        declarations: [SearchSuggestBoxComponent],
        imports: [CommonModule, SharedModule],
        exports: [SearchSuggestBoxComponent],
    })
], SearchSuggestBoxModule);

/**
 * Generated bundle index. Do not edit.
 */

export { AggregationComponent, AggregationItemTranslatePipe, AggregationListComponent, AggregationListModule, AvatarHashedPipe, AvatarPipe, BaseComponent, BasketComponent, BasketItemComponent, BasketModule, BasketService, BrowserToolbarComponent, BrowserToolbarModule, ChannelPickerComponent, ChannelPickerModule, ConfirmDialogComponent, ContentBrowserComponent, ContentBrowserItemComponent, ContentBrowserModule, ContentDetailsDialogComponent, ContentDetailsDialogModule, ContentDownloadDialogComponent, ContentDownloadDialogModule, ContentDownloadDialogService, ContentImagePreviewComponent, ContentItemThumbnailComponent, DatePickerComponent, DatePickerModule, DialogService, FeaturesModule, FieldDetailInfoDialogComponent, FileSizePipe, HighlightPipe, ItemToolBarComponent, ItemToolBarModule, LanguageSwitchComponent, LanguageSwitchModule, LayerPanelsComponent, LayerPanelsModule, LazyLoadDirective, ListBrowserComponent, ListBrowserModule, ListComponent, ListItemsModule, ListModule, MarkdownDirective, MaterialsModule, NotificationComponent, NotificationModule, PICTUREPARK_UI_CONFIGURATION, PICTUREPARK_UI_SCRIPTPATH, PanelComponent, PictureparkUIConfigurationFactory, PictureparkUiModule, ReadMoreComponent, SchemaBrowserComponent, SchemaBrowserItemComponent, SchemaBrowserModule, SearchBoxComponent, SearchBoxModule, SearchSuggestBoxComponent, SearchSuggestBoxModule, SelectionService, ShareBrowserComponent, ShareBrowserItemComponent, ShareBrowserModule, ShareContentDialogComponent, ShareContentDialogModule, ShareItemsPanelComponent, ShareItemsPanelModule, ShareMailRecipientsPanelComponent, ShareMailRecipientsPanelModule, ShareOwnerPanelComponent, ShareOwnerPanelModule, ShareSettingsPanelComponent, ShareSettingsPanelModule, SharedModule, TRANSLATIONS, TranslatePipe, TranslationService, UserInteractionDirective, flatMap, groupBy, isNil, lowerFirst, HammerConfig as ɵa, BaseBrowserComponent as ɵb, MetaDataPreviewService as ɵc, LocalizationService as ɵd, DialogBaseComponent as ɵe, BaseBrowserItemComponent as ɵg, LayerFieldService as ɵh, FullscreenService as ɵi, NotificationService as ɵk, LayerFieldsComponent as ɵl, ShareContentDialogItemComponent as ɵm, ShareContentRecipientsInputComponent as ɵn, SnackbarComponent as ɵo };
//# sourceMappingURL=picturepark-sdk-v1-angular-ui.js.map
